# <PRE>
# Gerald Banon, 2002 - 2024
# displayControl.tcl
# INPE submission forms
# The tcl variables and arrays below are used to control
# the submit permission and the appearance of the Submit and Update forms
# This file may be placed in the directories as defined in sourceDisplayControl
# (see col/dpi.inpe.br/banon/1998/08.02.08.56/doc/utilities1.tcl)
# Last changes (the most recent first):

# 2023-12-16 by GJFB - foi comentada a linha 'set languagePreference pt-BR' para permitir a leitura por usurios portugueses ou ingleses com base na configurao das suas preferncias no navegador
# 2023-12-12 by GJFB - foi alterado o valor de displayTable{Report,%@doi} para {2.1 {} {} {}} considerando que o documento original pode ter um DOI (por exemplo, RDP pode ser da Mendeley Data da Elsevier)
# 2023-12-12 by GJFB - foi alterado o valor de displayTable{Report,%I} para {2.1 {} {} {}} considerando que a instituio pode no ser sempre o INPE (por exemplo, RDP pode ser da Mendeley Data da Elsevier)
# 2023-12-12 by GJFB - foi alterado o valor de displayTable{Report,%C} para {2.1 {} {} {}} considerando que a cidade pode no ser sempre o So Jos dos Campos (por exemplo, RDP pode ser da Mendeley Data da Elsevier)
# 2023-12-12 by GJFB - foi alterado o valor de displayTable{Report,%@contenttype} para {2.2 {[Help ContentType]} {} {}} considerando que o tipo de contedo pode ser External Contribution (por exemplo, RDP pode ser da Mendeley Data da Elsevier)
# 2023-12-12 by GJFB - foi acrescendado a variavel boxTable{Report,%@contenttype} com o valor {{{External Contribution} 1}} considerando que o tipo de contedo pode ser External Contribution (por exemplo, RDP pode ser da Mendeley Data da Elsevier)
# 2023-01-18 by GJFB - foi acrescentado o comando 'array set creatorArray $env(CREATOR_LIST_FOR_ARRAY)' para a gerao dinmica de creatorArray - util quando se acrescenta um novo tipo de referncia como foi o caso de 'Administrative Document' (antes era uma lista predefinida que precisava ser atualizada manualmente)
# 2023-01-02 by CMP - foram includos os dados referentes a 2023
# 2022-12-26 by GJFB - foram acresecentadas as opes Calendrio e Post em optionTable(Misc,%9)
# 2022-11-08 by GJFB - foram abertos os campos editor (%e) e serieseditor (%Y) para Book
# 2022-10-10 by GJFB - foi retirada a lista referenceTypeList, valendo agora a lista padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
# 2022-04-10 by GJFB - foi retirada a opo 'Data Paper' da tabela optionTable {{Misc,%9}
# 2022-03-27 by GJFB - foi retirada o preenchimento compulsorio do campo 'group' via menu com os grupos do ano corrente para ePrint (novo 'if')
# 2022-03-13 by GJFB - foi atualizada a entrada Thesis,%9 da tabela optionTable2 na parte 'Cursos antigos', remoo de algumas duplicaes com 'Cursos Atuais' mais insero de 'Doutorado em Eletrnica e Telecomunicaes')
# 2022-03-12 by GJFB - foi atualizada a entrada Thesis,%@project da tabela optionTable2 na parte 'Cursos com defesa entre 1992 e 2011', sendo uma nova parte 'Cursos Antigos' extinta
# 2022-03-01 by GJFB - foi trocado 'Doutorado em Propulso e Combusto' por 'Doutorado em Combusto e Propulso'
# 2022-02-18 by GJFB - foi acresecentado o comando [Help Name %?] para o campo tradutor (Book,%?) em livro ou monografia
# 2022-02-05 by GJFB - foi commentado o comando array set contentTypeTable - agora vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
# 2022-02-03 by GJFB - foi aumentado para 81920000 (80000 KiB) o valor de maximumFileSizeTable(Patent) 
# 2022-01-10 by GJFB - foi trocado o valor padro da boxTable de {Film or Broadcast,%@contenttype} de {{External Contribution} 1} para {{External Contribution} 0}
# 2022-01-09 by GJFB - foi corrigido o 'if' dos anos de 2016 a 2021 seguindo a recomendao denominada: IMPORTANTE2
# 2022-01-04 by CMP - foram includos os dados referentes a 2022
# 2022-01-02 by GJFB - foi atualizado o formulrio Film or Broadcast
# 2021-12-15 by GJFB - foi acrescentado o campo publisher no formulrio de submisso/atualizao dos Jornais (Newspaper,%I)
# 2021-12-15 by GJFB - foi acrescentado o campo serieseditor no formulrio de submisso/atualizao dos Jornais (Newspaper,%E)
# 2021-08-24 by GJFB - foi trocado o tipo de entrada para palavras-chave (%K) de 2.1 para 1.2 (TEXTAREA with WRAP=VIRTUAL)
# 2021-08-19 by GJFB - foi aberta a opo Newspaper,%@documentstage
# 2021-08-07 by GJFB - foi corrigida a grafia em displayTable(Newspaper,%T)
# 2021-08-04 by GJFB - foi acrescentado o campo city no formulrio de submisso/atualizao dos Jornais (Newspaper,%C)
# 2021-07-18 by GJFB - foi atualizada a entrada Thesis,%@project da tabela optionTable2 na parte 'Cursos com defesa entre 1971 e 1991', sendo uma parte 'Cursos Antigos' extinta
# 2021-06-24 by GJFB - foi trocado o valor DIPGR-INPE-MCTIC por DIPGR-INPE-MCTI nos grupos de 2021 
# 2021-06-11 by GJFB - foi acrescentada a variavel restrictedAccessWarning (com valor 1)
# 2021-05-25 by GJFB - foi acrescentado o campo datereleased em Film or Broadcast
# 2021-05-05 by GJFB - foi acrescentado o campo abstract em Newspaper Article
# 2021-04-09 by GJFB - foi retirado a exigncia de preenchimento dos campos year e conferencename no formulrio para Audiovisual Material quando a opo ingestactor existe e seu valor  librarian
# 2021-03-04 by GJFB - foi alterado o valor de displayTable{Conference Proceedings,%@contenttype) para {4 {} {} {}} considerando a existncia da varivel localCollectionPublisherTable(Conference Proceedings)
# 2021-02-13 by GJFB - foi acrescentado as opes {Short Paper} e {Demonstration} em {optionTable(Conference Proceedings,%@tertiarytype)}
# 2021-02-02 by GJFB - foi trocado SESTS SESTS-COLIT-INPE-MCTIC-GOV-BR por SESTS SESTS-CGETE-INPE-MCTIC-GOV-BR em groupOption2 do ano de 2017 para atender o trabalho de atualizao do Fonds INPE
# 2021-01-31 by GJFB - foi trocado SESAS SESAS-COCRH-INPE-MCTIC-GOV-BR por SCSAS SCSAS-COCRH-INPE-MCTIC-GOV-BR em groupOption2 do ano de 2017 para atender o trabalho de atualizao do Fonds INPE
# 2021-01-21 by CMP - foi acrescentado o tipo de arquivo video/mp4 para submisso de material audiovisual e de Film/Broadcast
# 2021-01-18 by GJFB - foram acrescentadas as instrues para o campo ORCID
# 2021-01-12 by GJFB - foi retirado o nome 'banon' como advanced user nas loginList
# 2021-01-05 by CMP - foram includos os dados referentes a 2021 e atualizao dos grupos para nova estrutura organizacional do INPE
# 2020-12-28 by GJFB - foram acrescentadas as opes {Resumos/Psteres} {Abstract/Posters} {Vdeos} e {Videos} no menu para booktitle (%S) em Conference Proceedings e Audiovisual Material - foi aberto o campo volume (%V) em Audiovisual Material para ser eventualmente usado quando o campo booktitle for preenchido 
# 2020-12-24 by GJFB - foi aberto o campo nexthigherunit para o formulrio Archival Unit
# 2020-12-07 by GJFB - foram esvaziados os valores da orderingFieldTable - agora fica valendo o novo ordenamento padro definido no repositrio dpi.inpe.br/banon/1999/08.08.19.14 e seguindo o modelo proposto no NOBRADE
# 2020-11-06 by GJFB - foi acrescentado o login banon com as mesmas permisses que as da simone (exclusive para eprint) de forma a permitir o teste dos privilgios do administrador principal
# 2020-10-27 by GJFB - foi alterado o tamanho mximo dos arquivos a serem submetido com Audiovisual Material de 100000 KiB para 500000 KiB para atender novo formato do WORCAP com video
# 2020-10-15 by GJFB - foi colocado restrio de permisso para quem pode criar novos repositrios: o domnio do endereo de e-mail tem que ser inpe.br para os novos usuarios avanados ao se cadastrar
# 2020-03-15 by GJFB - foi acrescentado o campo %9 (0 -> 2.1) denominado Tipo (Tema) ao formmulrio Conference Proceedings
# 2020-01-02 by CMP - foram incluindo os dados referente a 2020
# 2018-11-26 by GJFB - foi alterado a identificao dos detentor dos direitos patrimoniais, agora usando o ibi do detentor para evitar mudanas de sigla (ex: name INPE-MCTI-GOV-BR ->  holderibi 8JMKD3MGPCW/3DT298S)
# e foi acrescentada mais uma opo no menu do campo rightsholder para informar quando o titular original no foi localizado para autorizar o detentor a disponibilizar o documento
# 2018-10-22 by GJFB - foi acrescentada a linha: array set displayTable {{Book,%@readpermission} {0 {} {150.163} {}}} de forma que a permisso de leitura se torna por segurana "deny from all" quando o campo "year" no  preenchido para a referncia do tipo Book
# 2018-06-03 by GJFB - foi acrescentada a linha: set displayTable($item,%@holdercode) {0 {} {{isadg {BR SPINPE} ibi 8JMKD3MGPCW/3DT298S}} {}} de forma a especificar o valor {isadg {BR SPINPE} ibi 8JMKD3MGPCW/3DT298S} para o campo holdercode dos registros depositados nos Arquivos do INPE
# 2018-04-18 by GJFB - o valor da opo "acesso livre" em optionTable2(Conference Proceedings,%@readpermission) foi trocado de "allow from all" para empty, para evitar que sejam criados arquivos .htaccess em registros de artigo em evento e evitar assim que estes registros sem texto completo tenham seus ttulos em azul 
# 2018-04-07 by GJFB - foi retirada a segunda opo na lista {{BIBLIOTECA} pubtc@inpe.br} {{Andr (Biblioteca)} pubtc@inpe.br}, ficando somente {{BIBLIOTECA} pubtc@inpe.br}, seno somente a segunda opo  exibida e a primeira no
# 2018-03-14 by GJFB - o responsvel atrs da opo BIBLIOTECA foi trocado de yolanda.souza@mcti.gov.br para pubtc@inpe.br nas tabelas optionTable2 referente ao campo %@documentstage
# 2018-01-17 by GJFB - the input type of Report,%? was changed from 0 to 1.1 to add the translator field to the Report form
# 2018-01-14 by GJFB - the following command was added:
# array set depositOptionTable {{Conference Proceedings} {enablecopytosource 1}}
# to have the full update options (see also updateOptionTable)
# 2018-01-13 by GJFB - the following command was added:
# set displayTable($item,%@previouslowerunit) {0 {} {} {}}
# to remove the previouslowerunit field from all the forms (this field should be filled out using the administrator page)

# == Variables which are common for all reference types

# >> About secondarySearchExpression
# secondarySearchExpression == query2 (see CreateMirror)
# optional
# used to create virtual Arquive
# Examples:
# set secondarySearchExpression {group DPI}	;# restrict the search to the group DPI
# set secondarySearchExpression {}	;# no restriction (default)

# >> About languagePreference
# optional
# Any change requires reloading the corresponding bibliografic mirror.
# If languagePreference doesn't exist then the preference follows
# the browser language preference
# Examples:
# set languagePreference en	;# English
# set languagePreference pt-BR	;# Portuguese/Brazil
# set languagePreference pt-BR	;# commented by GJFB in 2023-12-16 to allow the access by both portugues and english users

# >> About restrictedSubmission
# if restrictedSubmission is 1 then the second password field is hidden
# and no self authentication/resgistration can be done.
# The authentication/registration must be done by the administrator or
# can be done upon request by an author whose e-mail domain appear in the
# list of authorized e-mail domains (see authorizedEmailDomains just below).
# if restrictedSubmission is 0 then the second password field is displayed
# and self authentication/resgistration can be done by the author
# just by repeating his password in this second field.
# For a given reference type, restrictedSubmission is effective
# if and only if the corresponding User Name field is set to be
# displayed
# 0 means that the registration can be done by anyone
# At installation, in order to register the administrator, restrictedSubmission
# must be set to 0 or the -o option of ./post must be used.

# set restrictedSubmission 0
 set restrictedSubmission 1	;# added by GJFB in 2020-10-15

# >> About restrictedAccessWarning
# if restrictedAccessWarning is 1 then the restricted access warning is displayed
# if restrictedAccessWarning is 0 then no restricted access warning is displayed
# used with Get only

# set restrictedAccessWarning 0	;# default
 set restrictedAccessWarning 1

# >> About authorizedEmailDomains
# authorizedEmailDomains value is a list of authorized e-mail domains
# The value of authorizedEmailDomains is meaningfull just if the value of restrictedSubmission is 1

 set authorizedEmailDomains inpe.br	;# added by GJFB in 2020-10-15
 
## >> About headerBgColor, headerFont, cellBgColor and cellFont
# >> About headerBgColor, headerFont, and cellBgColor
# define attributes for the Metadata Table in Submit
# and the Field Name List in Field

set headerBgColor #DCDCDC	;# Migration 28/06/2005
set headerFont {<FONT FACE="Courier New" SIZE=2>}	;# Migration 28/06/2005
set cellBgColor #BCBCBC
set cellBgColor #D6D6D6
# set cellFont {<FONT FACE="Courier New" SIZE=2>}

# >> About returnAddress
# returnAddress is optional
# it is used by mirror.tcl when Submit or Update are forbidden

# set returnAddress {../About}

# >> About permissionList
# no or an empty permissionList means to deny all sites
# except the proper site
# the permissionList value is a list of allowed ip regular expression
# Examples:
# All Sites means allow all sites
# 150.163.8.245 means allow 150.163.8.245
# 150.163.8.245 150.163.8.45 means allow 150.163.8.245 and 150.163.8.45
# ^150.163 means allow all ips beginning with 150.163

# set permissionList {^150.163.34 ^150.163.8.245 ^150.163.8.23 ^150.163.144.167 ^150.163.144.75 ^150.163.144.19}
# set permissionList {^150.163 ^200.132.24}
set permissionList {{All Sites}}

# >> About ps2pdfConverterPathList
# used for ePrint
# specifies the possible paths of the ps (or prn) to pdf converter

set ps2pdfConverterPathList {\
{C:\Program Files\Adobe\Acrobat 4.0\Distillr\AcroDist.exe}\
{C:\Arquivos de programas\Adobe\Acrobat 4.0\Distillr\AcroDist.exe}\
{C:\Arquivos de programas\Adobe\Acrobat 5.0\Distillr\AcroDist.exe}}

# >> About ePrintAdministrator
# used for ePrint
# optional
# defines the advanced username when the author closes his ePrint

# set ePrintAdministrator marciana
set ePrintAdministrator simone

# >> About siteListForSearch
# used to expand the search to other sites
# optional

# set siteListForSearch {{mtc-m12.sid.inpe.br 800} {mtc-m13.sid.inpe.br 800} {mtc-m15.sid.inpe.br 800} {mtc-m16.sid.inpe.br 800} {mtc-m17.sid.inpe.br 800} {mtc-m18.sid.inpe.br 800}}
# set siteListForSearch {{marte.dpi.inpe.br 800} {mtc-m05.sid.inpe.br 800} {mtc-m12.sid.inpe.br 800} {mtc-m15.sid.inpe.br 800} {mtc-m16.sid.inpe.br 800} {mtc-m17.sid.inpe.br 800} {mtc-m18.sid.inpe.br 800} {mtc-m19.sid.inpe.br 800}}
# set siteListForSearch {{marte.dpi.inpe.br 800} {marte2.dpi.inpe.br 802} {marte3.dpi.inpe.br 804} {mtc-m12.sid.inpe.br 800} {mtc-m16.sid.inpe.br 800} {mtc-m16b.sid.inpe.br 802} {mtc-m16c.sid.inpe.br 804} {mtc-m16d.sid.inpe.br 806} {plutao.sid.inpe.br 800} {mtc-m21b.sid.inpe.br 804}}
set siteListForSearch {{marte.sid.inpe.br 800} {marte2.sid.inpe.br 802} {marte3.sid.inpe.br 804} {mtc-m12.sid.inpe.br 800} {mtc-m16.sid.inpe.br 800} {mtc-m16b.sid.inpe.br 802} {mtc-m16c.sid.inpe.br 804} {mtc-m16d.sid.inpe.br 806} {plutao.sid.inpe.br 800} {mtc-m21.sid.inpe.br 802} {mtc-m21b.sid.inpe.br 804} {mtc-m21c.sid.inpe.br 806}}

# >> About displayReviewButton
# optional
# value is 0 or 1
# default value is 1
# 0 means to don't display the review button
# 1 means to display the review button
# set displayReviewButton 0

# >> About attributeTable
# optional
# attributeTable is used to automatically fill a field at document submission
# attributeTable may be set using: Administrator page for setting field value attributes
# examples:
# set attributeTable(year=2008,area=SRE,issn,secondarymark,0149-1423) A
# set attributeTable(year=2007,journal,dissemination,Agriculture,_Ecosystems_and_Environment) {WEBSCI PORTALCAPES}
# in this last case, for instance, when submitting a document with the field journal filled out with {Agriculture, Ecosystems and Environment},
# then the field @dissemination is automatically filled out by Submit with {WEBSCI PORTALCAPES}

# >> About attributeListTable
# optional
# defines the attribute fields within the administrator page for field value attribute setting (see repository iconet.com.br/banon/2007/01.01.16.00)
# examples:
# set attributeListTable(year=2008,area=SRE,issn) {secondarymark}
# set attributeListTable(year=2008,journal) {dissimination issn}

# >> About mappingOrder
# optional
# defines the mapping options (example of mapping option: year=2008,journal) and their order
# used with automatic filling using mappings (tables) in case of mapping composition (see submit.tcl)
# example:
# set mappingOrder {year=2008,journal year=2008,author year=2008,issn year=2008,firstgroup}
# in this last case, the issn value is obtained from 
# attributeTable(year=2008,journal,issn,Agriculture,_Ecosystems_and_Environment) 0149-1423
# then the secondarymark is obtained from
# set attributeTable(year=2008,issn,secondarymark,0149-1423) A

# >> About attributeTableFileList
# optional
# defines a list of url of files containing attribute tables (attributeTable)
# example:
# set attributeTableFileList {
#	http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2010_author_group.tcl
#	http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2010_author_affiliation.tcl
# }

if {[info exists currentProcedureName] && [regexp {^(Submit|Script)$} $currentProcedureName]} {
# Script is for the script in the repository iconet.com.br/banon/2007/01.01.16.00 
# 2008
	if {[info exists publishingYear] && [string equal {2008} $publishingYear]} {
		set attributeListTable(year=2008,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2008,author) {group affiliation}
		set attributeListTable(year=2008,firstgroup) {area}
		set attributeListTable(year=2008,issn) {secondarymark}	;# qualis
#		set attributeListTable(year=2008,area=SRE,issn) {secondarymark}	;# not used
		set mappingOrder {year=2008,journal year=2008,author year=2008,firstgroup year=2008,issn}
		set attributeTableFileList {
			http://mtc-m18.sid.inpe.br/col/iconet.com.br/banon/2008/11.08.15.55/doc/year=2008_author_group.tcl
			http://mtc-m18.sid.inpe.br/col/iconet.com.br/banon/2008/11.08.15.55/doc/year=2008_author_affiliation.tcl
			http://mtc-m18.sid.inpe.br/col/iconet.com.br/banon/2008/11.08.15.55/doc/year=2008_firstgroup_area.tcl
			http://mtc-m18.sid.inpe.br/col/iconet.com.br/banon/2008/11.08.15.55/doc/year=2008_issn_secondarymark.tcl
			http://mtc-m18.sid.inpe.br/col/iconet.com.br/banon/2008/11.08.15.55/doc/year=2008_journal_dissemination.tcl
			http://mtc-m18.sid.inpe.br/col/iconet.com.br/banon/2008/11.08.15.55/doc/year=2008_journal_issn.tcl
			http://mtc-m18.sid.inpe.br/col/iconet.com.br/banon/2008/11.08.15.55/doc/year=2008_journal_secondarytype.tcl
		}
	}

# 2009	
	if {[info exists publishingYear] && [string equal {2009} $publishingYear]} {
		set attributeListTable(year=2009,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2009,author) {group affiliation}
		set attributeListTable(year=2009,firstauthor) {area}
		set attributeListTable(year=2009,issn) {secondarymark}	;# qualis
		set mappingOrder {year=2009,journal year=2009,author year=2009,firstauthor year=2009,issn}
		set attributeTableFileList {
			http://mtc-m16d.sid.inpe.br/col/dpi.inpe.br/banon-pc2@80/2009/02.10.15.54/doc/year=2009_author_group.tcl
			http://mtc-m16d.sid.inpe.br/col/dpi.inpe.br/banon-pc2@80/2009/02.10.15.54/doc/year=2009_author_affiliation.tcl
			http://mtc-m16d.sid.inpe.br/col/dpi.inpe.br/banon-pc2@80/2009/02.10.15.54/doc/year=2009_firstauthor_area.tcl
			http://mtc-m16d.sid.inpe.br/col/dpi.inpe.br/banon-pc2@80/2009/02.10.15.54/doc/year=2009_issn_secondarymark.tcl
			http://mtc-m16d.sid.inpe.br/col/dpi.inpe.br/banon-pc2@80/2009/02.10.15.54/doc/year=2009_journal_dissemination.tcl
			http://mtc-m16d.sid.inpe.br/col/dpi.inpe.br/banon-pc2@80/2009/02.10.15.54/doc/year=2009_journal_issn.tcl
			http://mtc-m16d.sid.inpe.br/col/dpi.inpe.br/banon-pc2@80/2009/02.10.15.54/doc/year=2009_journal_secondarytype.tcl
		}
	}
	
# 2010
	if {[info exists publishingYear] && [string equal {2010} $publishingYear]} {
		set attributeListTable(year=2010,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2010,author) {group affiliation}
		set attributeListTable(year=2010,firstauthor) {area}
		set attributeListTable(year=2010,issn) {secondarymark}	;# qualis
		set mappingOrder {year=2010,journal year=2010,author year=2010,firstauthor year=2010,issn}
		set attributeTableFileList {
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2010_author_group.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2010_author_affiliation.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2010_firstauthor_area.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2010_journal_dissemination.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2010_journal_issn.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2010_journal_secondarytype.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2010_issn_secondarymark.tcl
		}
	}
	
# 2011
	if {[info exists publishingYear] && [string equal {2011} $publishingYear]} {
		set attributeListTable(year=2011,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2011,author) {group affiliation}
		set attributeListTable(year=2011,firstauthor) {area}
		set attributeListTable(year=2011,issn) {secondarymark}	;# qualis
		set mappingOrder {year=2011,journal year=2011,author year=2011,firstauthor year=2011,issn}
		set attributeTableFileList {
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2011_author_group.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2011_author_affiliation.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2011_firstauthor_area.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2011_journal_dissemination.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2011_journal_issn.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2011_journal_secondarytype.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2011_issn_secondarymark.tcl
		}
	}
	
# 2012
	if {[info exists publishingYear] && [string equal {2012} $publishingYear]} {
		set attributeListTable(year=2012,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2012,author) {resumeid group affiliation}
		set attributeListTable(year=2012,firstauthor) {area}
		set attributeListTable(year=2012,issn) {secondarymark}	;# qualis
		set mappingOrder {year=2012,journal year=2012,author year=2012,firstauthor year=2012,issn}
		set attributeTableFileList {
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2012_author_group.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2012_author_affiliation.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2012_firstauthor_area.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2012_journal_dissemination.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2012_journal_issn.tcl
			http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2012_journal_secondarytype.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2012_issn_secondarymark.tcl
			http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2012_author_resumeid.tcl
		}
	}
	
	if [info exists env(CREATOR_LIST_FOR_ARRAY)] {
		array set creatorArray $env(CREATOR_LIST_FOR_ARRAY)	;# acresecentado por GJFB em 2023-01-18
	} else {
		set creatorListForArray {
			{Journal Article}			author
			{Book}						author
			{Book Section}				author
			{Edited Book}				editor
			{Magazine Article}			author
			{Newspaper}					editor	
			{Newspaper Article}			reporter
			{Conference Proceedings}	author
			{Thesis}					author	
			{Personal Communication}	author
			{Computer Program}			programmer		
			{Report}					author
			{Map}						cartographer
			{Image}						author
			{Data}						runby
			{Audiovisual Material}		author
			{Film or Broadcast}			director
			{Unpublished}				author		
			{Misc}						author				
			{Artwork}					author			
			{Patent}					author			
			{Electronic Source}			author
			{Resume}					fullname
			{Archival Unit}				creatorname
		}
		array set creatorArray $creatorListForArray
	}
	
# 2013
		if {[info exists publishingYear] && [string equal {2013} $publishingYear]} {
		set attributeListTable(year=2013,author) {resumeid group affiliation}
		set attributeListTable(year=2013,firstauthor) {area}
		set attributeListTable(year=2013,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2013,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2013_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2013_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2013_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2013_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2013_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2013_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2013_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2013_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2013,journal year=2013,author year=2013,firstauthor year=2013,issn}
	}
	
# 2014
	if {[info exists publishingYear] && [string equal {2014} $publishingYear]} {
		set attributeListTable(year=2014,author) {resumeid group affiliation}
		set attributeListTable(year=2014,firstauthor) {area}
		set attributeListTable(year=2014,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2014,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2014_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2014_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2014_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2014_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2014_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2014_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2014_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2014_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2014,journal year=2014,author year=2014,firstauthor year=2014,issn}
	}
# 2015
	if {[info exists publishingYear] && [string equal {2015} $publishingYear]} {
		set attributeListTable(year=2015,author) {resumeid group affiliation}
		set attributeListTable(year=2015,firstauthor) {area}
		set attributeListTable(year=2015,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2015,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2015_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2015_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2015_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2015_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2015_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2015_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2015_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2015_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2015,journal year=2015,author year=2015,firstauthor year=2015,issn}
	}
# 2016
	if {[info exists publishingYear] && [string equal {2016} $publishingYear]} {
		set attributeListTable(year=2016,author) {resumeid group affiliation}
		set attributeListTable(year=2016,firstauthor) {area}
		set attributeListTable(year=2016,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2016,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2016_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2016_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2016_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2016_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2016_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2016_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2016_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2016_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2016,journal year=2016,author year=2016,firstauthor year=2016,issn}
	}
# 2017
	if {[info exists publishingYear] && [string equal {2017} $publishingYear]} {
		set attributeListTable(year=2017,author) {resumeid group affiliation}
		set attributeListTable(year=2017,firstauthor) {area}
		set attributeListTable(year=2017,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2017,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2017_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2017_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2017_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2017_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2017_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2017_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2017_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2017_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2017,journal year=2017,author year=2017,firstauthor year=2017,issn}
	}	
# 2018
	if {[info exists publishingYear] && [string equal {2018} $publishingYear]} {
		set attributeListTable(year=2018,author) {resumeid group affiliation}
		set attributeListTable(year=2018,firstauthor) {area}
		set attributeListTable(year=2018,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2018,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2018_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2018_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2018_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2018_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2018_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2018_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2018_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2018_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2018,journal year=2018,author year=2018,firstauthor year=2018,issn}
	}	
# 2019
	if {[info exists publishingYear] && [string equal {2019} $publishingYear]} {
		set attributeListTable(year=2019,author) {resumeid group affiliation}
		set attributeListTable(year=2019,firstauthor) {area}
		set attributeListTable(year=2019,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2019,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2019_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2019_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2019_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2019_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2019_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2019_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2019_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2019_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2019,journal year=2019,author year=2019,firstauthor year=2019,issn}
	}	
# 2020
	if {[info exists publishingYear] && [string equal {2020} $publishingYear]} {
		set attributeListTable(year=2020,author) {resumeid group affiliation}
		set attributeListTable(year=2020,firstauthor) {area}
		set attributeListTable(year=2020,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2020,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2020_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2020_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2020_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2020_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2020_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2020_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2020_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2020_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2020,journal year=2020,author year=2020,firstauthor year=2020,issn}
	}
# 2021
	if {[info exists publishingYear] && [string equal {2021} $publishingYear]} {
		set attributeListTable(year=2021,author) {resumeid group affiliation}
		set attributeListTable(year=2021,firstauthor) {area}
		set attributeListTable(year=2021,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2021,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2021_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2021_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2021_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2021_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2021_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2021_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2021_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2021_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2021,journal year=2021,author year=2021,firstauthor year=2021,issn}
	}	
# 2022
	if {[info exists publishingYear] && [string equal {2022} $publishingYear]} {
		set attributeListTable(year=2022,author) {resumeid group affiliation}
		set attributeListTable(year=2022,firstauthor) {area}
		set attributeListTable(year=2022,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2022,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2022_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2022_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2022_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2022_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2022_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2022_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2022_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2022_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2022,journal year=2022,author year=2022,firstauthor year=2022,issn}
	}	
# 2023
	if {[info exists publishingYear] && [string equal {2023} $publishingYear]} {
		set attributeListTable(year=2023,author) {resumeid group affiliation}
		set attributeListTable(year=2023,firstauthor) {area}
		set attributeListTable(year=2023,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2023,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2023_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2023_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2023_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2023_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2023_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2023_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2023_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2023_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2023,journal year=2023,author year=2023,firstauthor year=2023,issn}
	}	
# 2024
	if {[info exists publishingYear] && [string equal {2024} $publishingYear]} {
		set attributeListTable(year=2024,author) {resumeid group affiliation}
		set attributeListTable(year=2024,firstauthor) {area}
		set attributeListTable(year=2024,journal) {dissemination issn secondarytype}
		set attributeListTable(year=2024,issn) {secondarymark}	;# qualis
		set attributeTableFileList {}
		if {![info exists referenceType] || [string equal {author} $creatorArray($referenceType)]} {
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2024_author_group.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2024_author_affiliation.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2024_firstauthor_area.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2024_author_resumeid.tcl}
		}
		if {![info exists referenceType] || [string equal {Journal Article} $referenceType]} {
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2024_journal_dissemination.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2024_journal_issn.tcl}
			lappend attributeTableFileList {http://bibdigital.sid.inpe.br/col/iconet.com.br/banon/2007/01.01.16.00/doc/tmp/year=2024_journal_secondarytype.tcl}
			lappend attributeTableFileList {http://mtc-m16d.sid.inpe.br/col/sid.inpe.br/mtc-m19/2014/02.04.13.16/doc/year=2024_issn_secondarymark.tcl}
		}
		set mappingOrder {year=2024,journal year=2024,author year=2024,firstauthor year=2024,issn}
	}	
}


# >> About displayTable
# optional
# displayTable is used to customize the administrator page for field value attribute setting
# same as displayTable below
# example:
# array set displayTable {{journal,dissemination} {2.2 {} {} {}}}

# >> About boxTable
# optional
# boxTable is used to customize the administrator page for field value attribute setting
# defines the entries of INPUT with TYPE=CHECKBOX (when using 2.2 coding)
# array set boxTable {journal,dissemination} {{{WEBSCI} 0} {{PORTALCAPES} 0} {{SCIELO} 0} {{AGU} 0} {{MGA} 0} {{COMPENDEX} 0}}

# >> About automaticFilling
# optional
# automaticFilling value is 0 or 1
# 1 means to try automatic filling using mappings (tables)
# 0 means to force manual filling
# omitting automaticFilling is equivalent as automaticFilling == 0 (manual filling)

set automaticFilling 1

# == Variables which are specific to a given reference type

# >> About contentTypeTable
# defines mandatory content types
# no or emtpy contentTypeTable means allow all content types
# some values are:
# application/msword
# application/applefile (for msword as well !!)
# application/download
# application/force-download
# application/msword
# application/octet-stream
# application/pdf
# application/postscript
# application/powerpoint
# application/rar
# application/save
# application/vnd.ms-powerpoint
# application/vnd.ms-pps
# application/vnd.ms-word.document.12
# application/vnd.oasis.opendocument.text
# application/vnd.oasis.opendocument.text-template
# application/vnd.openxmlformats-officedocument.presentationml.presentation
# application/vnd.openxmlformats-officedocument.presentationml.slideshow
# application/vnd.openxmlformats-officedocument.wordprocessingml.document
# application/vnd.openxmlformats-officedocument.wordprocessingml.template
# application/x-pdf
# application/x-rar
# application/x-rar-compressed
# application/x-tex
# application/x-tcl
# application/x-zip
# application/x-zip-compressed
# application/zip
# image/bmp
# image/gif
# image/jpeg
# image/pjpeg
# image/png
# image/tiff
# text/css
# text/html
# text/xml
# text/x-tex
# text/plain
# text/richtext
# video/mp4

# >> About orderingFieldTable
# optional
# defines field order from the top
# omitted fields are left in the bottom part following the default order
# Example:
# array set orderingFieldTable {{Journal Article} {%T %A}}

# >> About headerTable
# optional
# used for ePrint
# defines the header format
# example:
# array set headerTable {{Electronic Source} {624\\1(INPE ePrint: $repName $version  $versionDate)\\2}}	;# 624 is the place of the header first character in order to have this header almost centralized
# 624 is the place of the header first character in order to have this header almost centralized

# >> About readUserNameList
# optional (if it is not used the readUserList (in Submit) is set to empty, i.e., every one have read permission)
# used by Submit (at submit only)
# example:
# set readUserNameList(Thesis) {yolanda.souza@mcti.gov.br}
# if readUserNameList is not empty or if the read permission is {deny from all}
# then the advanced user (who submits the document), the next advanced user and the
# administrator are added to the read user list by Submit
# (to be effective, the option Require User (in Setting the Preferences) must have been selected)

set loginDosUsuariosComPermissaoDeLeituraPorSenha {simone pubtc@inpe.br} 
set readUserNameList(Thesis) $loginDosUsuariosComPermissaoDeLeituraPorSenha	;# this allows the author to open the thesis from home - readergroup returns to empty when read permission is set to {allow from all} (see Submit)
set readUserNameList(Book) $loginDosUsuariosComPermissaoDeLeituraPorSenha	;# this allows the author to open the thesis from home - readergroup returns to empty when read permission is set to {allow from all} (see Submit)
	
# >> About requiredFieldFootnoteTable
# defines the footnote reference for required field (used by mirror.tcl and submit.tcl)
# examples: (1) (*)

# Migration 25/1/04
# >> About initialFootnoteNumberTable
# defines the initial value for the footnote number
# example: 2
# Migration 25/1/04 - end

# >> About searchOptionTable
# defines the search option
# values are no or yes; no is default
# yes means to display the search option for form filling

# >> About searchBaseTable
# optional
# used by cgi/search.tcl
# defines the data base used in the search
# values are metadataArray (default) or writeUserArray
# example:
# array set searchBaseTable {{Misc} {writeUserArray}}

# >> About displayTable
# The first list element specifies the input type as described below
# 0 means to don't display (hidden input)
# 1.1 means to display a TEXTAREA with WRAP=OFF (must be used with the fields %A, %E, %Y, %?, %@group and %@affiliation in order to be able to enter one name per line)
# 1.2 means to display a TEXTAREA with WRAP=VIRTUAL
# 1.3 means to display a TEXTAREA with WRAP=PHYSICAL
# 2.1 means to display an INPUT with TYPE=TEXT (should not be used with the fields %A, %E, %Y, %?, %@group and %@affiliation)
# 2.2 means to display an INPUT with TYPE=CHECKBOX (must not be used with the fields %A, %E, %Y, %?, %@group and %@affiliation)
# 2.3 means to display an INPUT with TYPE=RADIO (must not be used with the fields %A, %E, %Y, %?, %@group and %@affiliation) - not implemented
# 3 means to display a SELECT with optionTable
# 4 means to display just the field value
# The second list element is a reference to a filling instruction footnote
# The third list element is the input default value (used for hidden inputs as well)
# use fifteen \ before square brackets, example:  \\\\\\\\\\\\\\\[CD-ROM\\\\\\\\\\\\\\\]
# The fourth list element is the customized field name (the fields File Name, User Name and Password cannot be customized)

# >> About optionTable
# defines the options of SELECT (see item 3 above)
# each list item == option name == option value

# >> About optionTable2
# defines the options of SELECT (see item 3 above)
# each list item == {{option name} {option value}}

ConditionalSet userGroup2 userGroup {}
if {[info exists update] && $update} {
# update

#	set loginList {
#		simone
#		banon
#	}

	set loginList {
		simone
	}
	array set optionTable2 [list {Journal Article,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
	}
	array set optionTable2 [list {Book,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{BIBLIOTECA} pubtc@inpe.br} {{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
	}
	array set optionTable2 [list {Book Section,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{BIBLIOTECA} pubtc@inpe.br} {{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
	}
	array set optionTable2 [list {Edited Book,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{BIBLIOTECA} pubtc@inpe.br} {{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
		sergio
	}
	array set optionTable2 [list {Newspaper,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
	}
	array set optionTable2 [list {Conference Proceedings,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
		pubtc@inpe.br
	}
	array set optionTable2 [list {Thesis,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{BIBLIOTECA} pubtc@inpe.br} {{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
		pubtc@inpe.br
	}
	array set optionTable2 [list {Report,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{BIBLIOTECA} pubtc@inpe.br} {{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
	}
	array set optionTable2 [list {Film or Broadcast,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
		pubtc@inpe.br
	}
	array set optionTable2 [list {Computer Program,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{BIBLIOTECA} pubtc@inpe.br} {{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

	set loginList {
		simone
		pubtc@inpe.br
	}
	array set optionTable2 [list {Electronic Source,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 [concat $userGroup2 $loginList]] {
		{{BIBLIOTECA} pubtc@inpe.br} {{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]

} else {
# submit
	array set optionTable2 {{Book,%@documentstage} {
		{{BIBLIOTECA - Inicia Reviso} {pubtc@inpe.br}} {{} {not transferred}}
	}}
	array set optionTable2 {{Book Section,%@documentstage} {
		{{BIBLIOTECA - Inicia Reviso} {pubtc@inpe.br}} {{} {not transferred}}
	}}
	array set optionTable2 {{Edited Book,%@documentstage} {
		{{BIBLIOTECA - Inicia Reviso} {pubtc@inpe.br}} {{} {not transferred}}
	}}
	array set optionTable2 {{Thesis,%@documentstage} {
		{{BIBLIOTECA - Inicia Reviso} {pubtc@inpe.br}} {{} {not transferred}}
	}}
	array set optionTable2 {{Report,%@documentstage} {
		{{BIBLIOTECA - Inicia Reviso} {pubtc@inpe.br}} {{} {not transferred}}
	}}
	array set optionTable2 {{Computer Program,%@documentstage} {
		{{BIBLIOTECA - Inicia Reviso} {pubtc@inpe.br}} {{} {not transferred}}
	}}
}

# >> About orderingTable
# optional (for the review system)
# defines a field order of the review part of a submit form
# array set orderingTable {Misc,relevancia 1}
# array set orderingTable {Misc,adequacao 2}

# >> About defaultOptionTable
# optional
# used only when the first list element of displayTable is 3
# defines the SELECTED option if the third list element of displayTable is {}
# (the third list element of displayTable, if not {}, overwrites the defaultOptionTable)
# useful mainly at submission
# useful at update only if the current field value and the third list element of displayTable are both {}
# at update, when the field name is %@documentstage and the current field value is not {}
# and doesn't match any select options then the field value is et to the value given in
# the defaultOptionTable (migration facilities)
# documention written by GJFB in 2011-01-17

# >> About updateOptionTable
# optional
## defines the updating option, values is one of these: all, update, {remove before update}, add, {add and copy} and finish
## defines the updating option, value is one of these: all, update, {remove before update}, {update source directory}, {remove before update source directory}, {update agreement directory}, {remove before update agreement directory}, add, {add and copy}, run, and finish
# defines the updating option, value is one of these: all, update, {remove before update}, {update source directory}, {remove before update source directory}, {update agreement directory}, {remove before update agreement directory}, add, {add and copy}, run and finish
# value may also be a list of the previous items (except all)
# at the present time, the allowed values are: all, update, add, {update {remove before update}} and {update finish}
# default is all
# all means that the nine menu options: update, {remove before update}, {update source directory}, {remove before update source directory}, {update agreement directory}, {remove before update agreement directory}, add, {add and copy} and finish, may be displayed
# the resulting display depends upon depositOptionTable (see below)
# unless the reference type is Electronic Source, in this case just update and finish are displayed
# the display of the options {update source directory} and {remove before update source directory} depends upon the value of enablecopytosource in depositOptionTable (see below)
# example:
# array set updateOptionTable {{Archival Unit} {update finish}}


# >> About acceptCheckBoxFlagTable
# optional
# value is 0 or 1, 0 means to hide the copyright accept check box and 1 to show it
# default is 1
# example:
# array set acceptCheckBoxFlagTable {{Resume} 0}

# >> About targetFileCheckBoxFlagTable
# optional
# value is 0 or 1, 0 means to hide the target file check box and 1 to show it
# default is 1
# example:
# array set targetFileCheckBoxFlagTable {{Electronic Source} 0}

# >> About userListWithPermissionToFinish
# optional
# defines which advanced users have permission to finish the update cycle
# only the advanced users with permission see the finish option
# default is all users have permission
# example:
# array set userListWithPermissionToFinish {{Journal Article} marciana}

array set userListWithPermissionToFinish {
	{Journal Article} {
		simone
		lattes
		banon
	}
}
array set userListWithPermissionToFinish {
	{Book} {
		simone
		lattes
		banon
	}
}
array set userListWithPermissionToFinish {
	{Book Section} {
		simone
		lattes
		banon
	}
}
array set userListWithPermissionToFinish {
	{Edited Book} {
		simone
		lattes
		banon
	}
}
array set userListWithPermissionToFinish {
	{Conference Proceedings} {
		simone
		lattes
		banon
	}
}
array set userListWithPermissionToFinish {
	{Thesis} {
		simone
		banon
	}
}
array set userListWithPermissionToFinish {
	{Report} {
		simone
		banon
	}
}
array set userListWithPermissionToFinish {
	{Patent} {
#		marciana@sid.inpe.br
		simone
		banon
	}
}

# >> About depositOptionTable
# optional
# defines depositing options, values is a list
# examples:
# array set depositOptionTable {{Misc} {copytosource}}	;# old coding
# array set depositOptionTable {{Misc} {enablecopytosource 1}}
# array set depositOptionTable {{Misc} {copyabstracttodoc 1}}
# array set depositOptionTable {{Misc} {enablecopytosource 0 copyabstracttodoc 1}}
# array set depositOptionTable {{Misc} {enablecopytosource 0 copyabstracttodoc 1 copyfootertoagreement 1}}
## array set depositOptionTable {{Conference Proceedings} {deletedoccontentbeforeupdate 1}}
# enablecopytosource and copyabstracttodoc default values are 0s - order is irrelevant
# copyfootertoagreement default value is 1
# option order is irrelevant
# enablecopytosource controls the display of the options: {Update source Directory} and {Remove before Update source Directory} - useful when all (or no) options are set

# >> About numberOfReviewersPerWorkTable
# optional (for the review system)
# defines the number of reviewers per work (for example 2 or 3)
# array set numberOfReviewersPerWorkTable {{Conference Proceedings} 2}

# >> About submitTargetFileOptionTable
# optional
# used when submitting a document, values are disable or enable
# default is enable
# disable means to don't create target file
# array set submitTargetFileOptionTable {{Conference Proceedings} disable}

# >> About fillOutFieldTable
# optional
# used to automatically fill out a field depending of another field of the type SELECT
# for example, if the group field content depends on the area field content:
# array set fillOutFieldTable {{Journal Article,%@area,%@group} {{} {} {CEA} {} {COMB} {} {COMP} {LAC} {ETES} {} {FISMAT} {LAS} {FISPLASMA} {LAP} {MET} {} {SRE} {}}}

# >> About localCollectionPublisherTable
# optional
# table values are regular expressions
# used to automatically fill out the contenttype field from the publisher field
# for example, if the publisher field is filled out with something different from "INPE"
# or "Instituto Nacional de Pesquisas Espaciais",
# then the contenttype field is automatically filled out with "External Contribution"
# otherwise it is filled out with empty
# effective only if the current contenttype value is {} or {External Contribution}
# array set localCollectionPublisherTable {{Conference Proceedings} {INPE|Instituto Nacional de Pesquisas Espaciais}}

# >> About actionTable
# optional
# used to set dynamically the action value of the form based on a given field value
# an action value is the list {serverAddress mirrorRep}
# for example if the action value depends on the area field content:
# array set actionTable {{Journal Article,%@area} {{{CEA} {}} {{COMB} {}} {{COMP} {}} {{ETES} {}} {{FISMAT} {}} {{FISPLASMA} {}} {{MET} {}} {{SRE} {mtc-m12.sid.inpe.br:80 sid.inpe.br/banon/2001/04.06.10.52.39}}}}

# >> About postSubmissionProcessTable
# optional
# used to define a list of repositories containing scripts to process
# the submitted files
# array set postSubmissionProcessTable {{Newspaper Article} {iconet.com.br/banon/2005/09.07.19.12}}

# >> About submissionDestinationTable
# optional
# used to define the submission destination local collection
# used with update and the option add (for example, used with ePrint)
# only one field name should be used (here, for example, %@area)
# array set submissionDestinationTable {{Journal Article,%@area} {SRE banon-pc2.dpi.inpe.br:1906/col/bighost.com.br/banon/2005/05.04.18.04.41}}

# >> About excludedSourceFieldNameTable
# optional - default means to don't exclude any fields
# used when the query variable sourcereferencetype is part of the query string
# then the field transposition between the source reference type and the current
# reference type is done except for the excluded fields
# array set excludedSourceFieldNameTable {{Conference Proceedings} {%I %C}}
# useful when closing ePrints

# >> About publishingProgressTable
# optional
# value is 1, 2, 3, 4, 5 or 6
# for Conference Proceedings:
# 1 means: Submission and Update
# 2 means: Review Process
# 3 means: Update Only
# 4 means: Camera-Ready Submission and Update
# 5 means: Proceedings Publication
# 6 means: Submission Maintenance
# controls the update header for Conference Proceedings
# set {publishingProgressTable(Conference Proceedings)} 3

# >> About submissionPolicyTable
# optional
# meaningfull only if restrictedSubmission == 0
# value is 1, 2 or 3
# 1 means to don't permit update
# 2 means to create a password for the user
# 3 means to leave the user choosing a login/password
# if [lindex displayTable($referenceType,username) 0] == 0 then default is equivalent to value 1
# if [lindex displayTable($referenceType,username) 0] == 1 then default is equivalent to value 3

# >> About archiveAcronym
# optional
set archiveAcronym {MCTI/INPE}

# >> About conferenceAcronym
# optional
# set conferenceAcronym {XIII SBSR}
# has priority over archiveAcronym
# used in controlArray.tcl

# >> About displayAllReviewrsTable
# optional
# value is 0 or 1; 1 means to display all reviewers in the reviewer assignment page
# default is 0
# array set displayAllReviewrsTable {{Conference Proceedings} 1}

# >> About blindReviewTable
# optional
# value is 0 or 1; 1 means to turn the review process blind
# array set blindReviewTable {{Conference Proceedings} 1}

# >> About fillingButtonTable
# try to fill out the field
# optional
# value is 0 or 1
# 0 means to don't display the filling buttons
# 1 means to display the filling buttons

# >> About checkingSessionDataTable
# optional
# value is 0 or 1
# default value is 0
# 0 means to don't check session data when updating a form
# 1 means to check session data when updating a form
# array set checkingSessionDataTable {{Conference Proceedings} 1}
# array set checkingSessionDataTable {{Book} 1}

# >> About hideSubmissionTable
# optional
# value is 0 or 1
# default value is 0
# 0 means to don't hide the submitted document (visibility is set to shown)
# 1 means to hide the submitted document  (visibility is set to hidden)
# array set hideSubmissionTable {{Conference Proceedings} 1}

# >> About updatePolicyTable
# optional
# value is 0 or 1
# 0 means to force update by the author
# 1 means to force update by the alternate user (see alternateUserTable)
# when set, the username field value is ignored
# array set updatePolicyTable {{Conference Proceedings} 1}

# >> About alternateUserTable
# optional
# value is a valid user name
# default is administrator
# used in connection with updatePolicyTable
# array set alternateUserTable {{Thesis} supervisor}

# >> About forceAssignedPaperUpdateTable
# optional
# value is 0 or 1
# default value is 0
# 0 means to don't force the update of assigned paper 
# 1 means to force the update of assigned paper 
# array set forceAssignedPaperUpdateTable {{Conference Proceedings} 1}

# >> About addAudiovisualMaterialSubmissionOption
# optional
# value is 0 or 1
# default value is 0
# 0 means to don't add 
# 1 means to add audiovisual material submission option (used to customize submission form)
# set addAudiovisualMaterialSubmissionOption 1

# >> About fieldValueFilterCommandTable
# optional
# used to modify fieldValue in Submit
# example of field value filter command:
# array set fieldValueFilterCommandTable {{Thesis,%8} {regsub {(..)/(..)/(....)} $fieldValue {\3-\2-\1} fieldValue}}

# ------------

# == Variables which are used only in this script

# >> manualFilling
# manualFilling value is 0 at submit and 1 at update
# used to hide some fields at submit

if [info exists update] {
	set manualFilling $update
} else {
# Automatic filling using mappings (tables)
	set manualFilling 0
}

# >> equipeDoSID

# Os membros da equipe do SID tem privilgio da exibio do "search option for form filling" e de campos como notes, url, secondarykey...
# assim como os campos year e mextedition para ePrint

# set equipeDoSID {^(administrator|alexandra|fabia|marciana|marciana@sid.inpe.br|seeger05|simone|yolanda.souza@mcti.gov.br|deicy|deicy@cptec.inpe.br|deicy.farabello|estagiario|rosemary|marta|martaseeger|lmanacero@yahoo.com|viveca@sid.inpe.br|tereza@sid.inpe.br|rodolfo@sid.inpe.br|alessandra@sid.inpe.br|pubtc@inpe.br|valdirene|sergio|sergio@sid.inpe.br|banon|marcelo.pazos|marcelo.pazos@inpe.br|aldo.bastos|geoinfo@dpi.inpe.br)$}
# set equipeDoSID {^(administrator|marciana|marciana.ribeiro|marciana@sid.inpe.br|simone|lattes|yolanda.souza@mcti.gov.br|tereza@sid.inpe.br|valdirene|sergio|sergio@sid.inpe.br|banon|marcelo.pazos|marcelo.pazos@inpe.br|aldo.bastos|geoinfo@dpi.inpe.br|deicy.Farabello@inpe.br)$}
set equipeDoSID {
	administrator
	simone
	lattes
	pubtc@inpe.br
	sergio
	sergio@sid.inpe.br
	banon
	geoinfo@dpi.inpe.br
}

# >> loginDosResponsaveisPelaAutorizacao
# O responsvel pelo autorizao tem privilgio para atualizar: year, readpermission e, eventualmente secondarydate, readergroup e visibility

# set loginDosResponsaveisPelaAutorizacao {banon banon@dpi.inpe.br}
# set loginDosResponsaveisPelaAutorizacao {marciana marciana.ribeiro marciana@sid.inpe.br simone tereza@sid.inpe.br sergio sergio@sid.inpe.br marcelo.pazos marcelo.pazos@inpe.br}
set loginDosResponsaveisPelaAutorizacao {
	simone
	sergio
	sergio@sid.inpe.br
	banon
}

# >> loginDosResponsaveisPeloAbstract
# O responsvel pelo abstract, tem tambm todas as opes de atualizaes (all)

# set loginDosResponsaveisPeloAbstract {banon yolanda.souza@mcti.gov.br marciana marciana.ribeiro marciana@sid.inpe.br simone tereza@sid.inpe.br lmanacero@yahoo.com alessandra@sid.inpe.br pubtc@inpe.br sergio sergio@sid.inpe.br marcelo.pazos marcelo.pazos@inpe.br}
# set loginDosResponsaveisPeloAbstract {banon yolanda.souza@mcti.gov.br marciana marciana.ribeiro marciana@sid.inpe.br simone lattes tereza@sid.inpe.br sergio sergio@sid.inpe.br marcelo.pazos marcelo.pazos@inpe.br deicy.Farabello@inpe.br}
set loginDosResponsaveisPeloAbstract {
	banon
#	jeferson
#	yolanda.souza@mcti.gov.br
	pubtc@inpe.br
	simone
	lattes
	sergio
	sergio@sid.inpe.br
}

# >> areaBasedAction
if 0 {
# not used any more
set areaBasedAction {
	{{} {}}
	{{CEA} {mtc-m16.sid.inpe.br:80 sid.inpe.br/banon/2003/08.15.17.40.18}}
	{{COMB} {mtc-m16b.sid.inpe.br lcp.inpe.br/ignes/2004/02.12.18.39.49}}
	{{COMP} {mtc-m16.sid.inpe.br:80 sid.inpe.br/banon/2003/08.15.17.40.18}}
	{{ETES} {mtc-m16.sid.inpe.br:80 sid.inpe.br/banon/2003/08.15.17.40.18}}
	{{FISMAT} {mtc-m16.sid.inpe.br:80 sid.inpe.br/banon/2003/08.15.17.40.18}}
	{{FISPLASMA} {mtc-m16.sid.inpe.br:80 sid.inpe.br/banon/2003/08.15.17.40.18}}
	{{MET} {mtc-m16b.sid.inpe.br cptec.inpe.br/walmeida/2003/04.25.17.13}}
	{{SRE} {mtc-m12.sid.inpe.br:80 sid.inpe.br/banon/2001/04.06.10.52.39}}
}
}

# >> groupOption2

set groupOption2 {} ;# para os anos anteriores a 2008

# Cdigos da instituio INPE ao longo dos anos
# Em 1992, o presidente Itamar Franco editou nova medida provisria que voltou a criar o ministrio (MCT), que permanece como pasta da rea at hoje. (http://www.mcti.gov.br/index.php/content/view/78973/Historico.html)
# http://www.inpe.br/institucional/sobre_inpe/historia.php
# 2020-		diviso-coordenao-INPE-MCTI-GOV-BR
# 2017-2019	diviso-coordenao-INPE-MCTIC-GOV-BR
# 2012-2016	diviso-coordenao-INPE-MCTI-GOV-BR
# 2008-2011	diviso-coordenao-INPE-MCT-BR
# 1992-2007	diviso-INPE-MCT-BR
# 1971-1991	diviso-INPE-BR
# 1963-1970	diviso-CNAE-BR
# IPE -> INPE (1990)

# >>> IMPORTANTE1: o 'if' do ano corrente deve estar primeiro e somente ele deve conter os "ou" isto  os "||" (ver IMPORTANTE2 abaixo)

# >>> IMPORTANTE2: quando for fazer atualizao de ano novo, copiar e colar acima o 'if' abaixo e atualizar o que for precisa
# em seguida, trocar o 'if' abaixo seguindo o modelo do 'if' do ano de 2021 ou dos anos anteriores

# if {([info exists publishingYear] && [string equal {2023} $publishingYear]) || \
# ([info exists update] && !$update) || \
# ([info exists referenceType] && [string equal {Electronic Source} $referenceType])} #	;# commented by GJFB in 2022-03-27 - too restrictive (one cannot update the group of an old ePrint)
if {([info exists publishingYear] && [string equal {2024} $publishingYear]) || \
([info exists update] && !$update)} {	;# added by GJFB in 2022-03-27
# ANO CORRENTE
# ano de 2024 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI.

	set groupOption2 {
		{}
		{CGCE {{CGCE CGCE-CGCE-INPE-MCTI-GOV-BR} {DIPST DIPST-CGCE-INPE-MCTI-GOV-BR} {DISEP DISEP-CGCE-INPE-MCTI-GOV-BR} {DICEP DICEP-CGCE-INPE-MCTI-GOV-BR} {DIAST DIAST-CGCE-INPE-MCTI-GOV-BR} {DIEEC DIEEC-CGCE-INPE-MCTI-GOV-BR} {DIHPA DIHPA-CGCE-INPE-MCTI-GOV-BR} {DIMEC DIMEC-CGCE-INPE-MCTI-GOV-BR} {SEGPR SEGPR-CGCE-INPE-MCTI-GOV-BR} {YYY YYY-CGCE-INPE-MCTI-GOV-BR}}}
		{CGCT {{CGCT CGCT-CGCT-INPE-MCTI-GOV-BR} {DIOTG DIOTG-CGCT-INPE-MCTI-GOV-BR} {DIIAV DIIAV-CGCT-INPE-MCTI-GOV-BR} {DIMNT DIMNT-CGCT-INPE-MCTI-GOV-BR} {DIPTC DIPTC-CGCT-INPE-MCTI-GOV-BR} {DISSM DISSM-CGCT-INPE-MCTI-GOV-BR} {YYY YYY-CGCT-INPE-MCTI-GOV-BR}}}
		{CGIP {{CGIP CGIP-CGIP-INPE-MCTI-GOV-BR} {CORCR CORCR-CGIP-INPE-MCTI-GOV-BR} {COPDT COPDT-CGIP-INPE-MCTI-GOV-BR} {COMIT COMIT-CGIP-INPE-MCTI-GOV-BR} {COIDS COIDS-CGIP-INPE-MCTI-GOV-BR} {YYY YYY-CGIP-INPE-MCTI-GOV-BR}}}
		{CGGO {{CGGO CGGO-CGGO-INPE-MCTI-GOV-BR} {COADM COADM-CGGO-INPE-MCTI-GOV-BR} {COEAM COEAM-CGGO-INPE-MCTI-GOV-BR} {COECO COECO-CGGO-INPE-MCTI-GOV-BR} {COENE COENE-CGGO-INPE-MCTI-GOV-BR} {COESU COESU-CGGO-INPE-MCTI-GOV-BR} {COTIC COTIC-CGGO-INPE-MCTI-GOV-BR} {COPOA COPOA-CGGO-INPE-MCTI-GOV-BR} {COGRH COGRH-CGGO-INPE-MCTI-GOV-BR} {YYY YYY-CGGO-INPE-MCTI-GOV-BR}}}	
		{COGPI {{COGPI COGPI-COGPI-INPE-MCTI-GOV-BR} {DIPE1 DIPE1-COGPI-INPE-MCTI-GOV-BR} {DIPE2 DIPE2-COGPI-INPE-MCTI-GOV-BR} {DIPE3 DIPE3-COGPI-INPE-MCTI-GOV-BR} {DIPE4 DIPE4-COGPI-INPE-MCTI-GOV-BR} {SEPEC SEPEC-COGPI-INPE-MCTI-GOV-BR} {SEGQP SEGQP-COGPI-INPE-MCTI-GOV-BR} {YYY YYY-COGPI-INPE-MCTI-GOV-BR}}}
		{COEPE {{COEPE COEPE-COEPE-INPE-MCTI-GOV-BR} {DIEXC DIEXC-COEPE-INPE-MCTI-GOV-BR} {DIFPD DIFPD-COEPE-INPE-MCTI-GOV-BR} {DIBIB DIBIB-COEPE-INPE-MCTI-GOV-BR} {DIPGR DIPGR-COEPE-INPE-MCTI-GOV-BR} {YYY YYY-COEPE-INPE-MCTI-GOV-BR}}}
		{COGAB {{COGAB COGAB-COGAB-INPE-MCTI-GOV-BR} {SEREL SEREL-COGAB-INPE-MCTI-GOV-BR} {SECOM SECOM-COGAB-INPE-MCTI-GOV-BR} {YYY YYY-COGAB-INPE-MCTI-GOV-BR}}}
		{COAND {{COAND COAND-COAND-INPE-MCTI-GOV-BR} {SEAND SEAND-COAND-INPE-MCTI-GOV-BR} {YYY YYY-COAND-INPE-MCTI-GOV-BR}}}
		{DIPGR {{AST AST-CEA-DIPGR-INPE-MCTI-GOV-BR} {CAP CAP-COMP-DIPGR-INPE-MCTI-GOV-BR} {CMC CMC-ETES-DIPGR-INPE-MCTI-GOV-BR} {CMS CMS-ETES-DIPGR-INPE-MCTI-GOV-BR} {CSE CSE-ETES-DIPGR-INPE-MCTI-GOV-BR} {CST CST-CST-DIPGR-INPE-MCTI-GOV-BR} {GES GES-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-DIPGR-INPE-MCTI-GOV-BR} {MET MET-MET-DIPGR-INPE-MCTI-GOV-BR} {PCP PCP-ETES-DIPGR-INPE-MCTI-GOV-BR} {SER SER-SRE-DIPGR-INPE-MCTI-GOV-BR}}}
		{COEAM {{YYY YYY-COEAM-INPE-MCTI-GOV-BR}}}
		{COECO {{YYY YYY-COECO-INPE-MCTI-GOV-BR}}}
		{COENE {{YYY YYY-COENE-INPE-MCTI-GOV-BR}}}
		{COESU {{YYY YYY-COESU-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2023} $publishingYear]} {
# ano de 2023 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI.

	set groupOption2 {
		{}
		{CGCE {{CGCE CGCE-CGCE-INPE-MCTI-GOV-BR} {DIPST DIPST-CGCE-INPE-MCTI-GOV-BR} {DISEP DISEP-CGCE-INPE-MCTI-GOV-BR} {DICEP DICEP-CGCE-INPE-MCTI-GOV-BR} {DIAST DIAST-CGCE-INPE-MCTI-GOV-BR} {DIEEC DIEEC-CGCE-INPE-MCTI-GOV-BR} {DIHPA DIHPA-CGCE-INPE-MCTI-GOV-BR} {DIMEC DIMEC-CGCE-INPE-MCTI-GOV-BR} {SEGPR SEGPR-CGCE-INPE-MCTI-GOV-BR} {YYY YYY-CGCE-INPE-MCTI-GOV-BR}}}
		{CGCT {{CGCT CGCT-CGCT-INPE-MCTI-GOV-BR} {DIOTG DIOTG-CGCT-INPE-MCTI-GOV-BR} {DIIAV DIIAV-CGCT-INPE-MCTI-GOV-BR} {DIMNT DIMNT-CGCT-INPE-MCTI-GOV-BR} {DIPTC DIPTC-CGCT-INPE-MCTI-GOV-BR} {DISSM DISSM-CGCT-INPE-MCTI-GOV-BR} {YYY YYY-CGCT-INPE-MCTI-GOV-BR}}}
		{CGIP {{CGIP CGIP-CGIP-INPE-MCTI-GOV-BR} {CORCR CORCR-CGIP-INPE-MCTI-GOV-BR} {COPDT COPDT-CGIP-INPE-MCTI-GOV-BR} {COMIT COMIT-CGIP-INPE-MCTI-GOV-BR} {COIDS COIDS-CGIP-INPE-MCTI-GOV-BR} {YYY YYY-CGIP-INPE-MCTI-GOV-BR}}}
		{CGGO {{CGGO CGGO-CGGO-INPE-MCTI-GOV-BR} {COADM COADM-CGGO-INPE-MCTI-GOV-BR} {COEAM COEAM-CGGO-INPE-MCTI-GOV-BR} {COECO COECO-CGGO-INPE-MCTI-GOV-BR} {COENE COENE-CGGO-INPE-MCTI-GOV-BR} {COESU COESU-CGGO-INPE-MCTI-GOV-BR} {COTIC COTIC-CGGO-INPE-MCTI-GOV-BR} {COPOA COPOA-CGGO-INPE-MCTI-GOV-BR} {COGRH COGRH-CGGO-INPE-MCTI-GOV-BR} {YYY YYY-CGGO-INPE-MCTI-GOV-BR}}}	
		{COGPI {{COGPI COGPI-COGPI-INPE-MCTI-GOV-BR} {DIPE1 DIPE1-COGPI-INPE-MCTI-GOV-BR} {DIPE2 DIPE2-COGPI-INPE-MCTI-GOV-BR} {DIPE3 DIPE3-COGPI-INPE-MCTI-GOV-BR} {DIPE4 DIPE4-COGPI-INPE-MCTI-GOV-BR} {SEPEC SEPEC-COGPI-INPE-MCTI-GOV-BR} {SEGQP SEGQP-COGPI-INPE-MCTI-GOV-BR} {YYY YYY-COGPI-INPE-MCTI-GOV-BR}}}
		{COEPE {{COEPE COEPE-COEPE-INPE-MCTI-GOV-BR} {DIEXC DIEXC-COEPE-INPE-MCTI-GOV-BR} {DIFPD DIFPD-COEPE-INPE-MCTI-GOV-BR} {DIBIB DIBIB-COEPE-INPE-MCTI-GOV-BR} {DIPGR DIPGR-COEPE-INPE-MCTI-GOV-BR} {YYY YYY-COEPE-INPE-MCTI-GOV-BR}}}
		{COGAB {{COGAB COGAB-COGAB-INPE-MCTI-GOV-BR} {SEREL SEREL-COGAB-INPE-MCTI-GOV-BR} {SECOM SECOM-COGAB-INPE-MCTI-GOV-BR} {YYY YYY-COGAB-INPE-MCTI-GOV-BR}}}
		{COAND {{COAND COAND-COAND-INPE-MCTI-GOV-BR} {SEAND SEAND-COAND-INPE-MCTI-GOV-BR} {YYY YYY-COAND-INPE-MCTI-GOV-BR}}}
		{DIPGR {{AST AST-CEA-DIPGR-INPE-MCTI-GOV-BR} {CAP CAP-COMP-DIPGR-INPE-MCTI-GOV-BR} {CMC CMC-ETES-DIPGR-INPE-MCTI-GOV-BR} {CMS CMS-ETES-DIPGR-INPE-MCTI-GOV-BR} {CSE CSE-ETES-DIPGR-INPE-MCTI-GOV-BR} {CST CST-CST-DIPGR-INPE-MCTI-GOV-BR} {GES GES-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-DIPGR-INPE-MCTI-GOV-BR} {MET MET-MET-DIPGR-INPE-MCTI-GOV-BR} {PCP PCP-ETES-DIPGR-INPE-MCTI-GOV-BR} {SER SER-SRE-DIPGR-INPE-MCTI-GOV-BR}}}
		{COEAM {{YYY YYY-COEAM-INPE-MCTI-GOV-BR}}}
		{COECO {{YYY YYY-COECO-INPE-MCTI-GOV-BR}}}
		{COENE {{YYY YYY-COENE-INPE-MCTI-GOV-BR}}}
		{COESU {{YYY YYY-COESU-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2022} $publishingYear]} {
# ano de 2022 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI.

	set groupOption2 {
		{}
		{CGCE {{CGCE CGCE-CGCE-INPE-MCTI-GOV-BR} {DIPST DIPST-CGCE-INPE-MCTI-GOV-BR} {DISEP DISEP-CGCE-INPE-MCTI-GOV-BR} {DICEP DICEP-CGCE-INPE-MCTI-GOV-BR} {DIAST DIAST-CGCE-INPE-MCTI-GOV-BR} {DIEEC DIEEC-CGCE-INPE-MCTI-GOV-BR} {DIHPA DIHPA-CGCE-INPE-MCTI-GOV-BR} {DIMEC DIMEC-CGCE-INPE-MCTI-GOV-BR} {SEGPR SEGPR-CGCE-INPE-MCTI-GOV-BR} {YYY YYY-CGCE-INPE-MCTI-GOV-BR}}}
		{CGCT {{CGCT CGCT-CGCT-INPE-MCTI-GOV-BR} {DIOTG DIOTG-CGCT-INPE-MCTI-GOV-BR} {DIIAV DIIAV-CGCT-INPE-MCTI-GOV-BR} {DIMNT DIMNT-CGCT-INPE-MCTI-GOV-BR} {DIPTC DIPTC-CGCT-INPE-MCTI-GOV-BR} {DISSM DISSM-CGCT-INPE-MCTI-GOV-BR} {YYY YYY-CGCT-INPE-MCTI-GOV-BR}}}
		{CGIP {{CGIP CGIP-CGIP-INPE-MCTI-GOV-BR} {CORCR CORCR-CGIP-INPE-MCTI-GOV-BR} {COPDT COPDT-CGIP-INPE-MCTI-GOV-BR} {COMIT COMIT-CGIP-INPE-MCTI-GOV-BR} {COIDS COIDS-CGIP-INPE-MCTI-GOV-BR} {YYY YYY-CGIP-INPE-MCTI-GOV-BR}}}
		{CGGO {{CGGO CGGO-CGGO-INPE-MCTI-GOV-BR} {COADM COADM-CGGO-INPE-MCTI-GOV-BR} {COEAM COEAM-CGGO-INPE-MCTI-GOV-BR} {COECO COECO-CGGO-INPE-MCTI-GOV-BR} {COENE COENE-CGGO-INPE-MCTI-GOV-BR} {COESU COESU-CGGO-INPE-MCTI-GOV-BR} {COTIC COTIC-CGGO-INPE-MCTI-GOV-BR} {COPOA COPOA-CGGO-INPE-MCTI-GOV-BR} {COGRH COGRH-CGGO-INPE-MCTI-GOV-BR} {YYY YYY-CGGO-INPE-MCTI-GOV-BR}}}	
		{COGPI {{COGPI COGPI-COGPI-INPE-MCTI-GOV-BR} {DIPE1 DIPE1-COGPI-INPE-MCTI-GOV-BR} {DIPE2 DIPE2-COGPI-INPE-MCTI-GOV-BR} {DIPE3 DIPE3-COGPI-INPE-MCTI-GOV-BR} {DIPE4 DIPE4-COGPI-INPE-MCTI-GOV-BR} {SEPEC SEPEC-COGPI-INPE-MCTI-GOV-BR} {SEGQP SEGQP-COGPI-INPE-MCTI-GOV-BR} {YYY YYY-COGPI-INPE-MCTI-GOV-BR}}}
		{COEPE {{COEPE COEPE-COEPE-INPE-MCTI-GOV-BR} {DIEXC DIEXC-COEPE-INPE-MCTI-GOV-BR} {DIFPD DIFPD-COEPE-INPE-MCTI-GOV-BR} {DIBIB DIBIB-COEPE-INPE-MCTI-GOV-BR} {DIPGR DIPGR-COEPE-INPE-MCTI-GOV-BR} {YYY YYY-COEPE-INPE-MCTI-GOV-BR}}}
		{COGAB {{COGAB COGAB-COGAB-INPE-MCTI-GOV-BR} {SEREL SEREL-COGAB-INPE-MCTI-GOV-BR} {SECOM SECOM-COGAB-INPE-MCTI-GOV-BR} {YYY YYY-COGAB-INPE-MCTI-GOV-BR}}}
		{COAND {{COAND COAND-COAND-INPE-MCTI-GOV-BR} {SEAND SEAND-COAND-INPE-MCTI-GOV-BR} {YYY YYY-COAND-INPE-MCTI-GOV-BR}}}
		{DIPGR {{AST AST-CEA-DIPGR-INPE-MCTI-GOV-BR} {CAP CAP-COMP-DIPGR-INPE-MCTI-GOV-BR} {CMC CMC-ETES-DIPGR-INPE-MCTI-GOV-BR} {CMS CMS-ETES-DIPGR-INPE-MCTI-GOV-BR} {CSE CSE-ETES-DIPGR-INPE-MCTI-GOV-BR} {CST CST-CST-DIPGR-INPE-MCTI-GOV-BR} {GES GES-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-DIPGR-INPE-MCTI-GOV-BR} {MET MET-MET-DIPGR-INPE-MCTI-GOV-BR} {PCP PCP-ETES-DIPGR-INPE-MCTI-GOV-BR} {SER SER-SRE-DIPGR-INPE-MCTI-GOV-BR}}}
		{COEAM {{YYY YYY-COEAM-INPE-MCTI-GOV-BR}}}
		{COECO {{YYY YYY-COECO-INPE-MCTI-GOV-BR}}}
		{COENE {{YYY YYY-COENE-INPE-MCTI-GOV-BR}}}
		{COESU {{YYY YYY-COESU-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2021} $publishingYear]} {
# ano de 2021 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI.

	set groupOption2 {
		{}
		{CGCE {{CGCE CGCE-CGCE-INPE-MCTI-GOV-BR} {DIPST DIPST-CGCE-INPE-MCTI-GOV-BR} {DISEP DISEP-CGCE-INPE-MCTI-GOV-BR} {DICEP DICEP-CGCE-INPE-MCTI-GOV-BR} {DIAST DIAST-CGCE-INPE-MCTI-GOV-BR} {DIEEC DIEEC-CGCE-INPE-MCTI-GOV-BR} {DIHPA DIHPA-CGCE-INPE-MCTI-GOV-BR} {DIMEC DIMEC-CGCE-INPE-MCTI-GOV-BR} {SEGPR SEGPR-CGCE-INPE-MCTI-GOV-BR} {YYY YYY-CGCE-INPE-MCTI-GOV-BR}}}
		{CGCT {{CGCT CGCT-CGCT-INPE-MCTI-GOV-BR} {DIOTG DIOTG-CGCT-INPE-MCTI-GOV-BR} {DIIAV DIIAV-CGCT-INPE-MCTI-GOV-BR} {DIMNT DIMNT-CGCT-INPE-MCTI-GOV-BR} {DIPTC DIPTC-CGCT-INPE-MCTI-GOV-BR} {DISSM DISSM-CGCT-INPE-MCTI-GOV-BR} {YYY YYY-CGCT-INPE-MCTI-GOV-BR}}}
		{CGIP {{CGIP CGIP-CGIP-INPE-MCTI-GOV-BR} {CORCR CORCR-CGIP-INPE-MCTI-GOV-BR} {COPDT COPDT-CGIP-INPE-MCTI-GOV-BR} {COMIT COMIT-CGIP-INPE-MCTI-GOV-BR} {COIDS COIDS-CGIP-INPE-MCTI-GOV-BR} {YYY YYY-CGIP-INPE-MCTI-GOV-BR}}}
		{CGGO {{CGGO CGGO-CGGO-INPE-MCTI-GOV-BR} {COADM COADM-CGGO-INPE-MCTI-GOV-BR} {COEAM COEAM-CGGO-INPE-MCTI-GOV-BR} {COECO COECO-CGGO-INPE-MCTI-GOV-BR} {COENE COENE-CGGO-INPE-MCTI-GOV-BR} {COESU COESU-CGGO-INPE-MCTI-GOV-BR} {COTIC COTIC-CGGO-INPE-MCTI-GOV-BR} {COPOA COPOA-CGGO-INPE-MCTI-GOV-BR} {COGRH COGRH-CGGO-INPE-MCTI-GOV-BR} {YYY YYY-CGGO-INPE-MCTI-GOV-BR}}}	
		{COGPI {{COGPI COGPI-COGPI-INPE-MCTI-GOV-BR} {DIPE1 DIPE1-COGPI-INPE-MCTI-GOV-BR} {DIPE2 DIPE2-COGPI-INPE-MCTI-GOV-BR} {DIPE3 DIPE3-COGPI-INPE-MCTI-GOV-BR} {DIPE4 DIPE4-COGPI-INPE-MCTI-GOV-BR} {SEPEC SEPEC-COGPI-INPE-MCTI-GOV-BR} {SEGQP SEGQP-COGPI-INPE-MCTI-GOV-BR} {YYY YYY-COGPI-INPE-MCTI-GOV-BR}}}
		{COEPE {{COEPE COEPE-COEPE-INPE-MCTI-GOV-BR} {DIEXC DIEXC-COEPE-INPE-MCTI-GOV-BR} {DIFPD DIFPD-COEPE-INPE-MCTI-GOV-BR} {DIBIB DIBIB-COEPE-INPE-MCTI-GOV-BR} {DIPGR DIPGR-COEPE-INPE-MCTI-GOV-BR} {YYY YYY-COEPE-INPE-MCTI-GOV-BR}}}
		{COGAB {{COGAB COGAB-COGAB-INPE-MCTI-GOV-BR} {SEREL SEREL-COGAB-INPE-MCTI-GOV-BR} {SECOM SECOM-COGAB-INPE-MCTI-GOV-BR} {YYY YYY-COGAB-INPE-MCTI-GOV-BR}}}
		{COAND {{COAND COAND-COAND-INPE-MCTI-GOV-BR} {SEAND SEAND-COAND-INPE-MCTI-GOV-BR} {YYY YYY-COAND-INPE-MCTI-GOV-BR}}}
		{DIPGR {{AST AST-CEA-DIPGR-INPE-MCTI-GOV-BR} {CAP CAP-COMP-DIPGR-INPE-MCTI-GOV-BR} {CMC CMC-ETES-DIPGR-INPE-MCTI-GOV-BR} {CMS CMS-ETES-DIPGR-INPE-MCTI-GOV-BR} {CSE CSE-ETES-DIPGR-INPE-MCTI-GOV-BR} {CST CST-CST-DIPGR-INPE-MCTI-GOV-BR} {GES GES-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-DIPGR-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-DIPGR-INPE-MCTI-GOV-BR} {MET MET-MET-DIPGR-INPE-MCTI-GOV-BR} {PCP PCP-ETES-DIPGR-INPE-MCTI-GOV-BR} {SER SER-SRE-DIPGR-INPE-MCTI-GOV-BR}}}
		{COEAM {{YYY YYY-COEAM-INPE-MCTI-GOV-BR}}}
		{COECO {{YYY YYY-COECO-INPE-MCTI-GOV-BR}}}
		{COENE {{YYY YYY-COENE-INPE-MCTI-GOV-BR}}}
		{COESU {{YYY YYY-COESU-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2020} $publishingYear]} {
# ano de 2020 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI.

	set groupOption2 {
		{}
		{COCRE {{COCRE COCRE-COCRE-INPE-MCTIC-GOV-BR} {CRCRA CRCRA-COCRE-INPE-MCTIC-GOV-BR} {CRCRN CRCRN-COCRE-INPE-MCTIC-GOV-BR} {CRCRS CRCRS-COCRE-INPE-MCTIC-GOV-BR} {SEPAN SEPAN-COCRE-INPE-MCTIC-GOV-BR}}}
		{CRCRA {{YYY YYY-CRCRA-INPE-MCTIC-GOV-BR}}}
		{CRCRN {{YYY YYY-CRCRN-INPE-MCTIC-GOV-BR}}}
		{CRCRS {{YYY YYY-CRCRS-INPE-MCTIC-GOV-BR}}}
		{COLIT {{COLIT COLIT-COLIT-INPE-MCTIC-GOV-BR} {SCECE SCECE-COLIT-INPE-MCTIC-GOV-BR} {YYY YYY-COLIT-INPE-MCTIC-GOV-BR}}}
		{COADM {{COADM COADM-COADM-INPE-MCTIC-GOV-BR} {SEEMA SEEMA-COADM-INPE-MCTIC-GOV-BR} {SESIA SESIA-COADM-INPE-MCTIC-GOV-BR} {URURC URURC-COADM-INPE-MCTIC-GOV-BR} {SELCO SELCO-COADM-INPE-MCTIC-GOV-BR} {SESCR SESCR-COADM-INPE-MCTIC-GOV-BR} {SESOF SESOF-COADM-INPE-MCTIC-GOV-BR} {URURO URURO-COADM-INPE-MCTIC-GOV-BR} {YYY YYY-COADM-INPE-MCTIC-GOV-BR}}}
		{COAPF {{COAPF COAPF-COAPF-INPE-MCTIC-GOV-BR} {SEAPR SEAPR-COAPF-INPE-MCTIC-GOV-BR} {SEFAN SEFAN-COAPF-INPE-MCTIC-GOV-BR} {YYY YYY-COAPF-INPE-MCTIC-GOV-BR}}}
		{COCRH {{COCRH COCRH-COCRH-INPE-MCTIC-GOV-BR} {DIDGP DIDGP-COCRH-INPE-MCTIC-GOV-BR} {SCSAS SCSAS-COCRH-INPE-MCTIC-GOV-BR} {SESGC SESGC-COCRH-INPE-MCTIC-GOV-BR} {NUPAT NUPAT-COCRH-INPE-MCTIC-GOV-BR} {YYY YYY-COCRH-INPE-MCTIC-GOV-BR}}}
		{COGCT {{COGCT COGCT-COGCT-INPE-MCTIC-GOV-BR} {SESPO SESPO-COGCT-INPE-MCTIC-GOV-BR} {SEPAR SEPAR-COGCT-INPE-MCTIC-GOV-BR} {NUINT NUINT-COGCT-INPE-MCTIC-GOV-BR} {YYY YYY-COGCT-INPE-MCTIC-GOV-BR}}}
		{COCRC {{COCRC COCRC-COCRC-INPE-MCTIC-GOV-BR} {YYY YYY-COCRC-INPE-MCTIC-GOV-BR}}}
		{COCST {{COCST COCST-COCST-INPE-MCTIC-GOV-BR} {YYY YYY-COCST-INPE-MCTIC-GOV-BR}}}
		{COCTE {{COCTE COCTE-COCTE-INPE-MCTIC-GOV-BR} {LABAC LABAC-COCTE-INPE-MCTIC-GOV-BR} {LABAP LABAP-COCTE-INPE-MCTIC-GOV-BR} {LABAS LABAS-COCTE-INPE-MCTIC-GOV-BR} {LABCP LABCP-COCTE-INPE-MCTIC-GOV-BR} {YYY YYY-COCTE-INPE-MCTIC-GOV-BR}}}
		{COCTI {{COCTI COCTI-COCTI-INPE-MCTIC-GOV-BR} {SCSTI SCSTI-COCTI-INPE-MCTIC-GOV-BR} {YYY YYY-COCTI-INPE-MCTIC-GOV-BR}}}
		{CGCEA {{CGCEA CGCEA-CGCEA-INPE-MCTIC-GOV-BR} {DIDAE DIDAE-CGCEA-INPE-MCTIC-GOV-BR} {DIDAS DIDAS-CGCEA-INPE-MCTIC-GOV-BR} {DIDGE DIDGE-CGCEA-INPE-MCTIC-GOV-BR} {SESLB SESLB-CGCEA-INPE-MCTIC-GOV-BR} {YYY YYY-CGCEA-INPE-MCTIC-GOV-BR}}}
		{CGCPT {{CGCPT CGCPT-CGCPT-INPE-MCTIC-GOV-BR} {DIDMD DIDMD-CGCPT-INPE-MCTIC-GOV-BR} {DIDOP DIDOP-CGCPT-INPE-MCTIC-GOV-BR} {DIDSA DIDSA-CGCPT-INPE-MCTIC-GOV-BR} {SESAA SESAA-CGCPT-INPE-MCTIC-GOV-BR} {SESSS SESSS-CGCPT-INPE-MCTIC-GOV-BR} {YYY YYY-CGCPT-INPE-MCTIC-GOV-BR}}}
		{CGOBT {{CGOBT CGOBT-CGOBT-INPE-MCTIC-GOV-BR} {COACB COACB-CGOBT-INPE-MCTIC-GOV-BR} {COAMZ COAMZ-CGOBT-INPE-MCTIC-GOV-BR} {DIDGI DIDGI-CGOBT-INPE-MCTIC-GOV-BR} {DIDPI DIDPI-CGOBT-INPE-MCTIC-GOV-BR} {DIDSR DIDSR-CGOBT-INPE-MCTIC-GOV-BR} {YYY YYY-CGOBT-INPE-MCTIC-GOV-BR}}}
		{CGETE {{CGETE CGETE-CGETE-INPE-MCTIC-GOV-BR} {COPMM COPMM-CGETE-INPE-MCTIC-GOV-BR} {COCBS COCBS-CGETE-INPE-MCTIC-GOV-BR} {DIDEA DIDEA-CGETE-INPE-MCTIC-GOV-BR} {DIDMC DIDMC-CGETE-INPE-MCTIC-GOV-BR} {DIDSE DIDSE-CGETE-INPE-MCTIC-GOV-BR} {DIDSS DIDSS-CGETE-INPE-MCTIC-GOV-BR} {SESEQ SESEQ-CGETE-INPE-MCTIC-GOV-BR} {SESMF SESMF-CGETE-INPE-MCTIC-GOV-BR} {SESMD SESMD-CGETE-INPE-MCTIC-GOV-BR} {SESTS SESTS-CGETE-INPE-MCTIC-GOV-BR} {YYY YYY-CGETE-INPE-MCTIC-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTIC-GOV-BR} {YYY YYY-DIR-INPE-MCTIC-GOV-BR}}}
		{GBDIR {{GBDIR GBDIR-GBDIR-INPE-MCTIC-GOV-BR} {SESID SESID-GBDIR-INPE-MCTIC-GOV-BR} {SESPG SESPG-GBDIR-INPE-MCTIC-GOV-BR} {SCRIN SCRIN-GBDIR-INPE-MCTIC-GOV-BR} {NUCIM NUCIM-GBDIR-INPE-MCTIC-GOV-BR} {YYY YYY-GBDIR-INPE-MCTIC-GOV-BR}}}
		{SESPG {{AST AST-CEA-SESPG-INPE-MCTIC-GOV-BR} {CAP CAP-COMP-SESPG-INPE-MCTIC-GOV-BR} {CMC CMC-ETES-SESPG-INPE-MCTIC-GOV-BR} {CMS CMS-ETES-SESPG-INPE-MCTIC-GOV-BR} {CSE CSE-ETES-SESPG-INPE-MCTIC-GOV-BR} {CST CST-CST-SESPG-INPE-MCTIC-GOV-BR} {GES GES-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESAST GESAST-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESATM GESATM-CEA-SESPG-INPE-MCTIC-GOV-BR} {MET MET-MET-SESPG-INPE-MCTIC-GOV-BR} {PCP PCP-ETES-SESPG-INPE-MCTIC-GOV-BR} {SER SER-SRE-SESPG-INPE-MCTIC-GOV-BR}}}		
	}
}

if {[info exists publishingYear] && [string equal {2019} $publishingYear]} {
# ano de 2019 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI.

	set groupOption2 {
		{}
		{COCRE {{COCRE COCRE-COCRE-INPE-MCTIC-GOV-BR} {CRCRA CRCRA-COCRE-INPE-MCTIC-GOV-BR} {CRCRN CRCRN-COCRE-INPE-MCTIC-GOV-BR} {CRCRS CRCRS-COCRE-INPE-MCTIC-GOV-BR} {SEPAN SEPAN-COCRE-INPE-MCTIC-GOV-BR}}}
		{CRCRA {{YYY YYY-CRCRA-INPE-MCTIC-GOV-BR}}}
		{CRCRN {{YYY YYY-CRCRN-INPE-MCTIC-GOV-BR}}}
		{CRCRS {{YYY YYY-CRCRS-INPE-MCTIC-GOV-BR}}}
		{COLIT {{COLIT COLIT-COLIT-INPE-MCTIC-GOV-BR} {SCECE SCECE-COLIT-INPE-MCTIC-GOV-BR} {YYY YYY-COLIT-INPE-MCTIC-GOV-BR}}}
		{COADM {{COADM COADM-COADM-INPE-MCTIC-GOV-BR} {SEEMA SEEMA-COADM-INPE-MCTIC-GOV-BR} {SESIA SESIA-COADM-INPE-MCTIC-GOV-BR} {URURC URURC-COADM-INPE-MCTIC-GOV-BR} {SELCO SELCO-COADM-INPE-MCTIC-GOV-BR} {SESCR SESCR-COADM-INPE-MCTIC-GOV-BR} {SESOF SESOF-COADM-INPE-MCTIC-GOV-BR} {URURO URURO-COADM-INPE-MCTIC-GOV-BR} {YYY YYY-COADM-INPE-MCTIC-GOV-BR}}}
		{COAPF {{COAPF COAPF-COAPF-INPE-MCTIC-GOV-BR} {SEAPR SEAPR-COAPF-INPE-MCTIC-GOV-BR} {SEFAN SEFAN-COAPF-INPE-MCTIC-GOV-BR} {YYY YYY-COAPF-INPE-MCTIC-GOV-BR}}}
		{COCRH {{COCRH COCRH-COCRH-INPE-MCTIC-GOV-BR} {DIDGP DIDGP-COCRH-INPE-MCTIC-GOV-BR} {SCSAS SCSAS-COCRH-INPE-MCTIC-GOV-BR} {SESGC SESGC-COCRH-INPE-MCTIC-GOV-BR} {NUPAT NUPAT-COCRH-INPE-MCTIC-GOV-BR} {YYY YYY-COCRH-INPE-MCTIC-GOV-BR}}}
		{COGCT {{COGCT COGCT-COGCT-INPE-MCTIC-GOV-BR} {SESPO SESPO-COGCT-INPE-MCTIC-GOV-BR} {SEPAR SEPAR-COGCT-INPE-MCTIC-GOV-BR} {NUINT NUINT-COGCT-INPE-MCTIC-GOV-BR} {YYY YYY-COGCT-INPE-MCTIC-GOV-BR}}}
		{COCRC {{COCRC COCRC-COCRC-INPE-MCTIC-GOV-BR} {YYY YYY-COCRC-INPE-MCTIC-GOV-BR}}}
		{COCST {{COCST COCST-COCST-INPE-MCTIC-GOV-BR} {YYY YYY-COCST-INPE-MCTIC-GOV-BR}}}
		{COCTE {{COCTE COCTE-COCTE-INPE-MCTIC-GOV-BR} {LABAC LABAC-COCTE-INPE-MCTIC-GOV-BR} {LABAP LABAP-COCTE-INPE-MCTIC-GOV-BR} {LABAS LABAS-COCTE-INPE-MCTIC-GOV-BR} {LABCP LABCP-COCTE-INPE-MCTIC-GOV-BR} {YYY YYY-COCTE-INPE-MCTIC-GOV-BR}}}
		{COCTI {{COCTI COCTI-COCTI-INPE-MCTIC-GOV-BR} {SCSTI SCSTI-COCTI-INPE-MCTIC-GOV-BR} {YYY YYY-COCTI-INPE-MCTIC-GOV-BR}}}
		{CGCEA {{CGCEA CGCEA-CGCEA-INPE-MCTIC-GOV-BR} {DIDAE DIDAE-CGCEA-INPE-MCTIC-GOV-BR} {DIDAS DIDAS-CGCEA-INPE-MCTIC-GOV-BR} {DIDGE DIDGE-CGCEA-INPE-MCTIC-GOV-BR} {SESLB SESLB-CGCEA-INPE-MCTIC-GOV-BR} {YYY YYY-CGCEA-INPE-MCTIC-GOV-BR}}}
		{CGCPT {{CGCPT CGCPT-CGCPT-INPE-MCTIC-GOV-BR} {DIDMD DIDMD-CGCPT-INPE-MCTIC-GOV-BR} {DIDOP DIDOP-CGCPT-INPE-MCTIC-GOV-BR} {DIDSA DIDSA-CGCPT-INPE-MCTIC-GOV-BR} {SESAA SESAA-CGCPT-INPE-MCTIC-GOV-BR} {SESSS SESSS-CGCPT-INPE-MCTIC-GOV-BR} {YYY YYY-CGCPT-INPE-MCTIC-GOV-BR}}}
		{CGOBT {{CGOBT CGOBT-CGOBT-INPE-MCTIC-GOV-BR} {COACB COACB-CGOBT-INPE-MCTIC-GOV-BR} {COAMZ COAMZ-CGOBT-INPE-MCTIC-GOV-BR} {DIDGI DIDGI-CGOBT-INPE-MCTIC-GOV-BR} {DIDPI DIDPI-CGOBT-INPE-MCTIC-GOV-BR} {DIDSR DIDSR-CGOBT-INPE-MCTIC-GOV-BR} {YYY YYY-CGOBT-INPE-MCTIC-GOV-BR}}}
		{CGETE {{CGETE CGETE-CGETE-INPE-MCTIC-GOV-BR} {COPMM COPMM-CGETE-INPE-MCTIC-GOV-BR} {COCBS COCBS-CGETE-INPE-MCTIC-GOV-BR} {DIDEA DIDEA-CGETE-INPE-MCTIC-GOV-BR} {DIDMC DIDMC-CGETE-INPE-MCTIC-GOV-BR} {DIDSE DIDSE-CGETE-INPE-MCTIC-GOV-BR} {DIDSS DIDSS-CGETE-INPE-MCTIC-GOV-BR} {SESEQ SESEQ-CGETE-INPE-MCTIC-GOV-BR} {SESMF SESMF-CGETE-INPE-MCTIC-GOV-BR} {SESMD SESMD-CGETE-INPE-MCTIC-GOV-BR} {SESTS SESTS-CGETE-INPE-MCTIC-GOV-BR} {YYY YYY-CGETE-INPE-MCTIC-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTIC-GOV-BR} {YYY YYY-DIR-INPE-MCTIC-GOV-BR}}}
		{GBDIR {{GBDIR GBDIR-GBDIR-INPE-MCTIC-GOV-BR} {SESID SESID-GBDIR-INPE-MCTIC-GOV-BR} {SESPG SESPG-GBDIR-INPE-MCTIC-GOV-BR} {SCRIN SCRIN-GBDIR-INPE-MCTIC-GOV-BR} {NUCIM NUCIM-GBDIR-INPE-MCTIC-GOV-BR} {YYY YYY-GBDIR-INPE-MCTIC-GOV-BR}}}
		{SESPG {{AST AST-CEA-SESPG-INPE-MCTIC-GOV-BR} {CAP CAP-COMP-SESPG-INPE-MCTIC-GOV-BR} {CMC CMC-ETES-SESPG-INPE-MCTIC-GOV-BR} {CMS CMS-ETES-SESPG-INPE-MCTIC-GOV-BR} {CSE CSE-ETES-SESPG-INPE-MCTIC-GOV-BR} {CST CST-CST-SESPG-INPE-MCTIC-GOV-BR} {GES GES-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESAST GESAST-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESATM GESATM-CEA-SESPG-INPE-MCTIC-GOV-BR} {MET MET-MET-SESPG-INPE-MCTIC-GOV-BR} {PCP PCP-ETES-SESPG-INPE-MCTIC-GOV-BR} {SER SER-SRE-SESPG-INPE-MCTIC-GOV-BR}}}		
	}
}

if {[info exists publishingYear] && [string equal {2018} $publishingYear]} {
# ano de 2018 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI.

	set groupOption2 {
		{}
		{COCRE {{COCRE COCRE-COCRE-INPE-MCTIC-GOV-BR} {CRCRA CRCRA-COCRE-INPE-MCTIC-GOV-BR} {CRCRN CRCRN-COCRE-INPE-MCTIC-GOV-BR} {CRCRS CRCRS-COCRE-INPE-MCTIC-GOV-BR} {SEPAN SEPAN-COCRE-INPE-MCTIC-GOV-BR}}}
		{CRCRA {{YYY YYY-CRCRA-INPE-MCTIC-GOV-BR}}}
		{CRCRN {{YYY YYY-CRCRN-INPE-MCTIC-GOV-BR}}}
		{CRCRS {{YYY YYY-CRCRS-INPE-MCTIC-GOV-BR}}}
		{COLIT {{COLIT COLIT-COLIT-INPE-MCTIC-GOV-BR} {SCECE SCECE-COLIT-INPE-MCTIC-GOV-BR} {YYY YYY-COLIT-INPE-MCTIC-GOV-BR}}}
		{COADM {{COADM COADM-COADM-INPE-MCTIC-GOV-BR} {SEEMA SEEMA-COADM-INPE-MCTIC-GOV-BR} {SESIA SESIA-COADM-INPE-MCTIC-GOV-BR} {URURC URURC-COADM-INPE-MCTIC-GOV-BR} {SELCO SELCO-COADM-INPE-MCTIC-GOV-BR} {SESCR SESCR-COADM-INPE-MCTIC-GOV-BR} {SESOF SESOF-COADM-INPE-MCTIC-GOV-BR} {URURO URURO-COADM-INPE-MCTIC-GOV-BR} {YYY YYY-COADM-INPE-MCTIC-GOV-BR}}}
		{COAPF {{COAPF COAPF-COAPF-INPE-MCTIC-GOV-BR} {SEAPR SEAPR-COAPF-INPE-MCTIC-GOV-BR} {SEFAN SEFAN-COAPF-INPE-MCTIC-GOV-BR} {YYY YYY-COAPF-INPE-MCTIC-GOV-BR}}}
		{COCRH {{COCRH COCRH-COCRH-INPE-MCTIC-GOV-BR} {DIDGP DIDGP-COCRH-INPE-MCTIC-GOV-BR} {SCSAS SCSAS-COCRH-INPE-MCTIC-GOV-BR} {SESGC SESGC-COCRH-INPE-MCTIC-GOV-BR} {NUPAT NUPAT-COCRH-INPE-MCTIC-GOV-BR} {YYY YYY-COCRH-INPE-MCTIC-GOV-BR}}}
		{COGCT {{COGCT COGCT-COGCT-INPE-MCTIC-GOV-BR} {SESPO SESPO-COGCT-INPE-MCTIC-GOV-BR} {SEPAR SEPAR-COGCT-INPE-MCTIC-GOV-BR} {NUINT NUINT-COGCT-INPE-MCTIC-GOV-BR} {YYY YYY-COGCT-INPE-MCTIC-GOV-BR}}}
		{COCRC {{COCRC COCRC-COCRC-INPE-MCTIC-GOV-BR} {YYY YYY-COCRC-INPE-MCTIC-GOV-BR}}}
		{COCST {{COCST COCST-COCST-INPE-MCTIC-GOV-BR} {YYY YYY-COCST-INPE-MCTIC-GOV-BR}}}
		{COCTE {{COCTE COCTE-COCTE-INPE-MCTIC-GOV-BR} {LABAC LABAC-COCTE-INPE-MCTIC-GOV-BR} {LABAP LABAP-COCTE-INPE-MCTIC-GOV-BR} {LABAS LABAS-COCTE-INPE-MCTIC-GOV-BR} {LABCP LABCP-COCTE-INPE-MCTIC-GOV-BR} {YYY YYY-COCTE-INPE-MCTIC-GOV-BR}}}
		{COCTI {{COCTI COCTI-COCTI-INPE-MCTIC-GOV-BR} {SCSTI SCSTI-COCTI-INPE-MCTIC-GOV-BR} {YYY YYY-COCTI-INPE-MCTIC-GOV-BR}}}
		{CGCEA {{CGCEA CGCEA-CGCEA-INPE-MCTIC-GOV-BR} {DIDAE DIDAE-CGCEA-INPE-MCTIC-GOV-BR} {DIDAS DIDAS-CGCEA-INPE-MCTIC-GOV-BR} {DIDGE DIDGE-CGCEA-INPE-MCTIC-GOV-BR} {SESLB SESLB-CGCEA-INPE-MCTIC-GOV-BR} {YYY YYY-CGCEA-INPE-MCTIC-GOV-BR}}}
		{CGCPT {{CGCPT CGCPT-CGCPT-INPE-MCTIC-GOV-BR} {DIDMD DIDMD-CGCPT-INPE-MCTIC-GOV-BR} {DIDOP DIDOP-CGCPT-INPE-MCTIC-GOV-BR} {DIDSA DIDSA-CGCPT-INPE-MCTIC-GOV-BR} {SESAA SESAA-CGCPT-INPE-MCTIC-GOV-BR} {SESSS SESSS-CGCPT-INPE-MCTIC-GOV-BR} {YYY YYY-CGCPT-INPE-MCTIC-GOV-BR}}}
		{CGOBT {{CGOBT CGOBT-CGOBT-INPE-MCTIC-GOV-BR} {COACB COACB-CGOBT-INPE-MCTIC-GOV-BR} {COAMZ COAMZ-CGOBT-INPE-MCTIC-GOV-BR} {DIDGI DIDGI-CGOBT-INPE-MCTIC-GOV-BR} {DIDPI DIDPI-CGOBT-INPE-MCTIC-GOV-BR} {DIDSR DIDSR-CGOBT-INPE-MCTIC-GOV-BR} {YYY YYY-CGOBT-INPE-MCTIC-GOV-BR}}}
		{CGETE {{CGETE CGETE-CGETE-INPE-MCTIC-GOV-BR} {COPMM COPMM-CGETE-INPE-MCTIC-GOV-BR} {COCBS COCBS-CGETE-INPE-MCTIC-GOV-BR} {DIDEA DIDEA-CGETE-INPE-MCTIC-GOV-BR} {DIDMC DIDMC-CGETE-INPE-MCTIC-GOV-BR} {DIDSE DIDSE-CGETE-INPE-MCTIC-GOV-BR} {DIDSS DIDSS-CGETE-INPE-MCTIC-GOV-BR} {SESEQ SESEQ-CGETE-INPE-MCTIC-GOV-BR} {SESMF SESMF-CGETE-INPE-MCTIC-GOV-BR} {SESMD SESMD-CGETE-INPE-MCTIC-GOV-BR} {SESTS SESTS-CGETE-INPE-MCTIC-GOV-BR} {YYY YYY-CGETE-INPE-MCTIC-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTIC-GOV-BR} {YYY YYY-DIR-INPE-MCTIC-GOV-BR}}}
		{GBDIR {{GBDIR GBDIR-GBDIR-INPE-MCTIC-GOV-BR} {SESID SESID-GBDIR-INPE-MCTIC-GOV-BR} {SESPG SESPG-GBDIR-INPE-MCTIC-GOV-BR} {SCRIN SCRIN-GBDIR-INPE-MCTIC-GOV-BR} {NUCIM NUCIM-GBDIR-INPE-MCTIC-GOV-BR} {YYY YYY-GBDIR-INPE-MCTIC-GOV-BR}}}
		{SESPG {{AST AST-CEA-SESPG-INPE-MCTIC-GOV-BR} {CAP CAP-COMP-SESPG-INPE-MCTIC-GOV-BR} {CMC CMC-ETES-SESPG-INPE-MCTIC-GOV-BR} {CMS CMS-ETES-SESPG-INPE-MCTIC-GOV-BR} {CSE CSE-ETES-SESPG-INPE-MCTIC-GOV-BR} {CST CST-CST-SESPG-INPE-MCTIC-GOV-BR} {GES GES-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESAST GESAST-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESATM GESATM-CEA-SESPG-INPE-MCTIC-GOV-BR} {MET MET-MET-SESPG-INPE-MCTIC-GOV-BR} {PCP PCP-ETES-SESPG-INPE-MCTIC-GOV-BR} {SER SER-SRE-SESPG-INPE-MCTIC-GOV-BR}}}		
	}
}

if {[info exists publishingYear] && [string equal {2017} $publishingYear]} {
# ano de 2017 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI, enquanto que ZZZ  usado para identificar bolsistas PIBIC/PIBIT

	set groupOption2 {
		{}
		{COCRE {{COCRE COCRE-COCRE-INPE-MCTIC-GOV-BR} {CRCRA CRCRA-COCRE-INPE-MCTIC-GOV-BR} {CRCRN CRCRN-COCRE-INPE-MCTIC-GOV-BR} {CRCRS CRCRS-COCRE-INPE-MCTIC-GOV-BR} {SEPAN SEPAN-COCRE-INPE-MCTIC-GOV-BR} {YYY YYY-COCRE-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COCRE-INPE-MCTIC-GOV-BR}}}
		{CGCEA {{CGCEA CGCEA-CGCEA-INPE-MCTIC-GOV-BR} {DIDAE DIDAE-CGCEA-INPE-MCTIC-GOV-BR} {DIDAS DIDAS-CGCEA-INPE-MCTIC-GOV-BR} {DIDGE DIDGE-CGCEA-INPE-MCTIC-GOV-BR} {SESLB SESLB-CGCEA-INPE-MCTIC-GOV-BR} {YYY YYY-CGCEA-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-CGCEA-INPE-MCTIC-GOV-BR}}}
		{COADM {{COADM COADM-COADM-INPE-MCTIC-GOV-BR} {SESEM SESEM-COADM-INPE-MCTIC-GOV-BR} {SESIA SESIA-COADM-INPE-MCTIC-GOV-BR} {URURC URURC-COADM-INPE-MCTIC-GOV-BR} {SELCO SELCO-COADM-INPE-MCTIC-GOV-BR} {SESCO SESCO-COADM-INPE-MCTIC-GOV-BR} {SESOF SESOF-COADM-INPE-MCTIC-GOV-BR} {URURO URURO-COADM-INPE-MCTIC-GOV-BR} {YYY YYY-COADM-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COADM-INPE-MCTIC-GOV-BR}}}
		{COCRH {{COCRH COCRH-COCRH-INPE-MCTIC-GOV-BR} {DIDGP DIDGP-COCRH-INPE-MCTIC-GOV-BR} {SCSAS SCSAS-COCRH-INPE-MCTIC-GOV-BR} {SESGC SESGC-COCRH-INPE-MCTIC-GOV-BR} {YYY YYY-COCRH-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COCRH-INPE-MCTIC-GOV-BR}}}
		{COGCT {{COGCT COGCT-COGCT-INPE-MCTIC-GOV-BR} {SESPO SESPO-COGCT-INPE-MCTIC-GOV-BR} {SESPR SESPR-COGCT-INPE-MCTIC-GOV-BR} {YYY YYY-COGCT-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COGCT-INPE-MCTIC-GOV-BR}}}
		{CGCPT {{CGCPT CGCPT-CGCPT-INPE-MCTIC-GOV-BR} {DIDMD DIDMD-CGCPT-INPE-MCTIC-GOV-BR} {DIDOP DIDOP-CGCPT-INPE-MCTIC-GOV-BR} {DIDSA DIDSA-CGCPT-INPE-MCTIC-GOV-BR} {SESAA SESAA-CGCPT-INPE-MCTIC-GOV-BR} {SESSS SESSS-CGCPT-INPE-MCTIC-GOV-BR} {YYY YYY-CGCPT-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-CGCPT-INPE-MCTIC-GOV-BR}}}
		{COCRC {{COCRC COCRC-COCRC-INPE-MCTIC-GOV-BR} {YYY YYY-COCRC-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COCRC-INPE-MCTIC-GOV-BR}}}
		{COCST {{COCST COCST-COCST-INPE-MCTIC-GOV-BR} {YYY YYY-COCST-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COCST-INPE-MCTIC-GOV-BR}}}
		{COCTE {{COCTE COCTE-COCTE-INPE-MCTIC-GOV-BR} {LABAC LABAC-COCTE-INPE-MCTIC-GOV-BR} {LABAP LABAP-COCTE-INPE-MCTIC-GOV-BR} {LABAS LABAS-COCTE-INPE-MCTIC-GOV-BR} {LABCP LABCP-COCTE-INPE-MCTIC-GOV-BR} {YYY YYY-COCTE-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COCTE-INPE-MCTIC-GOV-BR}}}
		{COCTI {{COCTI COCTI-COCTI-INPE-MCTIC-GOV-BR} {SCSTI SCSTI-COCTI-INPE-MCTIC-GOV-BR} {YYY YYY-COCTI-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COCTI-INPE-MCTIC-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTIC-GOV-BR} {YYY YYY-DIR-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-DIR-INPE-MCTIC-GOV-BR}}}
		{CGETE {{COCBS COCBS-CGETE-INPE-MCTIC-GOV-BR} {DIDEA DIDEA-CGETE-INPE-MCTIC-GOV-BR} {DIDMC DIDMC-CGETE-INPE-MCTIC-GOV-BR} {DIDSE DIDSE-CGETE-INPE-MCTIC-GOV-BR} {DIDSS DIDSS-CGETE-INPE-MCTIC-GOV-BR} {CGETE CGETE-CGETE-INPE-MCTIC-GOV-BR} {COPMM COPMM-CGETE-INPE-MCTIC-GOV-BR} {SESEQ SESEQ-CGETE-INPE-MCTIC-GOV-BR} {SESMF SESMF-CGETE-INPE-MCTIC-GOV-BR} {SESMD SESMD-CGETE-INPE-MCTIC-GOV-BR} {SESTS SESTS-CGETE-INPE-MCTIC-GOV-BR} {YYY YYY-CGETE-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-CGETE-INPE-MCTIC-GOV-BR}}}
		{GBDIR {{GBDIR GBDIR-GBDIR-INPE-MCTIC-GOV-BR} {SESID SESID-GBDIR-INPE-MCTIC-GOV-BR} {SESPG SESPG-GBDIR-INPE-MCTIC-GOV-BR} {YYY YYY-GBDIR-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-GBDIR-INPE-MCTIC-GOV-BR}}}
		{COLIT {{COLIT COLIT-COLIT-INPE-MCTIC-GOV-BR} {YYY YYY-COLIT-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COLIT-INPE-MCTIC-GOV-BR}}}
		{CGOBT {{COACB COACB-CGOBT-INPE-MCTIC-GOV-BR} {COAMZ COAMZ-CGOBT-INPE-MCTIC-GOV-BR} {DIDGI DIDGI-CGOBT-INPE-MCTIC-GOV-BR} {DIDPI DIDPI-CGOBT-INPE-MCTIC-GOV-BR} {DIDSR DIDSR-CGOBT-INPE-MCTIC-GOV-BR} {CGOBT CGOBT-CGOBT-INPE-MCTIC-GOV-BR} {YYY YYY-CGOBT-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-CGOBT-INPE-MCTIC-GOV-BR}}}
		{SESPG {{AST AST-CEA-SESPG-INPE-MCTIC-GOV-BR} {CAP CAP-COMP-SESPG-INPE-MCTIC-GOV-BR} {CMC CMC-ETES-SESPG-INPE-MCTIC-GOV-BR} {CMS CMS-ETES-SESPG-INPE-MCTIC-GOV-BR} {CSE CSE-ETES-SESPG-INPE-MCTIC-GOV-BR} {CST CST-CST-SESPG-INPE-MCTIC-GOV-BR} {GES GES-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESAST GESAST-CEA-SESPG-INPE-MCTIC-GOV-BR} {GESATM GESATM-CEA-SESPG-INPE-MCTIC-GOV-BR} {MET MET-MET-SESPG-INPE-MCTIC-GOV-BR} {PCP PCP-ETES-SESPG-INPE-MCTIC-GOV-BR} {SER SER-SRE-SESPG-INPE-MCTIC-GOV-BR}}}		
		{COAPF {{COAPF COAPF-COAPF-INPE-MCTIC-GOV-BR} {SEAPR SEAPR-COAPF-INPE-MCTIC-GOV-BR} {SEFAN SEFAN-COAPF-INPE-MCTIC-GOV-BR} {YYY YYY-COAPF-INPE-MCTIC-GOV-BR} {ZZZ ZZZ-COAPF-INPE-MCTIC-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2016} $publishingYear]} {
# ano de 2016 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI, enquanto que ZZZ  usado para identificar bolsistas PIBIC/PIBIT

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCTI-GOV-BR} {YYY YYY-CBE-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CBE-INPE-MCTI-GOV-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCTI-GOV-BR} {CRA CRA-CCR-INPE-MCTI-GOV-BR} {CRN CRN-CCR-INPE-MCTI-GOV-BR} {CRS CRS-CCR-INPE-MCTI-GOV-BR} {PAN PAN-CCR-INPE-MCTI-GOV-BR} {YYY YYY-CCR-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CCR-INPE-MCTI-GOV-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCTI-GOV-BR} {DAE DAE-CEA-INPE-MCTI-GOV-BR} {DAS DAS-CEA-INPE-MCTI-GOV-BR} {DGE DGE-CEA-INPE-MCTI-GOV-BR} {SLB SLB-CEA-INPE-MCTI-GOV-BR} {YYY YYY-CEA-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CEA-INPE-MCTI-GOV-BR}}}
		{CGI {{CGI CGI-CGI-INPE-MCTI-GOV-BR} {SAB SAB-CGI-INPE-MCTI-GOV-BR} {SEM SEM-CGI-INPE-MCTI-GOV-BR} {SIA SIA-CGI-INPE-MCTI-GOV-BR} {URC URC-CGI-INPE-MCTI-GOV-BR} {YYY YYY-CGI-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CGI-INPE-MCTI-GOV-BR}}}
		{CRH {{CRH CRH-CRH-INPE-MCTI-GOV-BR} {DGP DGP-CRH-INPE-MCTI-GOV-BR} {SAS SAS-CRH-INPE-MCTI-GOV-BR} {SGC SGC-CRH-INPE-MCTI-GOV-BR} {YYY YYY-CRH-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CRH-INPE-MCTI-GOV-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCTI-GOV-BR} {SPO SPO-CPA-INPE-MCTI-GOV-BR} {SPR SPR-CPA-INPE-MCTI-GOV-BR} {YYY YYY-CPA-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CPA-INPE-MCTI-GOV-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCTI-GOV-BR} {DMD DMD-CPT-INPE-MCTI-GOV-BR} {DOP DOP-CPT-INPE-MCTI-GOV-BR} {DSA DSA-CPT-INPE-MCTI-GOV-BR} {SAA SAA-CPT-INPE-MCTI-GOV-BR} {SSS SSS-CPT-INPE-MCTI-GOV-BR} {YYY YYY-CPT-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CPT-INPE-MCTI-GOV-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCTI-GOV-BR} {YYY YYY-CRC-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CRC-INPE-MCTI-GOV-BR}}}
		{CST {{CST CST-CST-INPE-MCTI-GOV-BR} {YYY YYY-CST-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CST-INPE-MCTI-GOV-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCTI-GOV-BR} {LAC LAC-CTE-INPE-MCTI-GOV-BR} {LAP LAP-CTE-INPE-MCTI-GOV-BR} {LAS LAS-CTE-INPE-MCTI-GOV-BR} {LCP LCP-CTE-INPE-MCTI-GOV-BR} {YYY YYY-CTE-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CTE-INPE-MCTI-GOV-BR}}}
		{CTO {{CTO CTO-CTO-INPE-MCTI-GOV-BR} {SCO SCO-CTO-INPE-MCTI-GOV-BR} {SCP SCP-CTO-INPE-MCTI-GOV-BR} {SOF SOF-CTO-INPE-MCTI-GOV-BR} {STI STI-CTO-INPE-MCTI-GOV-BR} {URO URO-CTO-INPE-MCTI-GOV-BR} {YYY YYY-CTO-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CTO-INPE-MCTI-GOV-BR}}}
		{CTI {{CTI CTI-CTI-INPE-MCTI-GOV-BR} {STI STI-CTI-INPE-MCTI-GOV-BR} {YYY YYY-CTI-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CTI-INPE-MCTI-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTI-GOV-BR} {YYY YYY-DIR-INPE-MCTI-GOV-BR} {ZZZ ZZZ-DIR-INPE-MCTI-GOV-BR}}}
		{ETE {{CBS CBS-ETE-INPE-MCTI-GOV-BR} {DEA DEA-ETE-INPE-MCTI-GOV-BR} {DMC DMC-ETE-INPE-MCTI-GOV-BR} {DSE DSE-ETE-INPE-MCTI-GOV-BR} {DSS DSS-ETE-INPE-MCTI-GOV-BR} {ETE ETE-ETE-INPE-MCTI-GOV-BR} {PMM PMM-ETE-INPE-MCTI-GOV-BR} {SCI SCI-ETE-INPE-MCTI-GOV-BR} {SGP SGP-ETE-INPE-MCTI-GOV-BR} {SMD SMD-ETE-INPE-MCTI-GOV-BR} {SMF SMF-ETE-INPE-MCTI-GOV-BR} {YYY YYY-ETE-INPE-MCTI-GOV-BR} {ZZZ ZZZ-ETE-INPE-MCTI-GOV-BR}}}
		{GB {{GB GB-GB-INPE-MCTI-GOV-BR} {SAT SAT-GB-INPE-MCTI-GOV-BR} {SID SID-GB-INPE-MCTI-GOV-BR} {SPG SPG-GB-INPE-MCTI-GOV-BR} {YYY YYY-GB-INPE-MCTI-GOV-BR} {ZZZ ZZZ-GB-INPE-MCTI-GOV-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCTI-GOV-BR} {YYY YYY-LIT-INPE-MCTI-GOV-BR} {ZZZ ZZZ-LIT-INPE-MCTI-GOV-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCTI-GOV-BR} {AMZ AMZ-OBT-INPE-MCTI-GOV-BR} {DGI DGI-OBT-INPE-MCTI-GOV-BR} {DPI DPI-OBT-INPE-MCTI-GOV-BR} {DSR DSR-OBT-INPE-MCTI-GOV-BR} {OBT OBT-OBT-INPE-MCTI-GOV-BR} {YYY YYY-OBT-INPE-MCTI-GOV-BR} {ZZZ ZZZ-OBT-INPE-MCTI-GOV-BR}}}
		{SPG {{AST AST-CEA-SPG-INPE-MCTI-GOV-BR} {CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR} {CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR} {CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR} {CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR} {CST CST-CST-SPG-INPE-MCTI-GOV-BR} {GES GES-CEA-SPG-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR} {MET MET-MET-SPG-INPE-MCTI-GOV-BR} {PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR} {SER SER-SRE-SPG-INPE-MCTI-GOV-BR}}}		
		{TEC {{TEC TEC-TEC-INPE-MCTI-GOV-BR} {YYY YYY-TEC-INPE-MCTI-GOV-BR} {ZZZ ZZZ-TEC-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2015} $publishingYear]} {
# ano de 2015 ou submit ou ePrint

# o nome de diviso YYY  usado para identificar bolsistas PCI, enquanto que ZZZ  usado para identificar bolsistas PIBIC/PIBIT

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCTI-GOV-BR} {YYY YYY-CBE-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CBE-INPE-MCTI-GOV-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCTI-GOV-BR} {CRA CRA-CCR-INPE-MCTI-GOV-BR} {CRN CRN-CCR-INPE-MCTI-GOV-BR} {CRS CRS-CCR-INPE-MCTI-GOV-BR} {PAN PAN-CCR-INPE-MCTI-GOV-BR} {YYY YYY-CCR-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CCR-INPE-MCTI-GOV-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCTI-GOV-BR} {DAE DAE-CEA-INPE-MCTI-GOV-BR} {DAS DAS-CEA-INPE-MCTI-GOV-BR} {DGE DGE-CEA-INPE-MCTI-GOV-BR} {SLB SLB-CEA-INPE-MCTI-GOV-BR} {YYY YYY-CEA-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CEA-INPE-MCTI-GOV-BR}}}
		{CGI {{CGI CGI-CGI-INPE-MCTI-GOV-BR} {SAB SAB-CGI-INPE-MCTI-GOV-BR} {SEM SEM-CGI-INPE-MCTI-GOV-BR} {SIA SIA-CGI-INPE-MCTI-GOV-BR} {URC URC-CGI-INPE-MCTI-GOV-BR} {YYY YYY-CGI-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CGI-INPE-MCTI-GOV-BR}}}
		{CRH {{CRH CRH-CRH-INPE-MCTI-GOV-BR} {DGP DGP-CRH-INPE-MCTI-GOV-BR} {SAS SAS-CRH-INPE-MCTI-GOV-BR} {SGC SGC-CRH-INPE-MCTI-GOV-BR} {YYY YYY-CRH-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CRH-INPE-MCTI-GOV-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCTI-GOV-BR} {SPO SPO-CPA-INPE-MCTI-GOV-BR} {SPR SPR-CPA-INPE-MCTI-GOV-BR} {YYY YYY-CPA-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CPA-INPE-MCTI-GOV-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCTI-GOV-BR} {DMD DMD-CPT-INPE-MCTI-GOV-BR} {DOP DOP-CPT-INPE-MCTI-GOV-BR} {DSA DSA-CPT-INPE-MCTI-GOV-BR} {SAA SAA-CPT-INPE-MCTI-GOV-BR} {SSS SSS-CPT-INPE-MCTI-GOV-BR} {YYY YYY-CPT-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CPT-INPE-MCTI-GOV-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCTI-GOV-BR} {YYY YYY-CRC-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CRC-INPE-MCTI-GOV-BR}}}
		{CST {{CST CST-CST-INPE-MCTI-GOV-BR} {YYY YYY-CST-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CST-INPE-MCTI-GOV-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCTI-GOV-BR} {LAC LAC-CTE-INPE-MCTI-GOV-BR} {LAP LAP-CTE-INPE-MCTI-GOV-BR} {LAS LAS-CTE-INPE-MCTI-GOV-BR} {LCP LCP-CTE-INPE-MCTI-GOV-BR} {YYY YYY-CTE-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CTE-INPE-MCTI-GOV-BR}}}
		{CTO {{CTO CTO-CTO-INPE-MCTI-GOV-BR} {SCO SCO-CTO-INPE-MCTI-GOV-BR} {SCP SCP-CTO-INPE-MCTI-GOV-BR} {SOF SOF-CTO-INPE-MCTI-GOV-BR} {STI STI-CTO-INPE-MCTI-GOV-BR} {URO URO-CTO-INPE-MCTI-GOV-BR} {YYY YYY-CTO-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CTO-INPE-MCTI-GOV-BR}}}
		{CTI {{CTI CTI-CTI-INPE-MCTI-GOV-BR} {STI STI-CTI-INPE-MCTI-GOV-BR} {YYY YYY-CTI-INPE-MCTI-GOV-BR} {ZZZ ZZZ-CTI-INPE-MCTI-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTI-GOV-BR} {YYY YYY-DIR-INPE-MCTI-GOV-BR} {ZZZ ZZZ-DIR-INPE-MCTI-GOV-BR}}}
		{ETE {{CBS CBS-ETE-INPE-MCTI-GOV-BR} {DEA DEA-ETE-INPE-MCTI-GOV-BR} {DMC DMC-ETE-INPE-MCTI-GOV-BR} {DSE DSE-ETE-INPE-MCTI-GOV-BR} {DSS DSS-ETE-INPE-MCTI-GOV-BR} {ETE ETE-ETE-INPE-MCTI-GOV-BR} {PMM PMM-ETE-INPE-MCTI-GOV-BR} {SCI SCI-ETE-INPE-MCTI-GOV-BR} {SGP SGP-ETE-INPE-MCTI-GOV-BR} {SMD SMD-ETE-INPE-MCTI-GOV-BR} {SMF SMF-ETE-INPE-MCTI-GOV-BR} {YYY YYY-ETE-INPE-MCTI-GOV-BR} {ZZZ ZZZ-ETE-INPE-MCTI-GOV-BR}}}
		{GB {{GB GB-GB-INPE-MCTI-GOV-BR} {SAT SAT-GB-INPE-MCTI-GOV-BR} {SID SID-GB-INPE-MCTI-GOV-BR} {SPG SPG-GB-INPE-MCTI-GOV-BR} {YYY YYY-GB-INPE-MCTI-GOV-BR} {ZZZ ZZZ-GB-INPE-MCTI-GOV-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCTI-GOV-BR} {YYY YYY-LIT-INPE-MCTI-GOV-BR} {ZZZ ZZZ-LIT-INPE-MCTI-GOV-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCTI-GOV-BR} {AMZ AMZ-OBT-INPE-MCTI-GOV-BR} {DGI DGI-OBT-INPE-MCTI-GOV-BR} {DPI DPI-OBT-INPE-MCTI-GOV-BR} {DSR DSR-OBT-INPE-MCTI-GOV-BR} {OBT OBT-OBT-INPE-MCTI-GOV-BR} {YYY YYY-OBT-INPE-MCTI-GOV-BR} {ZZZ ZZZ-OBT-INPE-MCTI-GOV-BR}}}
		{SPG {{AST AST-CEA-SPG-INPE-MCTI-GOV-BR} {CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR} {CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR} {CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR} {CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR} {CST CST-CST-SPG-INPE-MCTI-GOV-BR} {GES GES-CEA-SPG-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR} {MET MET-MET-SPG-INPE-MCTI-GOV-BR} {PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR} {SER SER-SRE-SPG-INPE-MCTI-GOV-BR}}}		
		{TEC {{TEC TEC-TEC-INPE-MCTI-GOV-BR} {YYY YYY-TEC-INPE-MCTI-GOV-BR} {ZZZ ZZZ-TEC-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2014} $publishingYear]} {
# ano de 2014

# o nome de diviso YYY  usado quando o nome verdadeiro da diviso  desconhecido

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCTI-GOV-BR} {YYY YYY-CBE-INPE-MCTI-GOV-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCTI-GOV-BR} {CRA CRA-CCR-INPE-MCTI-GOV-BR} {CRN CRN-CCR-INPE-MCTI-GOV-BR} {CRS CRS-CCR-INPE-MCTI-GOV-BR} {PAN PAN-CCR-INPE-MCTI-GOV-BR} {YYY YYY-CCR-INPE-MCTI-GOV-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCTI-GOV-BR} {DAE DAE-CEA-INPE-MCTI-GOV-BR} {DAS DAS-CEA-INPE-MCTI-GOV-BR} {DGE DGE-CEA-INPE-MCTI-GOV-BR} {SLB SLB-CEA-INPE-MCTI-GOV-BR} {YYY YYY-CEA-INPE-MCTI-GOV-BR}}}
		{CGI {{CGI CGI-CGI-INPE-MCTI-GOV-BR} {DGP DGP-CGI-INPE-MCTI-GOV-BR} {SAB SAB-CGI-INPE-MCTI-GOV-BR} {SAS SAS-CGI-INPE-MCTI-GOV-BR} {SEM SEM-CGI-INPE-MCTI-GOV-BR} {SGC SGC-CGI-INPE-MCTI-GOV-BR} {SIA SIA-CGI-INPE-MCTI-GOV-BR} {URC URC-CGI-INPE-MCTI-GOV-BR} {YYY YYY-CGI-INPE-MCTI-GOV-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCTI-GOV-BR} {SPO SPO-CPA-INPE-MCTI-GOV-BR} {SPR SPR-CPA-INPE-MCTI-GOV-BR} {YYY YYY-CPA-INPE-MCTI-GOV-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCTI-GOV-BR} {DMD DMD-CPT-INPE-MCTI-GOV-BR} {DOP DOP-CPT-INPE-MCTI-GOV-BR} {DSA DSA-CPT-INPE-MCTI-GOV-BR} {SAA SAA-CPT-INPE-MCTI-GOV-BR} {SSS SSS-CPT-INPE-MCTI-GOV-BR} {YYY YYY-CPT-INPE-MCTI-GOV-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCTI-GOV-BR} {YYY YYY-CRC-INPE-MCTI-GOV-BR}}}
		{CST {{CST CST-CST-INPE-MCTI-GOV-BR} {YYY YYY-CST-INPE-MCTI-GOV-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCTI-GOV-BR} {LAC LAC-CTE-INPE-MCTI-GOV-BR} {LAP LAP-CTE-INPE-MCTI-GOV-BR} {LAS LAS-CTE-INPE-MCTI-GOV-BR} {LCP LCP-CTE-INPE-MCTI-GOV-BR} {YYY YYY-CTE-INPE-MCTI-GOV-BR}}}
		{CTO {{CTO CTO-CTO-INPE-MCTI-GOV-BR} {SCO SCO-CTO-INPE-MCTI-GOV-BR} {SCP SCP-CTO-INPE-MCTI-GOV-BR} {SOF SOF-CTO-INPE-MCTI-GOV-BR} {STI STI-CTO-INPE-MCTI-GOV-BR} {URO URO-CTO-INPE-MCTI-GOV-BR} {YYY YYY-CTO-INPE-MCTI-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTI-GOV-BR} {YYY YYY-DIR-INPE-MCTI-GOV-BR}}}
		{ETE {{CBS CBS-ETE-INPE-MCTI-GOV-BR} {DEA DEA-ETE-INPE-MCTI-GOV-BR} {DMC DMC-ETE-INPE-MCTI-GOV-BR} {DSE DSE-ETE-INPE-MCTI-GOV-BR} {DSS DSS-ETE-INPE-MCTI-GOV-BR} {ETE ETE-ETE-INPE-MCTI-GOV-BR} {PMM PMM-ETE-INPE-MCTI-GOV-BR} {SCI SCI-ETE-INPE-MCTI-GOV-BR} {SGP SGP-ETE-INPE-MCTI-GOV-BR} {SMD SMD-ETE-INPE-MCTI-GOV-BR} {SMF SMF-ETE-INPE-MCTI-GOV-BR} {YYY YYY-ETE-INPE-MCTI-GOV-BR}}}
		{GB {{GB GB-GB-INPE-MCTI-GOV-BR} {SAT SAT-GB-INPE-MCTI-GOV-BR} {SID SID-GB-INPE-MCTI-GOV-BR} {SPG SPG-GB-INPE-MCTI-GOV-BR} {YYY YYY-GB-INPE-MCTI-GOV-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCTI-GOV-BR} {YYY YYY-LIT-INPE-MCTI-GOV-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCTI-GOV-BR} {AMZ AMZ-OBT-INPE-MCTI-GOV-BR} {DGI DGI-OBT-INPE-MCTI-GOV-BR} {DPI DPI-OBT-INPE-MCTI-GOV-BR} {DSR DSR-OBT-INPE-MCTI-GOV-BR} {OBT OBT-OBT-INPE-MCTI-GOV-BR} {YYY YYY-OBT-INPE-MCTI-GOV-BR}}}
		{SPG {{AST AST-CEA-SPG-INPE-MCTI-GOV-BR} {CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR} {CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR} {CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR} {CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR} {CST CST-CST-SPG-INPE-MCTI-GOV-BR} {GES GES-CEA-SPG-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR} {MET MET-MET-SPG-INPE-MCTI-GOV-BR} {PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR} {SER SER-SRE-SPG-INPE-MCTI-GOV-BR}}}		
		{TEC {{TEC TEC-TEC-INPE-MCTI-GOV-BR} {YYY YYY-TEC-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2013} $publishingYear]} {
# ano de 2013 

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCTI-GOV-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCTI-GOV-BR} {CRA CRA-CCR-INPE-MCTI-GOV-BR} {CRN CRN-CCR-INPE-MCTI-GOV-BR} {CRS CRS-CCR-INPE-MCTI-GOV-BR} {PAN PAN-CCR-INPE-MCTI-GOV-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCTI-GOV-BR} {DAE DAE-CEA-INPE-MCTI-GOV-BR} {DAS DAS-CEA-INPE-MCTI-GOV-BR} {DGE DGE-CEA-INPE-MCTI-GOV-BR} {SLB SLB-CEA-INPE-MCTI-GOV-BR}}}
		{CGI {{CGI CGI-CGI-INPE-MCTI-GOV-BR} {DGP DGP-CGI-INPE-MCTI-GOV-BR} {SAB SAB-CGI-INPE-MCTI-GOV-BR} {SAS SAS-CGI-INPE-MCTI-GOV-BR} {SEM SEM-CGI-INPE-MCTI-GOV-BR} {SGC SGC-CGI-INPE-MCTI-GOV-BR} {SIA SIA-CGI-INPE-MCTI-GOV-BR} {URC URC-CGI-INPE-MCTI-GOV-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCTI-GOV-BR} {SPO SPO-CPA-INPE-MCTI-GOV-BR} {SPR SPR-CPA-INPE-MCTI-GOV-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCTI-GOV-BR} {DMD DMD-CPT-INPE-MCTI-GOV-BR} {DOP DOP-CPT-INPE-MCTI-GOV-BR} {DSA DSA-CPT-INPE-MCTI-GOV-BR} {SAA SAA-CPT-INPE-MCTI-GOV-BR} {SSS SSS-CPT-INPE-MCTI-GOV-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCTI-GOV-BR}}}
		{CST {{CST CST-CST-INPE-MCTI-GOV-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCTI-GOV-BR} {LAC LAC-CTE-INPE-MCTI-GOV-BR} {LAP LAP-CTE-INPE-MCTI-GOV-BR} {LAS LAS-CTE-INPE-MCTI-GOV-BR} {LCP LCP-CTE-INPE-MCTI-GOV-BR}}}
		{CTO {{CTO CTO-CTO-INPE-MCTI-GOV-BR} {SCO SCO-CTO-INPE-MCTI-GOV-BR} {SCP SCP-CTO-INPE-MCTI-GOV-BR} {SOF SOF-CTO-INPE-MCTI-GOV-BR} {STI STI-CTO-INPE-MCTI-GOV-BR} {URO URO-CTO-INPE-MCTI-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTI-GOV-BR}}}
		{ETE {{CBS CBS-ETE-INPE-MCTI-GOV-BR} {DEA DEA-ETE-INPE-MCTI-GOV-BR} {DMC DMC-ETE-INPE-MCTI-GOV-BR} {DSE DSE-ETE-INPE-MCTI-GOV-BR} {DSS DSS-ETE-INPE-MCTI-GOV-BR} {ETE ETE-ETE-INPE-MCTI-GOV-BR} {PMM PMM-ETE-INPE-MCTI-GOV-BR} {SCI SCI-ETE-INPE-MCTI-GOV-BR} {SGP SGP-ETE-INPE-MCTI-GOV-BR} {SMD SMD-ETE-INPE-MCTI-GOV-BR} {SMF SMF-ETE-INPE-MCTI-GOV-BR}}}
		{GB {{GB GB-GB-INPE-MCTI-GOV-BR} {SAT SAT-GB-INPE-MCTI-GOV-BR} {SID SID-GB-INPE-MCTI-GOV-BR} {SPG SPG-GB-INPE-MCTI-GOV-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCTI-GOV-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCTI-GOV-BR} {AMZ AMZ-OBT-INPE-MCTI-GOV-BR} {DGI DGI-OBT-INPE-MCTI-GOV-BR} {DPI DPI-OBT-INPE-MCTI-GOV-BR} {DSR DSR-OBT-INPE-MCTI-GOV-BR} {OBT OBT-OBT-INPE-MCTI-GOV-BR}}}
		{SPG {{AST AST-CEA-SPG-INPE-MCTI-GOV-BR} {CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR} {CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR} {CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR} {CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR} {CST CST-CST-SPG-INPE-MCTI-GOV-BR} {GES GES-CEA-SPG-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR} {MET MET-MET-SPG-INPE-MCTI-GOV-BR} {PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR} {SER SER-SRE-SPG-INPE-MCTI-GOV-BR}}}		
		{TEC {{TEC TEC-TEC-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2012} $publishingYear]} {
# ano de 2012
# nos dados da administrao de 2012
# JANIO_KONO CBS-OBT-INPE-MCTI-GOV-BR
# deveria ser provalvelmente
# JANIO_KONO CBS-ETE-INPE-MCTI-GOV-BR
# esse dado da administrao foi mantido na tabela author,group

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCTI-GOV-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCTI-GOV-BR} {CRA CRA-CCR-INPE-MCTI-GOV-BR} {CRN CRN-CCR-INPE-MCTI-GOV-BR} {CRS CRS-CCR-INPE-MCTI-GOV-BR} {PAN PAN-CCR-INPE-MCTI-GOV-BR} {ROE ROE-CCR-INPE-MCTI-GOV-BR} {SAU SAU-CCR-INPE-MCTI-GOV-BR} {SPG SPG-CCR-INPE-MCTI-GOV-BR} {URO URO-CCR-INPE-MCTI-GOV-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCTI-GOV-BR} {DAE DAE-CEA-INPE-MCTI-GOV-BR} {DAS DAS-CEA-INPE-MCTI-GOV-BR} {DGE DGE-CEA-INPE-MCTI-GOV-BR} {SLB SLB-CEA-INPE-MCTI-GOV-BR}}}
		{CGI {{CBA CBA-CGI-INPE-MCTI-GOV-BR} {CGI CGI-CGI-INPE-MCTI-GOV-BR} {DGP DGP-CGI-INPE-MCTI-GOV-BR} {SAS SAS-CGI-INPE-MCTI-GOV-BR} {SAB SAB-CGI-INPE-MCTI-GOV-BR} {SEM SEM-CGI-INPE-MCTI-GOV-BR} {SGC SGC-CGI-INPE-MCTI-GOV-BR} {SIA SIA-CGI-INPE-MCTI-GOV-BR} {URC URC-CGI-INPE-MCTI-GOV-BR}}}
		{COF {{CBA CBA-COF-INPE-MCTI-GOV-BR} {COF COF-COF-INPE-MCTI-GOV-BR} {SAB SAB-COF-INPE-MCTI-GOV-BR} {SCO SCO-COF-INPE-MCTI-GOV-BR} {SSA SSA-COF-INPE-MCTI-GOV-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCTI-GOV-BR} {SPO SPO-CPA-INPE-MCTI-GOV-BR} {SPR SPR-CPA-INPE-MCTI-GOV-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCTI-GOV-BR} {DMD DMD-CPT-INPE-MCTI-GOV-BR} {DOP DOP-CPT-INPE-MCTI-GOV-BR} {DSA DSA-CPT-INPE-MCTI-GOV-BR} {SAA SAA-CPT-INPE-MCTI-GOV-BR} {SSS SSS-CPT-INPE-MCTI-GOV-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCTI-GOV-BR}}}
		{CST {{CST CST-CST-INPE-MCTI-GOV-BR} {SCE SCE-CST-INPE-MCTI-GOV-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCTI-GOV-BR} {LAC LAC-CTE-INPE-MCTI-GOV-BR} {LAP LAP-CTE-INPE-MCTI-GOV-BR} {LAS LAS-CTE-INPE-MCTI-GOV-BR} {LCP LCP-CTE-INPE-MCTI-GOV-BR}}}
		{CTO {{COF COF-CTO-INPE-MCTI-GOV-BR} {CTO CTO-CTO-INPE-MCTI-GOV-BR} {SCO SCO-CTO-INPE-MCTI-GOV-BR} {SCP SCP-CTO-INPE-MCTI-GOV-BR} {SOF SOF-CTO-INPE-MCTI-GOV-BR} {STI STI-CTO-INPE-MCTI-GOV-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCTI-GOV-BR}}}
		{ETE {{CB CB-ETE-INPE-MCTI-GOV-BR} {DEA DEA-ETE-INPE-MCTI-GOV-BR} {DMC DMC-ETE-INPE-MCTI-GOV-BR} {DSE DSE-ETE-INPE-MCTI-GOV-BR} {DSS DSS-ETE-INPE-MCTI-GOV-BR} {ETE ETE-ETE-INPE-MCTI-GOV-BR} {PMM PMM-ETE-INPE-MCTI-GOV-BR} {SCI SCI-ETE-INPE-MCTI-GOV-BR} {SGP SGP-ETE-INPE-MCTI-GOV-BR} {SMD SMD-ETE-INPE-MCTI-GOV-BR} {SMF SMF-ETE-INPE-MCTI-GOV-BR}}}
		{GB {{GB GB-GB-INPE-MCTI-GOV-BR} {SID SID-GB-INPE-MCTI-GOV-BR} {SPG SPG-GB-INPE-MCTI-GOV-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCTI-GOV-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCTI-GOV-BR} {AMZ AMZ-OBT-INPE-MCTI-GOV-BR} {CBS CBS-OBT-INPE-MCTI-GOV-BR} {DGI DGI-OBT-INPE-MCTI-GOV-BR} {DPI DPI-OBT-INPE-MCTI-GOV-BR} {DSR DSR-OBT-INPE-MCTI-GOV-BR} {OBT OBT-OBT-INPE-MCTI-GOV-BR}}}
		{SPG {{AST AST-CEA-SPG-INPE-MCTI-GOV-BR} {CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR} {CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR} {CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR} {CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR} {CST CST-CST-SPG-INPE-MCTI-GOV-BR} {GES GES-CEA-SPG-INPE-MCTI-GOV-BR} {GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR} {GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR} {MET MET-MET-SPG-INPE-MCTI-GOV-BR} {PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR} {SER SER-SRE-SPG-INPE-MCTI-GOV-BR}}}
		{TEC {{TEC TEC-TEC-INPE-MCTI-GOV-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2011} $publishingYear]} {
# ano de 2011

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCT-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCT-BR} {CRN CRN-CCR-INPE-MCT-BR} {CRS CRS-CCR-INPE-MCT-BR} {PAN PAN-CCR-INPE-MCT-BR} {SPG SPG-CCR-INPE-MCT-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCT-BR} {DAE DAE-CEA-INPE-MCT-BR} {DAS DAS-CEA-INPE-MCT-BR} {DGE DGE-CEA-INPE-MCT-BR} {SLB SLB-CEA-INPE-MCT-BR}}}
		{CGI {{CGI CGI-CGI-INPE-MCT-BR} {DGP DGP-CGI-INPE-MCT-BR} {SAS SAS-CGI-INPE-MCT-BR} {SEM SEM-CGI-INPE-MCT-BR} {SGC SGC-CGI-INPE-MCT-BR} {SIA SIA-CGI-INPE-MCT-BR}}}
		{COF {{CBA CBA-COF-INPE-MCT-BR} {COF COF-COF-INPE-MCT-BR} {SAB SAB-COF-INPE-MCT-BR} {SAO SAO-COF-INPE-MCT-BR} {SCC SCC-COF-INPE-MCT-BR} {SCO SCO-COF-INPE-MCT-BR} {SOF SOF-COF-INPE-MCT-BR} {SSA SSA-COF-INPE-MCT-BR} {URC URC-COF-INPE-MCT-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCT-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCT-BR} {DMA DMA-CPT-INPE-MCT-BR} {DMD DMD-CPT-INPE-MCT-BR} {DOP DOP-CPT-INPE-MCT-BR} {DSA DSA-CPT-INPE-MCT-BR} {SPU SPU-CPT-INPE-MCT-BR} {SSS SSS-CPT-INPE-MCT-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCT-BR}}}
		{CST {{CST CST-CST-INPE-MCT-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCT-BR} {LAC LAC-CTE-INPE-MCT-BR} {LAP LAP-CTE-INPE-MCT-BR} {LAS LAS-CTE-INPE-MCT-BR} {LCP LCP-CTE-INPE-MCT-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCT-BR}}}
		{ETE {{CBS CBS-ETE-INPE-MCT-BR} {DEA DEA-ETE-INPE-MCT-BR} {DMC DMC-ETE-INPE-MCT-BR} {DSE DSE-ETE-INPE-MCT-BR} {DSS DSS-ETE-INPE-MCT-BR} {ETE ETE-ETE-INPE-MCT-BR} {PMM PMM-ETE-INPE-MCT-BR} {SCI SCI-ETE-INPE-MCT-BR} {SGP SGP-ETE-INPE-MCT-BR} {SMD SMD-ETE-INPE-MCT-BR} {SMF SMF-ETE-INPE-MCT-BR}}}
		{GB {{GB GB-GB-INPE-MCT-BR} {SID SID-GB-INPE-MCT-BR} {STI STI-GB-INPE-MCT-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCT-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCT-BR} {AMZ AMZ-OBT-INPE-MCT-BR} {DGI DGI-OBT-INPE-MCT-BR} {DPI DPI-OBT-INPE-MCT-BR} {DSR DSR-OBT-INPE-MCT-BR} {OBT OBT-OBT-INPE-MCT-BR}}}
		{SPG {{SPG SPG-SPG-INPE-MCT-BR}}}
		{TEC {{TEC TEC-TEC-INPE-MCT-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2010} $publishingYear]} {
# ano de 2010

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCT-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCT-BR} {CRN CRN-CCR-INPE-MCT-BR} {CRS CRS-CCR-INPE-MCT-BR} {PAN PAN-CCR-INPE-MCT-BR} {SPG SPG-CCR-INPE-MCT-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCT-BR} {DAE DAE-CEA-INPE-MCT-BR} {DAS DAS-CEA-INPE-MCT-BR} {DGE DGE-CEA-INPE-MCT-BR} {SLB SLB-CEA-INPE-MCT-BR}}}
		{CGI {{CGI CGI-CGI-INPE-MCT-BR} {DGP DGP-CGI-INPE-MCT-BR} {SAS SAS-CGI-INPE-MCT-BR} {SEM SEM-CGI-INPE-MCT-BR} {SGC SGC-CGI-INPE-MCT-BR} {SIA SIA-CGI-INPE-MCT-BR}}}
		{COF {{CBA CBA-COF-INPE-MCT-BR} {COF COF-COF-INPE-MCT-BR} {SAB SAB-COF-INPE-MCT-BR} {SAO SAO-COF-INPE-MCT-BR} {SCC SCC-COF-INPE-MCT-BR} {SCO SCO-COF-INPE-MCT-BR} {SOF SOF-COF-INPE-MCT-BR} {SSA SSA-COF-INPE-MCT-BR} {URC URC-COF-INPE-MCT-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCT-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCT-BR} {DMA DMA-CPT-INPE-MCT-BR} {DMD DMD-CPT-INPE-MCT-BR} {DOP DOP-CPT-INPE-MCT-BR} {DSA DSA-CPT-INPE-MCT-BR} {SPU SPU-CPT-INPE-MCT-BR} {SSS SSS-CPT-INPE-MCT-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCT-BR}}}
		{CST {{CST CST-CST-INPE-MCT-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCT-BR} {LAC LAC-CTE-INPE-MCT-BR} {LAP LAP-CTE-INPE-MCT-BR} {LAS LAS-CTE-INPE-MCT-BR} {LCP LCP-CTE-INPE-MCT-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCT-BR} {GB GB-DIR-INPE-MCT-BR}}}
		{ETE {{CBS CBS-ETE-INPE-MCT-BR} {DEA DEA-ETE-INPE-MCT-BR} {DMC DMC-ETE-INPE-MCT-BR} {DSE DSE-ETE-INPE-MCT-BR} {DSS DSS-ETE-INPE-MCT-BR} {ETE ETE-ETE-INPE-MCT-BR} {PMM PMM-ETE-INPE-MCT-BR} {SCI SCI-ETE-INPE-MCT-BR} {SGP SGP-ETE-INPE-MCT-BR} {SMD SMD-ETE-INPE-MCT-BR} {SMF SMF-ETE-INPE-MCT-BR}}}
		{GB {{SID SID-GB-INPE-MCT-BR} {STI STI-GB-INPE-MCT-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCT-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCT-BR} {AMZ AMZ-OBT-INPE-MCT-BR} {DGI DGI-OBT-INPE-MCT-BR} {DPI DPI-OBT-INPE-MCT-BR} {DSR DSR-OBT-INPE-MCT-BR} {OBT OBT-OBT-INPE-MCT-BR}}}
		{SPG {{SPG SPG-SPG-INPE-MCT-BR}}}
		{TEC {{TEC TEC-TEC-INPE-MCT-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2009} $publishingYear]} {
# ano de 2009

	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCT-BR}}}
		{CCR {{CCR CCR-CCR-INPE-MCT-BR} {CRN CRN-CCR-INPE-MCT-BR} {CRS CRS-CCR-INPE-MCT-BR} {PAN PAN-CCR-INPE-MCT-BR} {SPG SPG-CCR-INPE-MCT-BR}}}
		{CEA {{CEA CEA-CEA-INPE-MCT-BR} {DAE DAE-CEA-INPE-MCT-BR} {DAS DAS-CEA-INPE-MCT-BR} {DGE DGE-CEA-INPE-MCT-BR} {SLB SLB-CEA-INPE-MCT-BR}}}
		{CGI {{CGI CGI-CGI-INPE-MCT-BR} {DGP DGP-CGI-INPE-MCT-BR} {SAS SAS-CGI-INPE-MCT-BR} {SEM SEM-CGI-INPE-MCT-BR} {SGC SGC-CGI-INPE-MCT-BR} {SIA SIA-CGI-INPE-MCT-BR}}}
		{COF {{CBA CBA-COF-INPE-MCT-BR} {COF COF-COF-INPE-MCT-BR} {SAB SAB-COF-INPE-MCT-BR} {SAO SAO-COF-INPE-MCT-BR} {SCC SCC-COF-INPE-MCT-BR} {SCO SCO-COF-INPE-MCT-BR} {SOF SOF-COF-INPE-MCT-BR} {SSA SSA-COF-INPE-MCT-BR} {URC URC-COF-INPE-MCT-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCT-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCT-BR} {DMA DMA-CPT-INPE-MCT-BR} {DMD DMD-CPT-INPE-MCT-BR} {DOP DOP-CPT-INPE-MCT-BR} {DSA DSA-CPT-INPE-MCT-BR} {SPU SPU-CPT-INPE-MCT-BR} {SSS SSS-CPT-INPE-MCT-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCT-BR}}}
		{CST {{CST CST-CST-INPE-MCT-BR}}}
		{CTE {{CTE CTE-CTE-INPE-MCT-BR} {LAC LAC-CTE-INPE-MCT-BR} {LAP LAP-CTE-INPE-MCT-BR} {LAS LAS-CTE-INPE-MCT-BR} {LCP LCP-CTE-INPE-MCT-BR}}}
		{DIR {{DIR DIR-DIR-INPE-MCT-BR} {GB GB-DIR-INPE-MCT-BR}}}
		{ETE {{CBS CBS-ETE-INPE-MCT-BR} {DEA DEA-ETE-INPE-MCT-BR} {DMC DMC-ETE-INPE-MCT-BR} {DSE DSE-ETE-INPE-MCT-BR} {DSS DSS-ETE-INPE-MCT-BR} {ETE ETE-ETE-INPE-MCT-BR} {PMM PMM-ETE-INPE-MCT-BR} {SCI SCI-ETE-INPE-MCT-BR} {SGP SGP-ETE-INPE-MCT-BR} {SMD SMD-ETE-INPE-MCT-BR} {SMF SMF-ETE-INPE-MCT-BR}}}
		{GB {{SID SID-GB-INPE-MCT-BR} {STI STI-GB-INPE-MCT-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCT-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCT-BR} {AMZ AMZ-OBT-INPE-MCT-BR} {DGI DGI-OBT-INPE-MCT-BR} {DPI DPI-OBT-INPE-MCT-BR} {DSR DSR-OBT-INPE-MCT-BR} {OBT OBT-OBT-INPE-MCT-BR}}}
		{TEC {{TEC TEC-TEC-INPE-MCT-BR}}}
	}
}

if {[info exists publishingYear] && [string equal {2008} $publishingYear]} {
# ano de 2008
	set groupOption2 {
		{}
		{CBE {{CBE CBE-CBE-INPE-MCT-BR}}}
		{CEA {{DAE DAE-CEA-INPE-MCT-BR} {DAS DAS-CEA-INPE-MCT-BR} {DGE DGE-CEA-INPE-MCT-BR} {PAN PAN-CEA-INPE-MCT-BR} {SLB SLB-CEA-INPE-MCT-BR}}}
		{CIE {{CRN CRN-CIE-INPE-MCT-BR} {RSU RSU-CIE-INPE-MCT-BR}}}
		{CPA {{CPA CPA-CPA-INPE-MCT-BR}}}
		{CPT {{CPT CPT-CPT-INPE-MCT-BR} {DMA DMA-CPT-INPE-MCT-BR} {DMD DMD-CPT-INPE-MCT-BR} {DOP DOP-CPT-INPE-MCT-BR} {DSA DSA-CPT-INPE-MCT-BR} {SPU SPU-CPT-INPE-MCT-BR} {SSS SSS-CPT-INPE-MCT-BR}}}
		{CRC {{CRC CRC-CRC-INPE-MCT-BR}}}
		{CST {{CST CST-CST-INPE-MCT-BR}}}
		{CTE {{LAC LAC-CTE-INPE-MCT-BR} {LAP LAP-CTE-INPE-MCT-BR} {LAS LAS-CTE-INPE-MCT-BR} {LCP LCP-CTE-INPE-MCT-BR}}}
		{ETE {{CPM CPM-ETE-INPE-MCT-BR} {CRS CRS-ETE-INPE-MCT-BR} {DEA DEA-ETE-INPE-MCT-BR} {DMC DMC-ETE-INPE-MCT-BR} {DSE DSE-ETE-INPE-MCT-BR} {DSS DSS-ETE-INPE-MCT-BR} {SCC SCC-ETE-INPE-MCT-BR} {SCE SCE-ETE-INPE-MCT-BR} {SCI SCI-ETE-INPE-MCT-BR} {SFM SFM-ETE-INPE-MCT-BR} {SGP SGP-ETE-INPE-MCT-BR}}}
		{GB {{GB GB-GB-INPE-MCT-BR} {SID SID-GB-INPE-MCT-BR} {STD STD-GB-INPE-MCT-BR} {STI STI-GB-INPE-MCT-BR}}}
		{LIT {{LIT LIT-LIT-INPE-MCT-BR}}}
		{OBT {{ACB ACB-OBT-INPE-MCT-BR} {AMZ AMZ-OBT-INPE-MCT-BR} {DGI DGI-OBT-INPE-MCT-BR} {DPI DPI-OBT-INPE-MCT-BR} {DSR DSR-OBT-INPE-MCT-BR}}}
		{TEC {{TEC TEC-TEC-INPE-MCT-BR}}}
	}
}

# >> groupAffiliationFillout

if $manualFilling {
	set numberOfGroups 0
	foreach item $groupOption2 {
		if [string equal {} $item] {continue}
		incr numberOfGroups [llength [lindex $item 1]]
	}
	if {[info tclversion] > 8.4 && $numberOfGroups > 0} {
	# tcl > 8.4 because of lrepeat
		set groupAffiliationFillout [join [concat {{{}} {{}}} [lrepeat $numberOfGroups {{} {Instituto Nacional de Pesquisas Espaciais (INPE)}}]]]
	} else {
		set groupAffiliationFillout {{} {}}
	}
}

# >> thesisList
# usado para montar o menu Vinculao  T&D
set currentYear [clock format [clock seconds] -format %Y]
if {[info exists publishingYear] && 2014 <= $publishingYear && $publishingYear <= $currentYear} {
#	Source http://mtc-m21b.sid.inpe.br/sid.inpe.br/mtc-m21b/2014/06.15.16.33 thesisList - not implemented
#	Source http://mtc-m21b.sid.inpe.br/col/sid.inpe.br/mtc-m21b/2014/06.15.16.33/doc/@tclPage.txt thesisList ;# doesn't update @tclPage.txt
#	Source http://mtc-m21b.sid.inpe.br/createpage.cgi/sid.inpe.br/mtc-m21b/2014/06.15.16.33/doc/tclPage.txt thesisList
	Source http://mtc-m21b.sid.inpe.br/createpage.cgi/sid.inpe.br/mtc-m21b/2014/06.15.16.33/doc/$publishingYear/tclPage.html thesisList
	set thesisList [concat {{{} {}}} $thesisList]	;# o SID pode no saber como preencher a vinculao
}

if [info exists thesisList] {
	set inputTypeNumberForTertiaryMark 3
} else {
	set inputTypeNumberForTertiaryMark 0
	set thesisList {}
}

# >> inputTypeNumber

if [string equal {} $groupOption2] {
	set inputTypeNumber 2.1
} else {
	set inputTypeNumber 3
}

# >> areaOption2

set areaOption2 {
	{{} {}}
	{{Cincia do Sistema Terrestre} {CST}}
	{{Cincia Espacial e Atmosfrica} {CEA}}
	{{Combusto e Propulso} {COMB}}
	{{Computao Aplicada} {COMP}}
	{{Engenharia e Tecnologia Espaciais} {ETES}}
	{{Fsica de Plasma} {FISPLASMA}}
	{{Gesto Estratgica} {GEST}}
	{{Gesto e Tecnologia da Informao} {INFO}}
	{{Observao da Terra} {SRE}}
	{{Previso de Tempo e Estudos Climticos} {MET}}
	{{Cincia e Tecnologia de Materiais e Sensores} {FISMAT}}
}

# ------------

# Setting the specific variables

foreach item $referenceTypeList {
#	if ![string equal {Resume} $item] {set displayTable($item,%@nexthigherunit) {0 {} {} {}}}	;# commented by GJFB in 2020-12-24
	if ![regexp {^(Resume|Archival Unit)$} $item] {set displayTable($item,%@nexthigherunit) {0 {} {} {}}}	;# added by GJFB in 2020-12-24
	set displayTable($item,%@previouslowerunit) {0 {} {} {}}	;# added by GJFB in 2018-01-13
	if {[info exists update] && $update && \
	[info exists publishingYear] && ![string equal {} $publishingYear] && \
	[info exists repositoryContentType] && ![string equal {External Contribution} $repositoryContentType]} {
		set displayTable($item,%@rightsholder) {3 {} {} {}}
if 0 {
# commented by GJFB in 2018-11-26
		if {$publishingYear >= 2012} {
			set optionTable2($item,%@rightsholder) {{{} {}} {{titular original} {originalauthor yes}} {{INPE por cesso} {originalauthor no name INPE-MCTI-GOV-BR}}}
		} else {
			set optionTable2($item,%@rightsholder) {{{} {}} {{titular original} {originalauthor yes}} {{INPE por cesso} {originalauthor no name INPE-MCT-BR}}}
		}
}
		set optionTable2($item,%@rightsholder) {{{} {}} {{titular original} {originalauthor yes}} {{titular original no localizado} {originalauthor yes locatedauthor no}} {{INPE por cesso} {originalauthor no holderibi 8JMKD3MGPCW/3DT298S}}}	;# added by GJFB in 2018-11-26 to avoid acronym changes and allow indicating when the author cannot be located to give the post permission to the document holder
	} else {
		set displayTable($item,%@rightsholder) {0 {} {} {}}
	}
	if [string equal {Journal Article} $item] {set displayTable($item,%@shorttitle) {0 {} {} {}}}
	if [string equal {Conference Proceedings} $item] {set displayTable($item,%@shorttitle) {0 {} {} {}}}
	set displayTable($item,%@holdercode) {0 {} {{isadg {BR SPINPE} ibi 8JMKD3MGPCW/3DT298S}} {}}
}

# --------------------------------------------> Setting Field Value Attributes

# the tables below are used to format the Administrator page for setting field value attributes
# repository: iconet.com.br/banon/2007/01.01.16.00

array set displayTable {{journal,dissemination} {2.2 {} {} {}}}
array set displayTable {{journal,issn} {2.1 {} {} {}}}
array set displayTable {{journal,secondarytype} {3 {} {} {}}}
# array set boxTable {{journal,dissemination} {{{WEBSCI} 0} {{PORTALCAPES} 0} {{SCIELO} 0} {{AGU} 0} {{MGA} 0} {{COMPENDEX} 0} {{IEEEXplore} 0}}}	;# commented by GJF in 2016-06-14
array set boxTable {{journal,dissemination} {{{WEBSCI} 0} {{PORTALCAPES} 0} {{SCIELO} 0} {{AGU} 0} {{MGA} 0} {{COMPENDEX} 0} {{IEEEXplore} 0} {{SCOPUS} 0}}}	;# added by GJF in 2016-06-14
array set optionTable2 {{journal,secondarytype} {{{} {}} {{Revista Internacional} {PRE PI}} {{Revista Nacional} {PRE PN}}}}

# --------------------------------------------> Advanced User Registration

array set displayTable {{Advanced User Registration,%@fullname} 2.1}	;# fullname - values are 0 or 2.1 - 2.1 means to display the field - optional; default is 0
array set displayTable {{Advanced User Registration,%9} 0}	;# theme - values are 0, 2.2 or 3 - 2.2 or 3 means to display the field - optional; default is 0
# array set displayTable {{Advanced User Registration,reviewlist} 4}	;# reviewlist

array set optionTable {{Advanced User Registration,%9} {{} {Mathematics} {Physics} {Chemistry} {Biology}}}
array set defaultOptionTable {{Advanced User Registration,%9} {}}

# --------------------------------------------> Journal Article

array set maximumFileSizeTable {{Journal Article} {51200000}}	;# 50000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Journal Article} {
	application/force-download
	application/msword
	application/octet-stream
	application/postscript
	application/pdf
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-zip
	application/x-zip-compressed
	application/zip
	text/html
	text/plain
	text/richtext
}}
}

# array set orderingFieldTable {{Journal Article} {%@secondarykey %T %A %B %V %N %P %8 %D %X %K %@area %@group %@affiliation %@issn}}
# array set orderingFieldTable {{Journal Article} {%D %A %T %B %V %N %P %8 %K %X %@secondarykey %@issn}}
# array set orderingFieldTable {{Journal Article} {%@secondarykey %A %T %D %B %V %N %P %8 %@doi %K %X %@issn}}
array set orderingFieldTable {{Journal Article} {}}

array set requiredFieldFootnoteTable {{Journal Article} {(*)}}
# array set initialFootnoteNumberTable {{Journal Article} {2}}
array set searchOptionTable {{Journal Article} {no}}

array set displayTable {{Journal Article,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
array set displayTable {{Journal Article,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# year - year
array set displayTable {{Journal Article,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Journal Article,%B} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# secondarytitle - journal
array set displayTable {{Journal Article,%E} {0\
{} {} {}}}								;# secondaryauthor
array set displayTable {{Journal Article,%I} {0\
{} {} {}}}								;# publisher
array set displayTable {{Journal Article,%C} {0\
{} {} {}}}								;# placepublished
array set displayTable {{Journal Article,%V} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# volume - volume
array set displayTable {{Journal Article,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Journal Article,%N} {2.1\
{} {} {}}}								;# number - number
array set displayTable {{Journal Article,%P} {2.1\
{} {} {}}}								;# pages - pages
array set displayTable {{Journal Article,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Journal Article,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Journal Article,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Journal Article,%8} {2.1\
{} {} {}}}								;# date - month
array set displayTable {{Journal Article,%9} {3\
{} {} {}}}								;# typeofwork
array set displayTable {{Journal Article,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Journal Article,%J} {0\
{} {} {}}}								;# alternatetitle - alternatejournal
array set displayTable {{Journal Article,%@} {0\
{} {} {ISSN}}}							;# isbn/issn
array set displayTable {{Journal Article,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Journal Article,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Journal Article,%1} {0\
{} {} {}}}								;# custom1
array set displayTable {{Journal Article,%3} {2.1\
{} {} {}}}								;# custom3 - targetfile
array set displayTable {{Journal Article,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Journal Article,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Journal Article,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Journal Article,%O} {0\
{} {} {}}}								;# notes - notes
array set displayTable {{Journal Article,%U} {2.1\
{} {} {Endereo Web do Documento}}}		;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Journal Article,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Journal Article,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Journal Article,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Journal Article,%@language} {3\
{} {} {}}}								;# - language
array set displayTable {{Journal Article,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype
array set displayTable {{Journal Article,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Journal Article,%@e-mailaddress} {0\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Journal Article,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
if $manualFilling {
	array set displayTable {{Journal Article,%@secondarytype} {4\
{} {} {<FONT class='automaticFillingField'>Circulao</FONT>}}}	;# - secondarytype
} else {
	array set displayTable {{Journal Article,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
}
array set displayTable {{Journal Article,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
if $manualFilling {
	array set displayTable {{Journal Article,%@dissemination} {4\
{} {} {<FONT class='automaticFillingField'>Revista com Divulgao em</FONT>}}}		;# - dissemination
} else {
array set displayTable {{Journal Article,%@dissemination} {0\
{} {} {Revista com Divulgao em}}}		;# - dissemination
}
array set displayTable {{Journal Article,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Journal Article,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}	;# - area
	array set displayTable {{Journal Article,%@issn} {4\
{} {} {<FONT class='automaticFillingField'>ISSN</FONT>}}}								;# - issn
} else {
	array set displayTable {{Journal Article,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
array set displayTable {{Journal Article,%@issn} {0\
{} {} {}}}								;# - issn
}
array set displayTable {{Journal Article,%@mark} {0\
{} {} {}}}								;# - mark
array set displayTable {{Journal Article,%@secondarymark} {0\
{} {} {Qualis}}}						;# - secondarymark

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Journal Article,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Journal Article,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Journal Article,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Journal Article,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

if $manualFilling {
#	array set displayTable {{Journal Article,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Journal Article,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Journal Article,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Journal Article,%@affiliation} {2.1 \
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Journal Article,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Journal Article,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Journal Article,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}	;# - affiliation
}
array set displayTable {{Journal Article,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Journal Article,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Journal Article,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Journal Article,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Journal Article,%@readergroup} {1.1\
{} {} {}}}								;# - readergroup
array set displayTable {{Journal Article,%@readpermission} {0\
{[Help INPEReadPermission]} {} {}}}		;# - readpermission - might be hidden dependending on archivingPolicy
array set displayTable {{Journal Article,%@documentstage} {0\
{} {not transferred} {}}}				;# - documentstage
if {[info exists update] && $update} {
# update
	array set displayTable {{Journal Article,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage
	array set defaultOptionTable {{Journal Article,%@documentstage} {not transferred}}
}
array set displayTable {{Journal Article,%@doi} {2.1\
{} {} {}}}								;# - doi
array set displayTable {{Journal Article,%@usergroup} {0\
{} {} {}}}								;# - usergroup

if {[info exists size] && ![string equal {} $size]} {
	set requiredFieldFlag {<FONT COLOR=BROWN>(*)</FONT>}
} else {
	set requiredFieldFlag {}
}

array set displayTable [list {Journal Article,%@versiontype} [list 3\
$requiredFieldFlag {} {}]]				;# - versiontype - is hidden at update when repositoryContentType != {External Contribution}

if {[info exists update] && $update} {
	array set displayTable {{Journal Article,%@archivingpolicy} {4\
{} {} {}}}								;# - archivingpolicy - is hidden at update when repositoryContentType != {External Contribution}
}

array set displayTable {{Journal Article,filename} {1\
{[Help FileName]} {} {}}}				;# - filename
array set displayTable {{Journal Article,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Journal Article,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Journal Article,password2} {x\
{[Help Password2]} {} {x}}}				;# - (x means not used)

array set updateOptionTable {{Journal Article} {all}}

# array set boxTable {{Journal Article,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Journal Article,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

# array set boxTable {{Journal Article,%@dissemination} {{{WEBSCI} 0} {{PORTALCAPES} 0} {{SCIELO} 0} {{AGU} 0} {{MGA} 0} {{COMPENDEX} 0} {{IEEEXplore} 0}}}
array set boxTable {{Journal Article,%@dissemination} {{{WEBSCI} 0} {{PORTALCAPES} 0} {{SCIELO} 0} {{AGU} 0} {{MGA} 0} {{COMPENDEX} 0} {{IEEEXplore} 0} {{SCOPUS} 0}}}	;# added by GJF in 2016-06-14

# array set optionTable {{Journal Article,%8} {{} jan. Jan. fev. Feb. mar. Mar. abr. Apr. maio May jun. June jul. July ago. Aug. set. Sep. out. Oct. nov. Nov. dez. Dec.}}
# array set optionTable {{Journal Article,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
# array set optionTable {{Journal Article,%@secondarymark} {{} A B C}}

# if {![info exists update] || !$update} {
#	array set fillOutFieldTable {{Journal Article,%@area,%@group} {{} {} {CEA} {DAE\\\\\\\\nDGE\\\\\\\\nDAS\\\\\\\\nSLB} {COMB} {} {COMP} {LAC} {ETES} {} {FISMAT} {LAS} {FISPLASMA} {LAP} {MET} {} {SRE} {DGI\\\\\\\\nAMZ\\\\\\\\nDSR\\\\\\\\nDPI}}}
#	array set fillOutFieldTable {{Journal Article,%@area,%@affiliation} {{} {Instituto Nacional de Pesquisas Espaciais (INPE)} {CEA} {Instituto Nacional de Pesquisas Espaciais, Diviso de Aeronomia (INPE, DAE)\\\\\\\\nInstituto Nacional de Pesquisas Espaciais, Diviso de Geofsica Espacial (INPE, DGE)\\\\\\\\nInstituto Nacional de Pesquisas Espaciais, Diviso de Astrofsica (INPE, DAS)\\\\\\\\nInstituto Nacional de Pesquisas Espaciais, Setor de Lanamento de Balo (INPE, SLB)} {COMB} {Instituto Nacional de Pesquisas Espaciais (INPE)} {COMP} {Instituto Nacional de Pesquisas Espaciais, Laboratrio Associado de Computao e Matemtica Aplicada, (INPE, LAC)}} {{ETES} {Instituto Nacional de Pesquisas Espaciais (INPE)} {FISMAT} {Instituto Nacional de Pesquisas Espaciais, Laboratrio Associado de Sensores e Materiais, (INPE, LAS)} {FISPLASMA} {Instituto Nacional de Pesquisas Espaciais, Laboratrio Associado de Plasmas, (INPE, LAP)} {MET} {Instituto Nacional de Pesquisas Espaciais (INPE)} {SRE} {Instituto Nacional de Pesquisas Espaciais, Diviso de Gerao de Imagens (INPE, DGI)\\\\\\\\nInstituto Nacional de Pesquisas Espaciais, Coordenao do Programa Amaznia (INPE, AMZ)\\\\\\\\nInstituto Nacional de Pesquisas Espaciais, Diviso de Sensoriamento Remoto (INPE, DSR)\\\\\\\\nInstituto Nacional de Pesquisas Espaciais, Diviso de Processamento de Imagens (INPE, DPI)}}}
# }

if $manualFilling {
	array set fillOutFieldTable [list {Journal Article,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Journal Article,%@group} $groupOption]
array set optionTable2 [list {Journal Article,%@group} $groupOption2]

array set optionTable2 [list {Journal Article,%@area} $areaOption2]

# array set optionTable2 {{Journal Article,%@secondarytype} {{{} {}} {{Revista Internacional} {PRE PI}} {{Revista Internacional - Trabalho Vinculado  Tese/Dissertao} {PRE PI IPV}} {{Revista Internacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE PI SPG~IPV}} {{Revista Nacional} {PRE PN}} {{Revista Nacional - Trabalho Vinculado  Tese/Dissertao} {PRE PN IPV}} {{Revista Nacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE PN SPG~IPV}}}}
array set optionTable2 {{Journal Article,%@secondarytype} {{{} {}} {{Revista Internacional} {PRE PI}} {{Revista Nacional} {PRE PN}}}}

array set optionTable2 {{Journal Article,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Journal Article,%@copyholder} {}}

# array set optionTable2 {{Journal Article,%@readpermission} {{{acesso livre} {allow from all}} {{restrita ao INPE} {150.163}} {{restrita ao login} {deny from all}}}}
# array set optionTable2 [list {Journal Article,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set optionTable2 [list {Journal Article,%@readpermission} [list {{acesso livre} {allow from all}} {{acesso restrito} intranet}]]
array set defaultOptionTable [list {Journal Article,%@readpermission} intranet]

# array set submissionDestinationTable {{Journal Article,%@area} {CEA mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 COMB mtc-m17.sid.inpe.br/col/lcp.inpe.br/ignes/2004/02.12.18.39.49 COMP mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 ETES mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 FISMAT mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 FISPLASMA mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 MET mtc-m15.sid.inpe.br/col/cptec.inpe.br/walmeida/2003/04.25.17.13 SRE mtc-m12.sid.inpe.br/col/sid.inpe.br/banon/2001/04.06.10.52.39}}

# array set optionTable2 {{Journal Article,%@versiontype} {{{} {}} {{Publisher's Version} {publisher}} {{Final Draft Post-Refereeing} {finaldraft}}}}
array set optionTable {{Journal Article,%@versiontype} {{} {publisher} {finaldraft}}}

array set optionTable {{Journal Article,%9} {{} {journal article} {conference paper}}}

# --------------------------------------------> Book

array set maximumFileSizeTable {{Book} {51200000}}	;# 50000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Book} {
	application/force-download
	application/iopexport_bib
	application/msword
	application/octet-stream
	application/postscript
	application/pdf
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-tex
	application/x-zip
	application/x-zip-compressed
	application/zip
	image/jpeg
	image/png
	text/html
	text/plain
	text/richtext
	text/x-tex
}}
}

array set requiredFieldFootnoteTable {{Book} {(*)}}
array set initialFootnoteNumberTable {{Book} {2}}
array set searchOptionTable {{Book} {no}}

# array set orderingFieldTable {{Book} {%D %A %T %B %K %X %@secondarykey %@isbn %I %C}}
# array set orderingFieldTable {{Book} {%@secondarykey %A %T %D %B %K %X %@issn %I %C}}
array set orderingFieldTable {{Book} {}}

array set displayTable {{Book,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
# array set displayTable {{Book,%D} {2.1\
{} {} {}}}								;# year - year
array set displayTable {{Book,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
# array set displayTable {{Book,%B} {0\
{} {} {}}}								;# secondarytitle - seriestitle
array set displayTable {{Book,%E} {1.1\
{[Help Name %E]} {} {}}}				;# secondaryauthor - editor
# array set displayTable {{Book,%I} {2.1\
{} {} {}}}								;# publisher - publisher
# array set displayTable {{Book,%C} {2.1\
{} {} {}}}								;# placepublished - city
array set displayTable {{Book,%V} {2.1\
{} {} {}}}								;# volume - volume
array set displayTable {{Book,%6} {2.1\
{} {} {}}}								;# numberofvolumes - numberofvolumes
array set displayTable {{Book,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Book,%P} {2.1\
{} {} {}}}								;# pages - numberofpages
array set displayTable {{Book,%Y} {1.1\
{[Help Name %Y]} {} {}}}				;# tertiaryauthor - serieseditor
array set displayTable {{Book,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Book,%7} {2.1\
{} {} {}}}								;# edition - edition
array set displayTable {{Book,%8} {0\
{} {} {}}}								;# date
array set displayTable {{Book,%9} {0\
{} {} {}}}								;# typeofwork
array set displayTable {{Book,%?} {1.1\
{[Help Name %?]} {} {}}}				;# subsidiaryauthor - translator
array set displayTable {{Book,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Book,%@} {0\
{} {} {ISBN}}}							;# isbn/issn - isbn/issn
array set displayTable {{Book,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Book,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Book,%1} {0\
{} {} {}}}								;# custom1
array set displayTable {{Book,%3} {2.1\
{[Help TargetFile]} {} {}}}				;# custom3 - targetfile
array set displayTable {{Book,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Book,%K} {1.2\
{<FONT COLOR=BROWN>(*)</FONT>[Help Keywords %K]} {} {Palavras-Chave Controladas<BR>(em Portugus e em Ingls)}}}	;# keywords - keywords
array set displayTable {{Book,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Book,%O} {1.2\
{} {} {}}}								;# notes - notes
array set displayTable {{Book,%U} {0\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Book,%(} {2.1\
{[Help PreviousEdition]} {} {}}}		;# previousedition - previousedition
array set displayTable {{Book,%)} {2.1\
{[Help NextEdition]} {} {}}}			;# nextedition - nextedition
array set displayTable {{Book,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Book,%@language} {2.2\
{} {} {}}}								;# - language
# array set displayTable {{Book,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype
array set displayTable {{Book,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Book,%@e-mailaddress} {0\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Book,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Book,%@secondarytype} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - secondarytype
array set displayTable {{Book,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Book,%@dissemination} {2.2\
{} {} {}}}								;# - dissemination
array set displayTable {{Book,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Book,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}			;# - area
} else {
	array set displayTable {{Book,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
}
# array set displayTable {{Book,%@isbn} {1.1\
{[Help ISBN]} {} {}}}					;# - isbn
if {$manualFilling && [info exists publishingYear] && ![string equal {} $publishingYear]} {
#	array set displayTable {{Book,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Book,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Book,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Book,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Book,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Book,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Book,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}	;# - affiliation
}
array set displayTable {{Book,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Book,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Book,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Book,%@accessdate} {0\
{} {} {}}}								;# - accessdate
# array set displayTable {{Book,%@readpermission} {3\
{} {} {}}}								;# - readpermission
# array set displayTable {{Book,%@documentstage} {0\
{} {} {Transfer update<BR>permission to:}}}	;# - documentstage
# array set displayTable {{Book,%@doi} {2.1\
{} {} {}}}								;# - doi
array set displayTable {{Book,%@usergroup} {0\
{} {} {}}}								;# - usergroup
array set displayTable {{Book,filename} {1\
{[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
array set displayTable {{Book,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Book,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Book,password2} {x\
{[Help Password2]} {} {x}}}					;# - (x means not used)

array set depositOptionTable {{Book} {enablecopytosource 1}}

# array set localCollectionPublisherTable {{Book} {INPE|Instituto Nacional de Pesquisas Espaciais}}
array set localCollectionPublisherTable {{Book} {INPE|Instituto Nacional de Pesquisas Espaciais|^$}}	;# added by GJFB in 2012-04-11 to include unknown publisher and allow insertion of original document

# array set boxTable {{Book,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set boxTable {{Book,%@language} {{{pt} 0} {{es} 0} {{fr} 0} {{en} 0}}}
# array set optionTable {{Book,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Book,%@area} $areaOption2]

# array set boxTable {{Book,%@dissemination} {{{NTRSNASA} 1} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}
array set boxTable {{Book,%@dissemination} {{{NTRSNASA} 0} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}	;# added by GJFB in 2011-06-10

if {![info exists update] || !$update} {
#	array set actionTable [list {Book,%@area} $areaBasedAction]
}
if $manualFilling {
	array set fillOutFieldTable [list {Book,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Book,%@group} $groupOption]
array set optionTable2 [list {Book,%@group} $groupOption2]

# array set optionTable {{Book,%@secondarytype} {{} {LI} {LN} {MAN} {NTC} {PUD}}}

array set optionTable2 {{Book,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Book,%@copyholder} {}}

array set optionTable2 [list {Book,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable {{Book,%@readpermission} {allow from all}}

if {([info exists cgi(reviewprocess)] && \
[string equal {yes} $cgi(reviewprocess)]) || \
([info exists update] && $update && \
[info exists secondaryType] && [regexp {MAN|NTC|PUD} $secondaryType])} {
# publicao com INPE como editora e sem editor - apropriado para MAN|NTC|PUD

	array set displayTable {{Book,%B} {0\
{} {} {}}}								;# secondarytitle - seriestitle
	array set displayTable {{Book,%E} {0\
{[Help Name %E]} {} {}}}				;# secondaryauthor - editor
	array set displayTable {{Book,%Y} {0\
{[Help Name %Y]} {} {}}}				;# secondaryauthor - serieseditor
	array set displayTable {{Book,%I} {0\
{} {Instituto Nacional de Pesquisas Espaciais} {}}}	;# publisher - publisher
	array set displayTable {{Book,%C} {0\
{} {So Jos dos Campos} {}}}			;# placepublished - city
	array set displayTable {{Book,%@contenttype} {0\
{} {} {}}}								;# - contenttype
	array set displayTable {{Book,%@isbn} {0\
{[Help ISBN]} {} {}}}					;# - isbn

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Book,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Book,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Book,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Book,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

#	array set optionTable2 {{Book,%@secondarytype} {{{} {}} {{MAN} {MAN}} {{MAN - Trabalho Vinculado  Tese/Dissertao} {MAN IPV}} {{MAN - Trab. de Aluno No Relacionado  Tese/Dissertao} {MAN SPG~IPV}} {{NTC} {NTC}} {{NTC - Trabalho Vinculado  Tese/Dissertao} {NTC IPV}} {{NTC - Trab. de Aluno No Relacionado  Tese/Dissertao} {NTC SPG~IPV}} {{PUD} {PUD}} {{PUD - Trabalho Vinculado  Tese/Dissertao} {PUD IPV}} {{PUD - Trab. de Aluno No Relacionado  Tese/Dissertao} {PUD SPG~IPV}}}}
	array set optionTable2 {{Book,%@secondarytype} {{{} {}} {{MAN} {MAN}} {{NTC} {NTC}} {{PUD} {PUD}}}}
	
	array set displayTable {{Book,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage

	if [info exists userGroup] {
		array set defaultOptionTable {{Book,%@documentstage} {not transferred}}
	}

	if {[info exists update] && $update && \
	[info exists advancedUser] && [lsearch $loginDosResponsaveisPelaAutorizacao $advancedUser] != -1} {
		array set displayTable {{Book,%D} {2.1\
{} {} {}}}								;# year - year
		array set displayTable {{Book,%@readpermission} {3\
{} {} {}}}								;# - readpermission
		array set displayTable {{Book,%@secondarydate} {2.1\
{[Help SecondaryDate]} {} {}}}			;# - secondarydate
	} else {
		array set displayTable {{Book,%D} {0\
{} {} {}}}								;# year - year
		array set displayTable {{Book,%@readpermission} {0\
{} {150.163} {}}}						;# - readpermission
		}
} else {
# publicao com INPE como editora ou no e com editor

	array set displayTable {{Book,%B} {2.1\
{} {} {}}}								;# secondarytitle - seriestitle
	array set displayTable {{Book,%E} {1.1\
{[Help Name %E]} {} {}}}				;# secondaryauthor - editor
	array set displayTable {{Book,%Y} {1.1\
{[Help Name %Y]} {} {}}}				;# secondaryauthor - serieseditor
	array set displayTable {{Book,%I} {2.1\
{} {} {}}}								;# publisher - publisher
	array set displayTable {{Book,%C} {2.1\
{} {} {}}}								;# placepublished - city

#	array set optionTable2 {{Book,%@secondarytype} {{{} {}} {{Livro Internacional} {LI}} {{Livro Internacional - Trabalho Vinculado  Tese/Dissertao} {LI IPV}} {{Livro Internacional - Trab. de Aluno No Relacionado  Tese/Dis.} {LI SPG~IPV}} {{Livro Nacional} {LN}} {{Livro Nacional - Trabalho Vinculado  Tese/Dissertao} {LN IPV}} {{Livro Nacional - Trab. de Aluno No Relacionado  Tese/Dis.} {LN SPG~IPV}}}}
	array set optionTable2 {{Book,%@secondarytype} {{{} {}} {{Livro Internacional} {LI}} {{Livro Nacional} {LN}}}}
	
	array set displayTable {{Book,%@contenttype} {2.2\
{} {} {}}}								;# - contenttype
	array set boxTable {{Book,%@contenttype} {{{External Contribution} 0}}}
	array set displayTable {{Book,%@isbn} {1.1\
{[Help ISBN]} {} {}}}					;# - isbn

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Book,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Book,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Book,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Book,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

	array set displayTable {{Book,%@doi} {2.1\
{} {} {}}}								;# - doi
	array set displayTable {{Book,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# year - year
	array set displayTable {{Book,%@documentstage} {0\
{} {} {}}}								;# - documentstage
	array set displayTable {{Book,%@readpermission} {2.1\
{[Help ReadPermission]} {} {}}}			;# - readpermission
	array set displayTable {{Book,%@readergroup} {1.1\
{} {} {}}}								;# - readergroup
}

# --------------------------------------------> Book Section

array set maximumFileSizeTable {{Book Section} {20480000}}	;# 20000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Book Section} {
	application/force-download
	application/iopexport_bib
	application/msword
	application/octet-stream
	application/postscript
	application/pdf
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-tex
	application/x-zip
	application/x-zip-compressed
	application/zip
	text/html
	text/plain
	text/richtext
}}
}

array set requiredFieldFootnoteTable {{Book Section} {(*)}}
array set initialFootnoteNumberTable {{Book Section} {2}}
array set searchOptionTable {{Book Section} {no}}

# array set orderingFieldTable {{Book Section} {%D %A %T %B %K %X %@secondarykey %@isbn %I %C}}
# array set orderingFieldTable {{Book Section} {%@secondarykey %A %T %D %B %K %X %@isbn %I %C}}
array set orderingFieldTable {{Book Section} {}}

array set displayTable {{Book Section,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
# array set displayTable {{Book Section,%D} {2.1\
{} {} {}}}								;# year - year
array set displayTable {{Book Section,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Book Section,%B} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# secondarytitle - booktitle
array set displayTable {{Book Section,%E} {1.1\
{[Help Name %E]} {} {}}}				;# secondaryauthor - editor
# array set displayTable {{Book Section,%I} {2.1\
{} {} {}}}								;# publisher - publisher
# array set displayTable {{Book Section,%C} {2.1\
{} {} {}}}								;# placepublished - city
array set displayTable {{Book Section,%V} {2.1\
{} {} {}}}								;# volume - volume
array set displayTable {{Book Section,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Book Section,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Book Section,%P} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# pages - pages
array set displayTable {{Book Section,%Y} {1.1\
{} {} {}}}								;# tertiaryauthor - serieseditor
array set displayTable {{Book Section,%S} {2.1\
{} {} {}}}								;# tertiarytitle - seriestitle
array set displayTable {{Book Section,%7} {2.1\
{} {} {}}}								;# edition - edition
array set displayTable {{Book Section,%8} {0\
{} {} {}}}								;# date
array set displayTable {{Book Section,%9} {0\
{} {} {}}}								;# typeofwork
array set displayTable {{Book Section,%?} {0\
{} {} {}}}								;# subsidiaryauthor - translator
array set displayTable {{Book Section,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Book Section,%@} {0\
{} {} {ISBN}}}							;# isbn/issn - isbn/issn
array set displayTable {{Book Section,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Book Section,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Book Section,%1} {0\
{} {} {}}}								;# custom1
array set displayTable {{Book Section,%3} {2.1\
{[Help TargetFile]} {} {}}}				;# custom3 - targetfile
array set displayTable {{Book Section,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Book Section,%K} {1.2\
{<FONT COLOR=BROWN>(*)</FONT>[Help Keywords %K]} {} {Palavras-Chave Controladas<BR>(em Portugus e em Ingls)}}}	;# keywords - keywords
array set displayTable {{Book Section,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Book Section,%O} {0\
{} {} {}}}								;# notes - notes
array set displayTable {{Book Section,%U} {2.1\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Book Section,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Book Section,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Book Section,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Book Section,%@language} {3\
{} {} {}}}								;# - language
# array set displayTable {{Book Section,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype
array set displayTable {{Book Section,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Book Section,%@e-mailaddress} {0\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Book Section,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Book Section,%@secondarytype} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - secondarytype
array set displayTable {{Book Section,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Book Section,%@dissemination} {2.2\
{} {} {}}}								;# - dissemination
array set displayTable {{Book Section,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Book Section,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}	;# - area
} else {
	array set displayTable {{Book Section,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
}
# array set displayTable {{Book Section,%@isbn} {1.1\
{} {} {}}}								;# - isbn
array set displayTable {{Book Section,%@mark} {0\
{} {} {}}}								;# - mark
if {$manualFilling && [info exists publishingYear] && ![string equal {} $publishingYear]} {
#	array set displayTable {{Book Section,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Book Section,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Book Section,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Book Section,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Book Section,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Book Section,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Book Section,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}		;# - affiliation
}
array set displayTable {{Book Section,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Book Section,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Book Section,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Book Section,%@accessdate} {0\
{} {} {}}}								;# - accessdate
# array set displayTable {{Book Section,%@readpermission} {3\
{} {} {}}}								;# - readpermission
array set displayTable {{Book Section,%@documentstage} {0\
{} {} {Transfer update<BR>permission to:}}}	;# - documentstage
# array set displayTable {{Book Section,%@doi} {2.1\
{} {} {}}}								;# - doi
array set displayTable {{Book Section,%@usergroup} {0\
{} {} {}}}								;# - usergroup
array set displayTable [list {Book Section,%@versiontype} [list 3\
$requiredFieldFlag {} {}]]				;# - versiontype - is hidden at update when repositoryContentType != {External Contribution}
array set displayTable {{Book Section,filename} {1\
{[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
array set displayTable {{Book Section,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Book Section,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Book Section,password2} {x\
{[Help Password2]} {} {x}}}				;# - (x means not used)

array set depositOptionTable {{Book Section} {enablecopytosource 1}}

array set localCollectionPublisherTable {{Book Section} {INPE|Instituto Nacional de Pesquisas Espaciais}}

# array set boxTable {{Book Section,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Book Section,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

# array set boxTable {{Book Section,%@dissemination} {{{NTRSNASA} 1} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}
array set boxTable {{Book Section,%@dissemination} {{{NTRSNASA} 0} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}	;# added by GJFB in 2011-06-10

# array set optionTable {{Book Section,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Book Section,%@area} $areaOption2]

array set optionTable2 {{Book Section,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Book Section,%@copyholder} {}}

array set optionTable2 [list {Book Section,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
# array set defaultOptionTable {{Book Section,%@readpermission} {allow from all}}
array set defaultOptionTable [list {Book Section,%@readpermission} intranet]

if {![info exists update] || !$update} {
#	array set actionTable [list {Book Section,%@area} $areaBasedAction]
}
if $manualFilling {
	array set fillOutFieldTable [list {Book Section,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Book Section,%@group} $groupOption]
array set optionTable2 [list {Book Section,%@group} $groupOption2]

array set excludedSourceFieldNameTable {{Book Section} {%I %C}}

# array set submissionDestinationTable {{Book Section,%@area} {CEA mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 COMB mtc-m17.sid.inpe.br/col/lcp.inpe.br/ignes/2004/02.12.18.39.49 COMP mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 ETES mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 FISMAT mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 FISPLASMA mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 MET mtc-m15.sid.inpe.br/col/cptec.inpe.br/walmeida/2003/04.25.17.13 SRE mtc-m12.sid.inpe.br/col/sid.inpe.br/banon/2001/04.06.10.52.39}}

if {([info exists cgi(reviewprocess)] && \
[string equal {yes} $cgi(reviewprocess)]) || \
([info exists update] && $update && \
[info exists secondaryType] && [regexp {PUD} $secondaryType])} {
# publicao com autorizao do INPE

	array set displayTable {{Book Section,%I} {0\
{} {Instituto Nacional de Pesquisas Espaciais} {}}}	;# publisher - publisher
	array set displayTable {{Book Section,%C} {0\
{} {So Jos dos Campos} {}}}			;# placepublished - city
	array set displayTable {{Book Section,%@contenttype} {0\
{} {} {}}}								;# - contenttype
	array set displayTable {{Book Section,%@isbn} {0\
{} {} {}}}								;# - isbn

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Book Section,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Book Section,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Book Section,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Book Section,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

	array set displayTable {{Book Section,%@doi} {0\
{} {} {}}}								;# - doi

#	array set optionTable2 {{Book Section,%@secondarytype} {{{} {}} {{PUD} {PUD}} {{PUD - Trabalho Vinculado  Tese/Dissertao} {PUD IPV}} {{PUD - Trab. de Aluno No Relacionado  Tese/Dissertao} {PUD SPG~IPV}}}}
	array set optionTable2 {{Book Section,%@secondarytype} {{{} {}} {{PUD} {PUD}}}}
	
	array set displayTable {{Book Section,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage

	if [info exists userGroup] {
		array set defaultOptionTable {{Book Section,%@documentstage} {not transferred}}
	}

	if {[info exists update] && $update && \
		[info exists advancedUser] && [lsearch $loginDosResponsaveisPelaAutorizacao $advancedUser] != -1} {
		array set displayTable {{Book Section,%D} {2.1\
{} {} {}}}								;# year - year
		array set displayTable {{Book Section,%@readpermission} {3\
{} {} {}}}								;# - readpermission
		array set displayTable {{Book Section,%@readergroup} {1.1\
{} {} {}}}								;# - readergroup
	} else {
		array set displayTable {{Book Section,%D} {0\
{} {} {}}}								;# year - year
#		array set displayTable {{Book Section,%@readpermission} {0\
{} {150.163} {}}}						;# - readpermission
		array set displayTable {{Book Section,%@readpermission} {0\
{} {intranet} {}}}						;# - readpermission
	}
} else {
# publicao sem autorizao do INPE

	array set displayTable {{Book Section,%I} {2.1\
{} {} {}}}								;# publisher - publisher
	array set displayTable {{Book Section,%C} {2.1\
{} {} {}}}								;# placepublished - city
	array set displayTable {{Book Section,%@contenttype} {2.2\
{} {} {}}}								;# - contenttype
	array set boxTable {{Book Section,%@contenttype} {{{External Contribution} 0}}}
	array set displayTable {{Book Section,%@isbn} {1.1\
{} {} {}}}								;# - isbn

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Book Section,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Book Section,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Book Section,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Book Section,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

	array set displayTable {{Book Section,%@doi} {2.1\
{} {} {}}}								;# - doi

#	array set optionTable2 {{Book Section,%@secondarytype} {{{} {}} {{Captulo em Livro Internacional} {PRE LI}} {{Captulo em Livro Inter. - Trabalho Vinculado  Tese/Dissertao} {PRE LI IPV}} {{Captulo em Livro Inter. - Trab. de Aluno No Relacionado a T/D} {PRE LI SPG~IPV}} {{Captulo em Livro Nacional} {PRE LN}} {{Captulo em Livro Nac. - Trababalho Vinculado  Tese/Dissertao} {PRE LN IPV}} {{Captulo em Livro Nac. - Trab. de Aluno No Relacionado a T/D} {PRE LN SPG~IPV}}}}
	array set optionTable2 {{Book Section,%@secondarytype} {{{} {}} {{Captulo em Livro Internacional} {PRE LI}} {{Captulo em Livro Nacional} {PRE LN}}}}
	
	array set displayTable {{Book Section,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# year - year
#	array set displayTable {{Book Section,%@readpermission} {2.1\
{[Help ReadPermission]} {} {}}}			;# - readpermission
	array set displayTable {{Book Section,%@readpermission} {2.1\
{[Help ReadPermission]} {intranet} {}}}			;# - readpermission
		array set displayTable {{Book Section,%@documentstage} {0\
{} {} {}}}								;# - documentstage
}

array set optionTable {{Book Section,%@versiontype} {{} {publisher} {finaldraft}}}

# --------------------------------------------> Edited Book

array set maximumFileSizeTable {{Edited Book} {51200000}}	;# 50000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Edited Book} {
	application/force-download
	application/iopexport_bib
	application/msword
	application/octet-stream
	application/pdf
	application/postscript
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-tex
	application/x-zip
	application/x-zip-compressed
	application/zip
	image/gif
	image/jpeg
	image/png
	text/html
	text/plain
	text/richtext
}}
}

array set requiredFieldFootnoteTable {{Edited Book} {(*)}}
array set initialFootnoteNumberTable {{Edited Book} {2}}
array set searchOptionTable {{Edited Book} {no}}

# array set orderingFieldTable {{Edited Book} {%D %A %T %B %K %X %@secondarykey %@isbn %I %C}}
# array set orderingFieldTable {{Edited Book} {%@secondarykey %A %T %D %B %K %X %P %@isbn %I %C}}
array set orderingFieldTable {{Edited Book} {}}

array set displayTable {{Edited Book,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - editor
# array set displayTable {{Edited Book,%D} {2.1\
{} {} {}}}								;# year - year
array set displayTable {{Edited Book,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Edited Book,%B} {2.1\
{} {} {}}}								;# secondarytitle - seriestitle
array set displayTable {{Edited Book,%E} {1.1\
{[Help Name %E]} {} {}}}					;# secondaryauthor - serieseditor
# array set displayTable {{Edited Book,%I} {2.1\
{} {} {}}}								;# publisher - publisher
# array set displayTable {{Edited Book,%C} {2.1\
{} {} {}}}								;# placepublished - city
array set displayTable {{Edited Book,%V} {2.1\
{} {} {}}}								;# volume - volume
array set displayTable {{Edited Book,%6} {2.1\
{} {} {}}}								;# numberofvolumes - numberofvolumes
array set displayTable {{Edited Book,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Edited Book,%P} {2.1\
{} {} {}}}								;# pages - numberofpages
array set displayTable {{Edited Book,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Edited Book,%S} {3\
{} {} {}}}								;# tertiarytitle - booktitle
array set displayTable {{Edited Book,%7} {2.1\
{} {} {}}}								;# edition - edition
array set displayTable {{Edited Book,%8} {0\
{} {} {}}}								;# date
array set displayTable {{Edited Book,%9} {0\
{} {} {}}}								;# typeofwork
array set displayTable {{Edited Book,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Edited Book,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Edited Book,%@} {0\
{} {} {ISBN}}}							;# isbn/issn - isbn/issn
array set displayTable {{Edited Book,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Edited Book,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Edited Book,%1} {2.1\
{} {} {}}}								;# custom1 - organization
array set displayTable {{Edited Book,%3} {2.1\
{[Help TargetFile]} {} {}}}				;# custom3 - targetfile
array set displayTable {{Edited Book,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Edited Book,%K} {1.2\
{<FONT COLOR=BROWN>(*)</FONT>[Help Keywords %K]} {} {Palavras-Chave Controladas<BR>(em Portugus e em Ingls)}}}	;# keywords - keywords
array set displayTable {{Edited Book,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Edited Book,%O} {0\
{} {} {}}}								;# notes - notes
# array set displayTable {{Edited Book,%U} {2.1\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Edited Book,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Edited Book,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Edited Book,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Edited Book,%@language} {2.2\
{} {} {}}}								;# - language
# array set displayTable {{Edited Book,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype
array set displayTable {{Edited Book,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Edited Book,%@e-mailaddress} {0\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Edited Book,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Edited Book,%@secondarytype} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - secondarytype
array set displayTable {{Edited Book,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Edited Book,%@dissemination} {2.2\
{} {} {}}}								;# - dissemination
array set displayTable {{Edited Book,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Edited Book,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}			;# - area
} else {
	array set displayTable {{Edited Book,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
}
# array set displayTable {{Edited Book,%@isbn} {1.1\
{[Help ISBN]} {} {}}}					;# - isbn
if {$manualFilling && [info exists publishingYear] && ![string equal {} $publishingYear]} {
#	array set displayTable {{Edited Book,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Edited Book,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Edited Book,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Edited Book,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Edited Book,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Edited Book,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Edited Book,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}	;# - affiliation
}
array set displayTable {{Edited Book,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Edited Book,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Edited Book,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Edited Book,%@accessdate} {0\
{} {} {}}}								;# - accessdate
# array set displayTable {{Edited Book,%@readpermission} {3\
{} {} {}}}								;# - readpermission
array set displayTable {{Edited Book,%@documentstage} {0\
{} {} {Transfer update<BR>permission to:}}}	;# - documentstage
# array set displayTable {{Edited Book,%@doi} {2.1\
{} {} {}}}								;# - doi
array set displayTable {{Edited Book,%@usergroup} {0\
{} {} {}}}								;# - usergroup
array set displayTable {{Edited Book,filename} {1\
{[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
array set displayTable {{Edited Book,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Edited Book,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}	;# - (x means not used)
array set displayTable {{Edited Book,password2} {x\
{[Help Password2]} {} {x}}}				;# - (x means not used)

array set depositOptionTable {{Edited Book} {enablecopytosource 1}}

array set localCollectionPublisherTable {{Edited Book} {INPE|Instituto Nacional de Pesquisas Espaciais|AMS|American Meteorological Society}}

# array set boxTable {{Edited Book,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set boxTable {{Edited Book,%@language} {{{pt} 0} {{es} 0} {{fr} 0} {{en} 0}}}

# array set boxTable {{Edited Book,%@dissemination} {{{NTRSNASA} 1} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}
array set boxTable {{Edited Book,%@dissemination} {{{NTRSNASA} 0} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}	;# added by GJFB in 2011-06-10

array set optionTable {{Edited Book,%S} {{} {Anais} {Anales} {Actas} {Proceedings} {Coletnea} {Memria Final} {Memrias} {Resumos Extendidos} {Extended Abstracts} {Resumos} {Resumenes} {Abstracts}}}

# array set optionTable {{Edited Book,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Edited Book,%@area} $areaOption2]

array set optionTable2 {{Edited Book,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Edited Book,%@copyholder} {}}

array set optionTable2 [list {Edited Book,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable {{Edited Book,%@readpermission} {allow from all}}

if {![info exists update] || !$update} {
#	array set actionTable [list {Edited Book,%@area} $areaBasedAction]
}
if $manualFilling {
	array set fillOutFieldTable [list {Edited Book,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Edited Book,%@group} $groupOption]
array set optionTable2 [list {Edited Book,%@group} $groupOption2]

if {([info exists cgi(reviewprocess)] && \
[string equal {yes} $cgi(reviewprocess)]) || \
([info exists update] && $update && \
[info exists secondaryType] && [regexp {PUD} $secondaryType])} {
# publicao com autorizao do INPE

	array set displayTable {{Edited Book,%I} {0\
{} {Instituto Nacional de Pesquisas Espaciais} {}}}	;# publisher - publisher
	array set displayTable {{Edited Book,%C} {0\
{} {So Jos dos Campos} {}}}			;# placepublished - city
	array set displayTable {{Edited Book,%@contenttype} {0\
{} {} {}}}								;# - contenttype
	array set displayTable {{Edited Book,%@isbn} {0\
{[Help ISBN]} {} {}}}					;# - isbn

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Edited Book,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Edited Book,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Edited Book,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Edited Book,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

	array set displayTable {{Edited Book,%@doi} {0\
{} {} {}}}								;# - doi
	array set displayTable {{Edited Book,%U} {0\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)

#	array set optionTable2 {{Edited Book,%@secondarytype} {{{} {}} {{PUD} {PUD}} {{PUD - Trabalho Vinculado  Tese/Dissertao} {PUD IPV}} {{PUD - Trab. de Aluno No Relacionado  Tese/Dissertao} {PUD SPG~IPV}}}}
	array set optionTable2 {{Edited Book,%@secondarytype} {{{} {}} {{PUD} {PUD}}}}
	
	array set displayTable {{Edited Book,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage

	if [info exists userGroup] {
		array set defaultOptionTable {{Edited Book,%@documentstage} {not transferred}}
	}

	if {[info exists update] && $update && \
		[info exists advancedUser] && [lsearch $loginDosResponsaveisPelaAutorizacao $advancedUser] != -1} {
		array set displayTable {{Edited Book,%D} {2.1\
{} {} {}}}								;# year - year
		array set displayTable {{Edited Book,%@readergroup} {1.1\
{} {} {}}}								;# - readergroup
		array set displayTable {{Edited Book,%@readpermission} {3\
{} {} {}}}								;# - readpermission
	} else {
		array set displayTable {{Edited Book,%D} {0\
{} {} {}}}								;# year - year
		array set displayTable {{Edited Book,%@readpermission} {0\
{} {150.163} {}}}						;# - readpermission
	}
} else {
# publicao sem autorizao do INPE

	array set displayTable {{Edited Book,%I} {2.1\
{} {} {}}}								;# publisher - publisher
	array set displayTable {{Edited Book,%C} {2.1\
{} {} {}}}								;# placepublished - city
	array set displayTable {{Edited Book,%@contenttype} {2.2\
{} {} {}}}								;# - contenttype
	array set boxTable {{Edited Book,%@contenttype} {{{External Contribution} 0}}}
	array set displayTable {{Edited Book,%@isbn} {1.1\
{[Help ISBN]} {} {}}}					;# - isbn

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Edited Book,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Edited Book,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Edited Book,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Edited Book,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

	array set displayTable {{Edited Book,%@doi} {2.1\
{} {} {}}}								;# - doi
	array set displayTable {{Edited Book,%U} {2.1\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)

#	array set optionTable2 {{Edited Book,%@secondarytype} {{{} {}} {{Livro Internacional} {LI}} {{Livro Internacional - Trabalho Vinculado  Tese/Dissertao} {LI IPV}} {{Livro Internacional - Trab. de Aluno No Relacionado  Tese/Dis.} {LI SPG~IPV}} {{Livro Nacional} {LN}} {{Livro Nacional - Trabalho Vinculado  Tese/Dissertao} {LN IPV}} {{Livro Nacional - Trab. de Aluno No Relacionado  Tese/Dis.} {LN SPG~IPV}}}}
	array set optionTable2 {{Edited Book,%@secondarytype} {{{} {}} {{Livro Internacional} {LI}} {{Livro Nacional} {LN}}}}
	
	array set displayTable {{Edited Book,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# year - year
	array set displayTable {{Edited Book,%@readergroup} {1.1\
{} {} {}}}								;# - readergroup
	array set displayTable {{Edited Book,%@readpermission} {2.1\
{[Help ReadPermission]} {} {}}}			;# - readpermission
	array set displayTable {{Edited Book,%@documentstage} {0\
{} {} {}}}								;# - documentstage
}

# --------------------------------------------> Newspaper

array set maximumFileSizeTable {{Newspaper} {102400000}}	;# 100000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Newspaper} {
	application/force-download
	application/msword
	application/octet-stream
	application/postscript
	application/pdf
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-zip
	application/x-zip-compressed
	application/zip
	text/html
	text/plain
	text/richtext
	image/pjpeg
}}
}

# array set depositOptionTable {{Newspaper} {deletedoccontentbeforeupdate 1}}

# array set submitTargetFileOptionTable {{Newspaper} disable}

array set requiredFieldFootnoteTable {{Newspaper} {(*)}}
array set requiredFieldAtCloseFootnoteTable {{Newspaper} {(+)}}
array set searchOptionTable {{Newspaper} {no}}

# array set orderingFieldTable {{Newspaper} {%@secondarykey %A %T %C %@language %@format %D %8 %V %N %P %K %@area %@project %O}}
array set orderingFieldTable {{Newspaper} {}}

array set displayTable {{Newspaper,%A} {2.1\
{[Help Name]} {} {}}}					;# author - editor
array set displayTable {{Newspaper,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# year - year
array set displayTable {{Newspaper,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {Ttulo do Jornal}}}	;# title - title
array set displayTable {{Newspaper,%B} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# secondarytitle
array set displayTable {{Newspaper,%E} {1.1\
{} {} {}}}								;# secondaryauthor - serieseditor
array set displayTable {{Newspaper,%I} {2.1\
{} {INPE} {}}}							;# publisher
array set displayTable {{Newspaper,%C} {2.1\
{} {So Jos dos Campos} {}}}			;# placepublished - city
array set displayTable {{Newspaper,%V} {2.1\
{} {} {}}}								;# volume
array set displayTable {{Newspaper,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Newspaper,%N} {2.1\
{} {} {}}}								;# number
array set displayTable {{Newspaper,%P} {2.1\
{} {} {}}}								;# pages - numberofpages
array set displayTable {{Newspaper,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Newspaper,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Newspaper,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Newspaper,%8} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help IssueDate]} {} {}}}	;# date - issuedate
array set displayTable {{Newspaper,%9} {0\
{} {} {}}}								;# typeofwork - type
array set displayTable {{Newspaper,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Newspaper,%J} {0\
{} {} {}}}								;# alternatetitle - alternateNewspaper
array set displayTable {{Newspaper,%@} {0\
{} {} {ISSN}}}							;# isbn/issn
array set displayTable {{Newspaper,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Newspaper,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Newspaper,%1} {0\
{} {} {}}}								;# custom1
array set displayTable {{Newspaper,%3} {2.1\
{} {} {}}}								;# custom3 - targetfile
array set displayTable {{Newspaper,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Newspaper,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Newspaper,%X} {1.2\
{} {} {Editorial}}}						;# abstract - abstract
array set displayTable {{Newspaper,%O} {0\
{} {} {}}}								;# notes - notes
array set displayTable {{Newspaper,%U} {0\
{} {} {URL da Fonte}}}					;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Newspaper,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Newspaper,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Newspaper,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Newspaper,%@language} {3\
{} {} {}}}								;# - language
array set displayTable {{Newspaper,%@contenttype} {0\
{} {} {}}}								;# - contenttype
array set displayTable {{Newspaper,%@copyholder} {0\
{} {SID/SCD} {}}}						;# - copyholder
array set displayTable {{Newspaper,%@e-mailaddress} {0\
{} {} {}}}								;# - e-mailaddress
array set displayTable {{Newspaper,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Newspaper,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
array set displayTable {{Newspaper,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Newspaper,%@dissemination} {0\
{} {} {Abrangncia}}}					;# - dissemination
array set displayTable {{Newspaper,%@format} {2.2\
{} {} {Formato da Fonte}}}				;# - format
array set displayTable {{Newspaper,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
array set displayTable {{Newspaper,%@area} {0\
{} {} {Area da Fonte}}}					;# - area
array set displayTable {{Newspaper,%@group} {0\
{[Help Group]} {} {Grupo da Fonte}}}	;# - group
array set displayTable {{Newspaper,%@affiliation} {0\
{[Help Affiliation]} {} {Affiliao da Fonte}}}		;# - affiliation
array set displayTable {{Newspaper,%@electronicmailaddress} {0\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Newspaper,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Newspaper,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Newspaper,%@readpermission} {2.1\
{[Help ReadPermission]} {} {}}}			;# - readpermission

# array set displayTable {{Newspaper,%@documentstage} {0\
{} {} {Transfer update<BR>permission to:}}}	;# - documentstage
array set displayTable {{Newspaper,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage
if [info exists userGroup] {
	array set defaultOptionTable {{Newspaper,%@documentstage} {not transferred}}
}

array set displayTable {{Newspaper,%@usergroup} {0\
{} {} {}}}								;# - usergroup
if {[info exists update] && $update} {
	array set displayTable {{Newspaper,filename} {1\
{[Help FileName]} {} {}}}				;# - filename
} else {
	array set displayTable {{Newspaper,filename} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help FileName]} {} {}}};# - filename
}

array set displayTable {{Newspaper,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Newspaper,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Newspaper,password2} {x\
{[Help Password2]} {} {x}}}					;# - (x means not used)

if $manualFilling {
	array set fillOutFieldTable [list {Newspaper,%@group,%@affiliation} $groupAffiliationFillout]
}
# array set optionTable [list {Newspaper,%@group} $groupOption]
# array set optionTable2 [list {Newspaper,%@group} $groupOption2]

# array set boxTable {{Newspaper,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Newspaper,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

array set boxTable {{Newspaper,%@format} {{{Papel (original)} 0} {{Papel (xerox)} 0} {{On-line} 0} {{Pen-drive} 0} {{CD-ROM} 0} {{DVD} 0}}}

# array set optionTable2 {{Newspaper,%@dissemination} {{{} {}} {Interna Interna} {Local Local} {Regional Regional} {Nacional Nacional} {Internacional Internacional}}}

# array set optionTable2 {{Newspaper,%@secondarytype} {{{} {}} {Jornal Jornal} {Revista Revista} {Rdio Rdio} {Telejornal Telejornal}}}

# array set optionTable {{Newspaper,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
# array set optionTable2 [list {Newspaper,%@area} $areaOption2]

# array set optionTable2 {{Newspaper,%@documentstage} {{{} {}} {cleo cleo} {jefferson jefferson} {Malu Malu} {marciana marciana} {marciana@sid.inpe.br marciana@sid.inpe.br} {simone simone}}}

# array set postSubmissionProcessTable {{Newspaper} {iconet.com.br/banon/2005/09.07.19.12}}	;# CRI
# array set postSubmissionProcessTable {{Newspaper} {iconet.com.br/banon/2005/12.29.23.16}}

# --------------------------------------------> Newspaper Article

array set maximumFileSizeTable {{Newspaper Article} {10240000}}	;# 100000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Newspaper Article} {
	application/force-download
	application/msword
	application/octet-stream
	application/postscript
	application/pdf
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-zip
	application/x-zip-compressed
	application/zip
	text/html
	text/plain
	text/richtext
	image/pjpeg
}}
}

# array set depositOptionTable {{Newspaper Article} {deletedoccontentbeforeupdate 1}}

# array set submitTargetFileOptionTable {{Newspaper Article} disable}

array set requiredFieldFootnoteTable {{Newspaper Article} {(*)}}
array set requiredFieldAtCloseFootnoteTable {{Newspaper Article} {(+)}}
array set searchOptionTable {{Newspaper Article} {no}}

# array set orderingFieldTable {{Newspaper Article} {%@secondarykey %A %T %B %@secondarytype %@dissemination %C %@language %@format %D %V %N %P %8 %K %U %E %@area %@project %O}}
array set orderingFieldTable {{Newspaper Article} {}}

array set displayTable {{Newspaper Article,%A} {1.1\
{[Help Name]} {} {}}}						;# author - reporter
array set displayTable {{Newspaper Article,%D} {0\
{} {} {}}}								;# year - year
array set displayTable {{Newspaper Article,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {Ttulo da Matria}}}	;# title - title
array set displayTable {{Newspaper Article,%B} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {Ttulo do Veculo}}}			;# secondarytitle - newspaper
array set displayTable {{Newspaper Article,%E} {2.1\
{} {} {}}}								;# secondaryauthor - source
array set displayTable {{Newspaper Article,%I} {0\
{} {} {}}}								;# publisher
array set displayTable {{Newspaper Article,%C} {2.1\
{} {} {}}}								;# placepublished - city
array set displayTable {{Newspaper Article,%V} {2.1\
{} {} {}}}								;# volume - volume
array set displayTable {{Newspaper Article,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Newspaper Article,%N} {2.1\
{} {} {}}}								;# number - number
array set displayTable {{Newspaper Article,%P} {2.1\
{} {} {}}}								;# pages - pages
array set displayTable {{Newspaper Article,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Newspaper Article,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Newspaper Article,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Newspaper Article,%8} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help IssueDate]} {} {}}}	;# date - issuedate
array set displayTable {{Newspaper Article,%9} {0\
{} {} {}}}								;# typeofwork - type
array set displayTable {{Newspaper Article,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Newspaper Article,%J} {0\
{} {} {}}}								;# alternatetitle - alternateNewspaper
array set displayTable {{Newspaper Article,%@} {0\
{} {} {ISSN}}}							;# isbn/issn
array set displayTable {{Newspaper Article,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Newspaper Article,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Newspaper Article,%1} {0\
{} {} {}}}								;# custom1
array set displayTable {{Newspaper Article,%3} {2.1\
{} {} {}}}								;# custom3 - targetfile
array set displayTable {{Newspaper Article,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Newspaper Article,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Newspaper Article,%X} {1.2\
{[Help Abstract]} {} {}}}				;# abstract - abstract
array set displayTable {{Newspaper Article,%O} {1.2\
{} {} {}}}								;# notes - notes
array set displayTable {{Newspaper Article,%U} {2.1\
{} {} {URL da Fonte}}}					;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Newspaper Article,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Newspaper Article,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Newspaper Article,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Newspaper Article,%@language} {3\
{} {} {}}}								;# - language
array set displayTable {{Newspaper Article,%@contenttype} {2.2\
{} {} {}}}								;# - contenttype
array set displayTable {{Newspaper Article,%@copyholder} {0\
{} {SID/SCD} {}}}						;# - copyholder
array set displayTable {{Newspaper Article,%@e-mailaddress} {0\
{} {} {}}}								;# - e-mailaddress
array set displayTable {{Newspaper Article,%@secondarykey} {2.1\
{} {} {Nmero}}}						;# - secondarykey
array set displayTable {{Newspaper Article,%@secondarytype} {3\
{} {} {Tipo de Veculo}}}				;# - secondarytype
array set displayTable {{Newspaper Article,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Newspaper Article,%@dissemination} {3\
{} {} {Abrangncia}}}					;# - dissemination
array set displayTable {{Newspaper Article,%@format} {2.2\
{} {} {Formato da Fonte}}}				;# - format
array set displayTable {{Newspaper Article,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
array set displayTable {{Newspaper Article,%@area} {3\
{} {} {Area da Fonte}}}					;# - area
array set displayTable {{Newspaper Article,%@group} {0\
{[Help Group]} {} {Grupo da Fonte}}}	;# - group
array set displayTable {{Newspaper Article,%@affiliation} {0\
{[Help Affiliation]} {} {Affiliao da Fonte}}}		;# - affiliation
array set displayTable {{Newspaper Article,%@electronicmailaddress} {0\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Newspaper Article,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Newspaper Article,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Newspaper Article,%@readpermission} {2.1\
{[Help ReadPermission]} {} {}}}			;# - readpermission
array set displayTable {{Newspaper Article,%@documentstage} {0\
{} {} {Transfer update<BR>permission to:}}}	;# - documentstage
array set displayTable {{Newspaper Article,%@usergroup} {0\
{} {} {}}}								;# - usergroup
if {[info exists update] && $update} {
	array set displayTable {{Newspaper Article,filename} {1\
{[Help FileName]} {} {}}}				;# - filename
} else {
	array set displayTable {{Newspaper Article,filename} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help FileName]} {} {}}};# - filename
}

array set displayTable {{Newspaper Article,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Newspaper Article,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Newspaper Article,password2} {x\
{[Help Password2]} {} {x}}}					;# - (x means not used)

if $manualFilling {
	array set fillOutFieldTable [list {Newspaper Article,%@group,%@affiliation} $groupAffiliationFillout]
}
# array set optionTable [list {Newspaper Article,%@group} $groupOption]
# array set optionTable2 [list {Newspaper Article,%@group} $groupOption2]

# array set boxTable {{Newspaper Article,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Newspaper Article,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

array set boxTable {{Newspaper Article,%@format} {{{Papel (original)} 0} {{Papel (xerox)} 0} {{On-line} 0} {{Pen-drive} 0} {{CD-ROM} 0} {{DVD} 0}}}
array set boxTable {{Newspaper Article,%@contenttype} {{{External Contribution} 1}}}

array set optionTable2 {{Newspaper Article,%@dissemination} {{{} {}} {Interna Interna} {Local Local} {Regional Regional} {Nacional Nacional} {Internacional Internacional}}}

array set optionTable2 {{Newspaper Article,%@secondarytype} {{{} {}} {Jornal Jornal} {Revista Revista} {Rdio Rdio} {Telejornal Telejornal}}}

# array set optionTable {{Newspaper Article,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Newspaper Article,%@area} $areaOption2]

# array set optionTable2 {{Newspaper Article,%@documentstage} {{{} {}} {cleo cleo} {jefferson jefferson} {Malu Malu} {marciana marciana} {marciana@sid.inpe.br marciana@sid.inpe.br} {simone simone}}}

# array set postSubmissionProcessTable {{Newspaper Article} {iconet.com.br/banon/2005/09.07.19.12}}	;# CRI
array set postSubmissionProcessTable {{Newspaper Article} {iconet.com.br/banon/2005/12.29.23.16}}

# --------------------------------------------> Conference Proceedings

array set maximumFileSizeTable {{Conference Proceedings} {20480000}}	;# 20000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {
	{Conference Proceedings} {
		application/force-download
		application/msword
		application/octet-stream
		application/pdf
		application/postscript
		application/powerpoint
		application/vnd.ms-powerpoint
		application/vnd.ms-pps
		application/vnd.oasis.opendocument.text
		application/vnd.openxmlformats-officedocument.presentationml.presentation
		application/vnd.openxmlformats-officedocument.wordprocessingml.document
		application/x-tex
		application/x-zip
		application/x-zip-compressed
		application/zip
		text/html
		text/plain
		text/richtext
	}
}
}

array set requiredFieldFootnoteTable {{Conference Proceedings} {(*)}}	;# reference to the required field footnote (used by submit.tcl)
array set initialFootnoteNumberTable {{Conference Proceedings} {2}}
array set searchOptionTable {{Conference Proceedings} {no}}

# array set orderingFieldTable {{Conference Proceedings} {%@secondarykey %A %T %D %B %8 %C %K %X %@isbn %@issn %E %I %J}}
array set orderingFieldTable {{Conference Proceedings} {}}

array set displayTable {{Conference Proceedings,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
array set displayTable {{Conference Proceedings,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {Ano da Publicao}}}	;# year - year
array set displayTable {{Conference Proceedings,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Conference Proceedings,%B} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}			;# secondarytitle - conferencename
array set displayTable {{Conference Proceedings,%E} {1.1\
{[Help Name %E]} {} {}}}					;# secondaryauthor - editor
array set displayTable {{Conference Proceedings,%I} {2.1\
{} {} {}}}								;# publisher - publisher
array set displayTable {{Conference Proceedings,%C} {2.1\
{} {} {}}}								;# placepublished - conferencelocation
array set displayTable {{Conference Proceedings,%V} {2.1\
{} {} {}}}								;# volume - volume
array set displayTable {{Conference Proceedings,%6} {0\
{} {} {}}}								;# numberofvolumes - numberofvolumes
array set displayTable {{Conference Proceedings,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Conference Proceedings,%P} {2.1\
{} {} {}}}								;# pages - pages
array set displayTable {{Conference Proceedings,%Y} {0\
{} {} {}}}								;# tertiaryauthor - serieseditor
array set displayTable {{Conference Proceedings,%S} {3\
{} {} {}}}								;# tertiarytitle - booktitle
array set displayTable {{Conference Proceedings,%7} {0\
{} {} {}}}								;# edition - edition
# array set displayTable {{Conference Proceedings,%8} {2.1\
{[Help Date]} {} {Data (AAAA-MM-DD)}}}	;# date - date
array set displayTable {{Conference Proceedings,%8} {2.1\
{} {} {Data do Evento}}}				;# date - date
array set displayTable {{Conference Proceedings,%9} {2.1\
{} {} {Tipo (Tema)}}}					;# typeofwork - type (used to define theme for example)
array set displayTable {{Conference Proceedings,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Conference Proceedings,%J} {2.1\
{} {} {}}}								;# alternatetitle - publisheraddress
array set displayTable {{Conference Proceedings,%@} {0\
{} {} {ISBN/ISSN}}}						;# isbn/issn - isbn/issn
array set displayTable {{Conference Proceedings,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Conference Proceedings,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Conference Proceedings,%1} {2.1\
{} {} {}}}								;# custom1 - organization
array set displayTable {{Conference Proceedings,%3} {2.1\
{} {} {}}}								;# custom3 - targetfile
array set displayTable {{Conference Proceedings,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Conference Proceedings,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Conference Proceedings,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Conference Proceedings,%O} {0\
{} {} {}}}								;# notes - notes
array set displayTable {{Conference Proceedings,%U} {2.1\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Conference Proceedings,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Conference Proceedings,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Conference Proceedings,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Conference Proceedings,%@language} {3\
{} {} {}}}								;# - language
# array set displayTable {{Conference Proceedings,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype
array set displayTable {{Conference Proceedings,%@contenttype} {4\
{} {} {}}}								;# - contenttype
array set displayTable {{Conference Proceedings,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Conference Proceedings,%@e-mailaddress} {0\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Conference Proceedings,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Conference Proceedings,%@secondarytype} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - secondarytype
array set displayTable {{Conference Proceedings,%@tertiarytype} {3\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Conference Proceedings,%@dissemination} {2.2\
{} {} {}}}								;# - dissemination
array set displayTable {{Conference Proceedings,%@format} {2.2\
{} {} {}}}								;# - format
array set displayTable {{Conference Proceedings,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Conference Proceedings,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}	;# - area
} else {
	array set displayTable {{Conference Proceedings,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
}
array set displayTable {{Conference Proceedings,%@isbn} {1.1\
{} {} {}}}								;# - isbn
array set displayTable {{Conference Proceedings,%@issn} {1.1\
{} {} {}}}								;# - issn
array set displayTable {{Conference Proceedings,%@mark} {0\
{} {} {}}}								;# - mark

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Conference Proceedings,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Conference Proceedings,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Conference Proceedings,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Conference Proceedings,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

if $manualFilling {
#	array set displayTable {{Conference Proceedings,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Conference Proceedings,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Conference Proceedings,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Conference Proceedings,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Conference Proceedings,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Conference Proceedings,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Conference Proceedings,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}	;# - affiliation
}
array set displayTable {{Conference Proceedings,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Conference Proceedings,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Conference Proceedings,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Conference Proceedings,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Conference Proceedings,%@readergroup} {1.1\
{} {} {}}}								;# - readergroup
array set displayTable {{Conference Proceedings,%@readpermission} {3\
{[Help INPEReadPermission]} {} {}}}		;# - readpermission - might be hidden dependending on archivingPolicy
array set displayTable {{Conference Proceedings,%@documentstage} {0\
{} {not transferred} {}}}				;# - documentstage
if {[info exists update] && $update} {
# update
	array set displayTable {{Conference Proceedings,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage
	array set defaultOptionTable {{Conference Proceedings,%@documentstage} {not transferred}}
}
array set displayTable {{Conference Proceedings,%@doi} {2.1\
{} {} {}}}								;# - doi
array set displayTable {{Conference Proceedings,%@usergroup} {0\
{} {} {}}}								;# - usergroup

if {[info exists size] && ![string equal {} $size]} {
#	set requiredFieldFlag {<FONT COLOR=BROWN>(*)</FONT>}	;# commentado por GJFB em 2013-01-16 - no existe no momento sistema automtico para definir o tipo de permisso de leitura com base na verso para artigos em evento (somente para artigo em revista)
	set requiredFieldFlag {}
} else {
	set requiredFieldFlag {}
}
array set displayTable [list {Conference Proceedings,%@versiontype} [list 3\
$requiredFieldFlag {} {}]]				;# - versiontype - is hidden at update when repositoryContentType != {External Contribution}
if {[info exists update] && $update} {
	
	array set displayTable {{Conference Proceedings,%@archivingpolicy} {4\
	{} {} {}}}								;# - archivingpolicy - is hidden at update when repositoryContentType != {External Contribution}
}
array set displayTable {{Conference Proceedings,filename} {1\
{[Help FileName]} {} {}}}				;# - filename
array set displayTable {{Conference Proceedings,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Conference Proceedings,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}	;# - (x means not used)
array set displayTable {{Conference Proceedings,password2} {x\
{[Help Password2]} {} {}}}				;# - (x means not used)

array set localCollectionPublisherTable {{Conference Proceedings} {INPE|Instituto Nacional de Pesquisas Espaciais|AMS|American Meteorological Society}}

array set updateOptionTable {{Conference Proceedings} {all}}
array set depositOptionTable {{Conference Proceedings} {enablecopytosource 1}}	;# added by GJFB in 2018-01-14

# array set boxTable {{Conference Proceedings,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Conference Proceedings,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

array set boxTable {{Conference Proceedings,%@dissemination} {{{COMPENDEX} 0} {{IEEEXplore} 0}}}

# array set boxTable {{Conference Proceedings,%@format} {{{CD-ROM} 0} {{DVD} 0} {{On-line} 0} {{Papel} 0} {{Pen-drive} 0}}}
array set boxTable {{Conference Proceedings,%@format} {{{CD-ROM} 0} {{DVD} 0} {{Impresso} 0} {{On-line} 0} {{Papel} 0} {{Pen-drive} 0}}}

# array set optionTable {{Conference Proceedings,%S} {{} {Anais} {Anales} {Actas} {Proceedings} {Memria Final} {Memrias} {Resumos Extendidos} {Extended Abstracts} {Resumos} {Resumenes} {Abstracts} {Psteres} {Posters}}}
array set optionTable {{Conference Proceedings,%S} {{} {Anais} {Anales} {Actas} {Proceedings} {Memria Final} {Memrias} {Resumos Extendidos} {Extended Abstracts} {Resumos} {Resumenes} {Abstracts} {Psteres} {Posters} {Resumos/Psteres} {Abstracts/Posters} {Vdeos} {Videos}}}	;# added by GJFB in 2020-12-28

# array set optionTable {{Conference Proceedings,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Conference Proceedings,%@area} $areaOption2]

array set optionTable2 {{Conference Proceedings,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Conference Proceedings,%@copyholder} {}}

# array set optionTable2 [list {Conference Proceedings,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
# array set defaultOptionTable {{Conference Proceedings,%@readpermission} {allow from all}}

array set optionTable2 [list {Conference Proceedings,%@readpermission} [list {{acesso livre} {}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable {{Conference Proceedings,%@readpermission} {}}

if {![info exists update] || !$update} {
#	array set actionTable [list {Conference Proceedings,%@area} $areaBasedAction]
}
if $manualFilling {
	array set fillOutFieldTable [list {Conference Proceedings,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Conference Proceedings,%@group} $groupOption]
array set optionTable2 [list {Conference Proceedings,%@group} $groupOption2]

# array set optionTable2 {{Conference Proceedings,%@secondarytype} {{{} {}} {{Evento Internacional} {PRE CI}} {{Evento Internacional - Trabalho Vinculado  Tese/Dissertao} {PRE CI IPV}} {{Evento Internacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE CI SPG~IPV}} {{Evento Nacional} {PRE CN}} {{Evento Nacional - Trabalho Vinculado  Tese/Dissertao} {PRE CN IPV}} {{Evento Nacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE CN SPG~IPV}}}}
array set optionTable2 {{Conference Proceedings,%@secondarytype} {{{} {}} {{Evento Internacional} {PRE CI}} {{Evento Nacional} {PRE CN}}}}
array set optionTable {{Conference Proceedings,%@tertiarytype} {{} {Sesso Oral} {Oral Session} {Sesso Tcnica Oral} {Oral Technical Session} {Sesso Pster} {Poster Session} {Pster} {Poster} {Psteres} {Posters} {Comit Temtico} {Thematic Committee} {Exposio} {Exposicion} {Exhibition} {Comunicao} {Comunicaes} {Communications} {Artigo} {Artigos} {Paper} {Papers} {Full Paper} {Short Paper} {Demonstration} {Resumo Estendido} {Extended Abstact} {Iniciao Cientfica} {Projeto}}}

# array set optionTable2 {{Conference Proceedings,%@versiontype} {{{} {}} {{Publisher's Version} {publisher}} {{Final Draft Post-Refereeing} {finaldraft}}}}
array set optionTable {{Conference Proceedings,%@versiontype} {{} {publisher} {finaldraft}}}

# array set submissionDestinationTable {{Conference Proceedings,%@area} {CEA mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 COMB mtc-m17.sid.inpe.br/col/lcp.inpe.br/ignes/2004/02.12.18.39.49 COMP mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 ETES mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 FISMAT mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 FISPLASMA mtc-m16.sid.inpe.br/col/sid.inpe.br/banon/2003/08.15.17.40.18 MET mtc-m15.sid.inpe.br/col/cptec.inpe.br/walmeida/2003/04.25.17.13 SRE mtc-m12.sid.inpe.br/col/sid.inpe.br/banon/2001/04.06.10.52.39}}

array set excludedSourceFieldNameTable {{Conference Proceedings} {%I %C}}

# --------------------------------------------> Thesis

# array set maximumFileSizeTable {{Thesis} {122880000}}	;# 120000 KiB
# array set maximumFileSizeTable {{Thesis} {204800000}}	;# 200000 KiB
array set maximumFileSizeTable {{Thesis} {245760000}}	;# 240000 KiB

array set allowDuplicateSubmissionTable {{Thesis} 0}	;# doesn't allow duplicate

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Thesis} {
	application/force-download
	application/gzip
	application/iopexport_bib
	application/msword
	application/octet-stream
	application/vnd.ms-word.document.12
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-zip
	application/x-zip-compressed
	application/x-tex
	application/zip
	application/pdf
	image/png
	text/plain
	text/x-tex
}}
}

array set requiredFieldFootnoteTable {{Thesis} {(*)}}
array set initialFootnoteNumberTable {{Thesis} {2}}
array set searchOptionTable {{Thesis} {no}}

# array set submitTargetFileOptionTable {{Thesis} disable}

array set displayTable {{Thesis,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
# array set displayTable {{Thesis,%D} {2.1\
{} {} {}}}								;# year - year
array set displayTable {{Thesis,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {Ttulo no Idioma do Trabalho}}}	;# title - title
array set displayTable {{Thesis,%B} {0\
{} {} {}}}								;# secondarytitle - academicdepartment
array set displayTable {{Thesis,%E} {1.1\
{[Help Name]} {} {}}}					;# secondaryauthor - committee
# array set displayTable {{Thesis,%I} {0\
{} {} {}}}								;# publisher - university
# array set displayTable {{Thesis,%C} {0\
{} {So Jos dos Campos} {}}}			;# placepublished - city
array set displayTable {{Thesis,%V} {0\
{} {} {}}}								;# volume
array set displayTable {{Thesis,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Thesis,%N} {0\
{} {} {}}}								;# number - number
array set displayTable {{Thesis,%P} {2.1\
{} {} {}}}								;# pages - numberofpages
# the line below must not be used when the supervisor field value (orientador(a)) is set as an attribute in secondaryauthor - committee
# for example writing: Grimm, Alice Marlene (orientador) 
# array set displayTable {{Thesis,%Y} {1.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# tertiaryauthor - supervisor
array set displayTable {{Thesis,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Thesis,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Thesis,%8} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Date]} {} {Data da Defesa}}}	;# date
# array set displayTable {{Thesis,%9} {3\
{} {} {Tipo de Tese ou Dissertao}}}	;# typeofwork - thesistype
array set displayTable {{Thesis,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Thesis,%J} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help INPEAlternateTitle]} {} {Ttulo Traduzido}}}	;# alternatetitle
array set displayTable {{Thesis,%@} {0\
{} {} {}}}								;# isbn/issn
array set displayTable {{Thesis,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Thesis,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Thesis,%1} {0\
{} {} {}}}								;# custom1
if [info exists cgi(templaterepository)] {
	array set displayTable {{Thesis,%3} {0\
{} {} {}}}								;# custom3 - targetfile
} else {
	array set displayTable {{Thesis,%3} {2.1\
{[Help TargetFile]} {} {}}}				;# custom3 - targetfile
}
array set displayTable {{Thesis,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Thesis,%K} {1.2\
{<FONT COLOR=BROWN>(*)</FONT>[Help Keywords %K]} {} {Palavras-Chave Controladas<BR>(em Portugus e em Ingls)}}}	;# keywords - keywords
# array set displayTable {{Thesis,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Thesis,%O} {0\
{} {} {}}}								;# notes - notes
array set displayTable {{Thesis,%U} {0\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Thesis,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Thesis,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Thesis,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Thesis,%@language} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - language
array set displayTable {{Thesis,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Thesis,%@e-mailaddress} {2.1\
{} {} {e-Mail pessoal para contato}}}	;# - e-mailaddress
array set displayTable {{Thesis,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
# array set displayTable {{Thesis,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
array set displayTable {{Thesis,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
# array set displayTable {{Thesis,%@dissemination} {0\
{} {} {}}}								;# - dissemination
array set displayTable {{Thesis,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
array set displayTable {{Thesis,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
array set displayTable {{Thesis,%@isbn} {0\
{[Help ISBN]} {} {}}}					;# - isbn
# array set displayTable {{Thesis,%@group} {0\
{} {SPG} {}}}							;# - group
array set displayTable {{Thesis,%@electronicmailaddress} {0\
{} {} {e-Mail}}}						;# - electronicmailaddress
# array set displayTable {{Thesis,%@project} {3\
{} {} {}}}								;# project - course
array set displayTable {{Thesis,%@accessdate} {0\
{} {} {}}}								;# - accessdate
# array set displayTable {{Thesis,%@readpermission} {3\
{} {} {}}}								;# - readpermission
array set displayTable {{Thesis,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage
array set displayTable {{Thesis,%@usergroup} {0\
{} {} {}}}								;# - usergroup
array set displayTable {{Thesis,foldername} {1\
{[Help FolderName]} {} {}}}				;# - foldername (0 means to don't display foldername (if cgi(attachment) doesn't exist))
# array set displayTable {{Thesis,filename} {x\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {x}}}	;# - (x means not used)
array set displayTable {{Thesis,filename} {1\
{[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
array set displayTable {{Thesis,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Thesis,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Thesis,password2} {x\
{[Help Password2]} {} {x}}}				;# - (x means not used)

array set depositOptionTable {{Thesis} {enablecopytosource 1}}

array set fieldValueFilterCommandTable {{Thesis,%8} {regsub {(..)/(..)/(....)} $fieldValue {\3-\2-\1} fieldValue}}

# array set boxTable {{Thesis,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Thesis,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

# array set optionTable {{Thesis,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {MET} {SRE}}}
array set optionTable2 [list {Thesis,%@area} $areaOption2]
array set defaultOptionTable {{Thesis,%@area} {}}

array set optionTable2 {{Thesis,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Thesis,%@copyholder} {}}

array set optionTable2 [list {Thesis,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable [list {Thesis,%@readpermission} intranet]	;# com a opo "intranet" a permisso de leitura se torna por segurana "deny from all" quando o campo "year" no  preenchido (ver SetAccessPermission)

if [info exists userGroup] {
	array set defaultOptionTable {{Thesis,%@documentstage} {not transferred}}
}
	
if {([info exists cgi(reviewprocess)] && \
[string equal {yes} $cgi(reviewprocess)]) || \
([info exists update] && $update && \
[info exists secondaryType] && [regexp {TDI} $secondaryType])} {
# publicao com autorizao do INPE

#	array set displayTable {{Thesis,%8} {0\
{} {} {}}}												;# date

	array set displayTable {{Thesis,%9} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {Tipo de Tese ou Dissertao}}}					;# typeofwork - thesistype

# RE/DIR-034.06 20/06/2012 + Inez para GESAST e GESATM
	array set optionTable2 {{Thesis,%9} {
		{}
		{{Cursos Atuais} {
		{{Dissertao (Mestrado em Astrofsica)} {Dissertao (Mestrado em Astrofsica)}}
		{{Dissertao (Mestrado em C&T de Materiais e Sensores)} {Dissertao (Mestrado em Cincia e Tecnologia de Materiais e Sensores)}}
		{{Dissertao (Mestrado em Combusto e Propulso)} {Dissertao (Mestrado em Combusto e Propulso)}}
		{{Dissertao (Mestrado em Computao Aplicada)} {Dissertao (Mestrado em Computao Aplicada)}}
		{{Dissertao (Mestrado em Engenharia e Gerenciamento de Sistemas Espaciais)} {Dissertao (Mestrado em Engenharia e Gerenciamento de Sistemas Espaciais)}}
		{{Dissertao (Mestrado em Geofsica Espacial)} {Dissertao (Mestrado em Geofsica Espacial)}}
		{{Dissertao (Mestrado em Geofsica Espacial/C. do Ambiente Solar-Terrestre)} {Dissertao (Mestrado em Geofsica Espacial/Cincias do Ambiente Solar-Terrestre)}}
		{{Dissertao (Mestrado em Geofsica Espacial/Cincias Atmosfricas)} {Dissertao (Mestrado em Geofsica Espacial/Cincias Atmosfricas)}}
		{{Dissertao (Mestrado em Mecnica Espacial e Controle)} {Dissertao (Mestrado em Mecnica Espacial e Controle)}}
		{{Dissertao (Mestrado em Meteorologia)} {Dissertao (Mestrado em Meteorologia)}}
		{{Dissertao (Mestrado em Sensoriamento Remoto)} {Dissertao (Mestrado em Sensoriamento Remoto)}}
		{{Tese (Doutorado em Astrofsica)} {Tese (Doutorado em Astrofsica)}}
		{{Tese (Doutorado em C&T de Materiais e Sensores)} {Tese (Doutorado em Cincia e Tecnologia de Materiais e Sensores)}}
		{{Tese (Doutorado em Combusto e Propulso)} {Tese (Doutorado em Combusto e Propulso)}}
		{{Tese (Doutorado em Computao Aplicada)} {Tese (Doutorado em Computao Aplicada)}}
		{{Tese (Doutorado em Cincia do Sistema Terrestre)} {Tese (Doutorado em Cincia do Sistema Terrestre)}}
		{{Tese (Doutorado em Engenharia e Gerenciamento de Sistemas Espaciais)} {Tese (Doutorado em Engenharia e Gerenciamento de Sistemas Espaciais)}}
		{{Tese (Doutorado em Geofsica Espacial)} {Tese (Doutorado em Geofsica Espacial)}}
		{{Tese (Doutorado em Geofsica Espacial/C. do Ambiente Solar-Terrestre)} {Tese (Doutorado em Geofsica Espacial/Cincias do Ambiente Solar-Terrestre)}}
		{{Tese (Doutorado em Geofsica Espacial/Cincias Atmosfricas)} {Tese (Doutorado em Geofsica Espacial/Cincias Atmosfricas)}}
		{{Tese (Doutorado em Mecnica Espacial e Controle)} {Tese (Doutorado em Mecnica Espacial e Controle)}}
		{{Tese (Doutorado em Meteorologia)} {Tese (Doutorado em Meteorologia)}}
		{{Tese (Doutorado em Sensoriamento Remoto)} {Tese (Doutorado em Sensoriamento Remoto)}}
		}}
		{{Cursos Antigos} {
		{{Dissertao (Mestrado em Anlise de Sistemas e Aplicaes)} {Dissertao (Mestrado em Anlise de Sistemas e Aplicaes)}}
		{{Dissertao (Mestrado em Cincia Espacial)} {Dissertao (Mestrado em Cincia Espacial)}}
		{{Dissertao (Mestrado em Cincia Espacial/Mecnica Orbital)} {Dissertao (Mestrado em Cincia Espacial/Mecnica Orbital)}}
		{{Dissertao (Mestrado em Cincia Espacial/Radioastronomia e Fsica Solar)} {Dissertao (Mestrado em Cincia Espacial/Radioastronomia e Fsica Solar)}}
		{{Dissertao (Mestrado em Eletrnica e Telecomunicaes)} {Dissertao (Mestrado em Eletrnica e Telecomunicaes)}}
		{{Dissertao (Mestrado em Tecnologia Educacional)} {Dissertao (Mestrado em Tecnologia Educacional)}}
		{{Dissertao (Mestrado em Sensores Remotos e Aplicaes)} {Dissertao (Mestrado em Sensores Remotos e Aplicaes)}}
		{{Tese (Doutorado em Cincia Espacial)} {Tese (Doutorado em Cincia Espacial)}}
		{{Tese (Doutorado em Cincia Espacial/Mecnica Orbital)} {Tese (Doutorado em Cincia Espacial/Mecnica Orbital)}}
		{{Tese (Doutorado em Cincia Espacial/Radioastronomia)} {Tese (Doutorado em Cincia Espacial/Radioastronomia)}}
		{{Tese (Doutorado em Eletrnica e Telecomunicaes)} {Tese (Doutorado em Eletrnica e Telecomunicaes)}}
		{{Tese (Doutorado em Sensores Remotos e Aplicaes) } {Tese (Doutorado em Sensores Remotos e Aplicaes)}}
		}}
	}}

# {{Monografia de Concluso de Curso (Espec. em SR e SIG)} {Monografia de Concluso de Curso (Especializao em Sensoriamento Remoto e SIG)}}

	array set defaultOptionTable {{Thesis,%9} {}}

	array set displayTable {{Thesis,%I} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}					;# publisher - university
	array set optionTable2 {{Thesis,%I} {{{} {}} \
{{Instituto Nacional de Pesquisas Espaciais (INPE)} {Instituto Nacional de Pesquisas Espaciais (INPE)}}\
{{CRECTEALC - Instituto Nacional de Pesquisas Espaciais (INPE)} {Centro Regional de Educao em Cincia e Tecnologia Espaciais para a Amrica Latina e Caribe (CRECTEALC) - Campus Brasil - Instituto Nacional de Pesquisas Espaciais (INPE)}}}}

	array set displayTable {{Thesis,%C} {0\
{} {So Jos dos Campos} {}}}							;# placepublished - city

#	array set displayTable {{Thesis,%@group} {0\
{} {SPG-INPE-MCTI-GOV-BR} {}}}							;# - group
# alterao feita por GJFB em 2013-04-25 (agora o URLibServio aceita campo de default vazio no processo que usa a tabela: fillOutFieldTable)
	array set displayTable {{Thesis,%@group} {0\
{} {} {}}}												;# - group

	array set displayTable {{Thesis,%@secondarytype} {0\
{} {TDI} {}}}											;# - secondarytype

#	array set displayTable {{Thesis,%@copyright} {3\
{} {} {}}}								;# - copyright

	array set displayTable {{Thesis,%@project} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}					;# project - course

#	array set optionTable {{Thesis,%@project} {{} {AST} {CAP} {CMC} {CMS} {GES} {MET} {PCP} {SER}}}

#	set optionTable(Thesis,%@project) {
#		{}
#		{{Cursos Atuais} {AST CAP CMC CMS CSE GES MET PCP SER}}
#		{{Cursos Antigos} {AG ANS CB CEA ECO EMA ETE MAT MO PLA RAS SDA TEC TED}}
#		}
#			set optionTable(Thesis,%@project) {
#		{}
#		{{Cursos Atuais} {AST CAP CMC CMS CSE CST GESAST GESATM MET PCP SER}}
#		{{Cursos Antigos} {AG ANS CB CEA ECO EMA ETE GES MAT MO PLA RAS SDA TEC TED}}
#	}

# RE/DIR-034.06 20/06/2012 + Inez para GESAST e GESATM
#	curso	rea
#	AST 	CEA
#	CAP 	COMP
#	CMC 	ETES
#	CMS 	ETES
#	CSE 	ETES
#	CST 	CST
#	GES		CEA
#	GESAST	CEA
#	GESATM	CEA
#	MET		MET
#	PCP		ETES
#	SER		SRE

# ano-defesa	course (exemplo)					group (exemplo)
# 2021-		CAP-COMP-DIPGR-INPE-MCTI-GOV-BR		CAP-COMP-DIPGR-INPE-MCTI-GOV-BR
# 2017-2020	CAP-COMP-SESPG-INPE-MCTIC-GOV-BR	CAP-COMP-SESPG-INPE-MCTIC-GOV-BR
# 2012-2016 CAP-COMP-SPG-INPE-MCTI-GOV-BR		CAP-COMP-SPG-INPE-MCTI-GOV-BR
# 1992-2011 CAP-SPG-INPE-MCT-BR					CAP-SPG-INPE-MCT-BR
# 1971-1991 CAP-SPG-INPE-BR						CAP-SPG-INPE-BR

# ano-defesa	course
# 2021-		curso-rea-DIPGR-INPE-MCTI-GOV-BR
# 2017-2020	curso-rea-SESPG-INPE-MCTIC-GOV-BR
# 2012-2016	curso-rea-SPG-INPE-MCTI-GOV-BR
# 1992-2011	curso-SPG-INPE-MCT-BR
# 1971-1991	curso-SPG-INPE-BR
# 1963-1970	curso-SPG-CNAE-BR

# tabela gerada por GJFB em 2022-03
	array set optionTable2 {{Thesis,%@project} {
		{}
		{{Cursos Atuais - defesa a partir de 2021} {
		{AST AST-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{CAP CAP-COMP-DIPGR-INPE-MCTI-GOV-BR}
		{CMC CMC-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CMS CMS-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CSE CSE-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CST CST-CST-DIPGR-INPE-MCTI-GOV-BR}
		{GES GES-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{GESAST GESAST-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{GESATM GESATM-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{MET MET-MET-DIPGR-INPE-MCTI-GOV-BR}
		{PCP PCP-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{SER SER-SRE-DIPGR-INPE-MCTI-GOV-BR}
		}}
		{{Cursos com defesa entre 2017 e 2020} {
		{AST AST-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{CAP CAP-COMP-SESPG-INPE-MCTIC-GOV-BR}
		{CMC CMC-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CMS CMS-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CSE CSE-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CST CST-CST-SESPG-INPE-MCTIC-GOV-BR}
		{GES GES-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{GESAST GESAST-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{GESATM GESATM-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{MET MET-MET-SESPG-INPE-MCTIC-GOV-BR}
		{PCP PCP-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{SER SER-SRE-SESPG-INPE-MCTIC-GOV-BR}
		}}
		{{Cursos com defesa entre 2012 e 2016} {
		{AST AST-CEA-SPG-INPE-MCTI-GOV-BR}
		{CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR}
		{CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR}
		{CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR}
		{CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR}
		{CST CST-CST-SPG-INPE-MCTI-GOV-BR}
		{GES GES-CEA-SPG-INPE-MCTI-GOV-BR}
		{GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR}
		{GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR}
		{MET MET-MET-SPG-INPE-MCTI-GOV-BR}
		{PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR}
		{SER SER-SRE-SPG-INPE-MCTI-GOV-BR}
		}}
		{{Cursos com defesa entre 1992 e 2011} {
		{AST AST-SPG-INPE-MCT-BR}
		{CAP CAP-SPG-INPE-MCT-BR}
		{CEA CEA-SPG-INPE-MCT-BR}
		{CMC CMC-SPG-INPE-MCT-BR}
		{CMS CMS-SPG-INPE-MCT-BR}
		{CSE CSE-SPG-INPE-MCT-BR}
		{GES GES-SPG-INPE-MCT-BR}
		{GESAST GESAST-SPG-INPE-MCT-BR}
		{GESATM GESATM-SPG-INPE-MCT-BR}
		{MET MET-SPG-INPE-MCT-BR}
		{MO MO-SPG-INPE-MCT-BR}
		{PCP PCP-SPG-INPE-MCT-BR}
		{RAS RAS-SPG-INPE-MCT-BR}
		{SER SER-SPG-INPE-MCT-BR}
		}}
		{{Cursos com defesa entre 1971 e 1991} {
		{ANS ANS-SPG-INPE-BR}
		{AST AST-SPG-INPE-BR}
		{CAP CAP-SPG-INPE-BR}
		{CEA CEA-SPG-INPE-BR}
		{CMC CMC-SPG-INPE-BR}
		{GES GES-SPG-INPE-BR}
		{MET MET-SPG-INPE-BR}
		{MO MO-SPG-INPE-BR}
		{PCP PCP-SPG-INPE-BR}
		{RAS RAS-SPG-INPE-BR}
		{TEC TEC-SPG-INPE-BR}
		{TED TED-SPG-INPE-BR}
		{SER SER-SPG-INPE-BR}
		}}
		{{Cursos com defesa entre 1963 e 1970} {
		{CEA CEA-SPG-CNAE-BR}
		{TEC TEC-SPG-CNAE-BR}
		{TED TED-SPG-CNAE-BR}
		}}
	}}
if 0 {
# tabela gerada por GJFB em 2021-07
	array set optionTable2 {{Thesis,%@project} {
		{}
		{{Cursos Atuais - defesa a partir de 2021} {
		{AST AST-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{CAP CAP-COMP-DIPGR-INPE-MCTI-GOV-BR}
		{CMC CMC-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CMS CMS-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CSE CSE-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CST CST-CST-DIPGR-INPE-MCTI-GOV-BR}
		{GES GES-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{GESAST GESAST-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{GESATM GESATM-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{MET MET-MET-DIPGR-INPE-MCTI-GOV-BR}
		{PCP PCP-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{SER SER-SRE-DIPGR-INPE-MCTI-GOV-BR}
		}}
		{{Cursos com defesa entre 2017 e 2020} {
		{AST AST-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{CAP CAP-COMP-SESPG-INPE-MCTIC-GOV-BR}
		{CMC CMC-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CMS CMS-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CSE CSE-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CST CST-CST-SESPG-INPE-MCTIC-GOV-BR}
		{GES GES-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{GESAST GESAST-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{GESATM GESATM-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{MET MET-MET-SESPG-INPE-MCTIC-GOV-BR}
		{PCP PCP-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{SER SER-SRE-SESPG-INPE-MCTIC-GOV-BR}
		}}
		{{Cursos com defesa entre 2012 e 2016} {
		{AST AST-CEA-SPG-INPE-MCTI-GOV-BR}
		{CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR}
		{CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR}
		{CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR}
		{CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR}
		{CST CST-CST-SPG-INPE-MCTI-GOV-BR}
		{GES GES-CEA-SPG-INPE-MCTI-GOV-BR}
		{GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR}
		{GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR}
		{MET MET-MET-SPG-INPE-MCTI-GOV-BR}
		{PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR}
		{SER SER-SRE-SPG-INPE-MCTI-GOV-BR}
		}}
		{{Cursos com defesa entre 1992 e 2011} {
		{AST AST-SPG-INPE-MCT-BR}
		{CAP CAP-SPG-INPE-MCT-BR}
		{CEA CEA-SPG-INPE-MCT-BR}
		{CMC CMC-SPG-INPE-MCT-BR}
		{CMS CMS-SPG-INPE-MCT-BR}
		{CSE CSE-SPG-INPE-MCT-BR}
		{GES GES-SPG-INPE-MCT-BR}
		{GESAST GESAST-SPG-INPE-MCT-BR}
		{GESATM GESATM-SPG-INPE-MCT-BR}
		{MET MET-SPG-INPE-MCT-BR}
		{PCP PCP-SPG-INPE-MCT-BR}
		{RAS RAS-SPG-INPE-MCT-BR}
		{SER SER-SPG-INPE-MCT-BR}
		}}
		{{Cursos com defesa entre 1971 e 1991} {
		{ANS ANS-SPG-INPE-BR}
		{AST AST-SPG-INPE-BR}
		{CAP CAP-SPG-INPE-BR}
		{CEA CEA-SPG-INPE-BR}
		{CMC CMC-SPG-INPE-BR}
		{GES GES-SPG-INPE-BR}
		{MET MET-SPG-INPE-BR}
		{MO MO-SPG-INPE-BR}
		{PCP PCP-SPG-INPE-BR}
		{RAS RAS-SPG-INPE-BR}
		{TEC TEC-SPG-INPE-BR}
		{TED TED-SPG-INPE-BR}
		{SER SER-SPG-INPE-BR}
		}}
		{{Cursos com defesa entre 1963 e 1970} {
		{CEA CEA-SPG-CNAE-BR}
		{TEC TEC-SPG-CNAE-BR}
		{TED TED-SPG-CNAE-BR}
		}}
		{{Cursos Antigos} {
		{CB CB}
		{CEA CEA}
		{ECO ECO}
		{EMA EMA}
		{ETE ETE}
		}}
	}}
# tabela gerada por GJFB em 2013-04-25
	array set optionTable2 {{Thesis,%@project} {
		{}
		{{Cursos Atuais - defesa a partir de 2021} {
		{AST AST-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{CAP CAP-COMP-DIPGR-INPE-MCTI-GOV-BR}
		{CMC CMC-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CMS CMS-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CSE CSE-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{CST CST-CST-DIPGR-INPE-MCTI-GOV-BR}
		{GES GES-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{GESAST GESAST-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{GESATM GESATM-CEA-DIPGR-INPE-MCTI-GOV-BR}
		{MET MET-MET-DIPGR-INPE-MCTI-GOV-BR}
		{PCP PCP-ETES-DIPGR-INPE-MCTI-GOV-BR}
		{SER SER-SRE-DIPGR-INPE-MCTI-GOV-BR}
		}}
		{{Cursos com defesa entre 2017 e 2020} {
		{AST AST-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{CAP CAP-COMP-SESPG-INPE-MCTIC-GOV-BR}
		{CMC CMC-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CMS CMS-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CSE CSE-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{CST CST-CST-SESPG-INPE-MCTIC-GOV-BR}
		{GES GES-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{GESAST GESAST-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{GESATM GESATM-CEA-SESPG-INPE-MCTIC-GOV-BR}
		{MET MET-MET-SESPG-INPE-MCTIC-GOV-BR}
		{PCP PCP-ETES-SESPG-INPE-MCTIC-GOV-BR}
		{SER SER-SRE-SESPG-INPE-MCTIC-GOV-BR}
		}}
		{{Cursos com defesa entre 2012 e 2016} {
		{AST AST-CEA-SPG-INPE-MCTI-GOV-BR}
		{CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR}
		{CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR}
		{CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR}
		{CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR}
		{CST CST-CST-SPG-INPE-MCTI-GOV-BR}
		{GES GES-CEA-SPG-INPE-MCTI-GOV-BR}
		{GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR}
		{GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR}
		{MET MET-MET-SPG-INPE-MCTI-GOV-BR}
		{PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR}
		{SER SER-SRE-SPG-INPE-MCTI-GOV-BR}
		}}
		{{Cursos com defesa entre 1992 e 2011} {
		{AST AST-SPG-INPE-MCT-BR}
		{CAP CAP-SPG-INPE-MCT-BR}
		{CMC CMC-SPG-INPE-MCT-BR}
		{CMS CMS-SPG-INPE-MCT-BR}
		{CSE CSE-SPG-INPE-MCT-BR}
		{GES GES-SPG-INPE-MCT-BR}
		{GESAST GESAST-SPG-INPE-MCT-BR}
		{GESATM GESATM-SPG-INPE-MCT-BR}
		{MET MET-SPG-INPE-MCT-BR}
		{PCP PCP-SPG-INPE-MCT-BR}
		{SER SER-SPG-INPE-MCT-BR}
		}}
		{{Cursos com defesa entre 1971 e 1991} {
		{AST AST-SPG-INPE-BR}
		{CAP CAP-SPG-INPE-BR}
		{CMC CMC-SPG-INPE-BR}
		{GES GES-SPG-INPE-BR}
		{MET MET-SPG-INPE-BR}
		{PCP PCP-SPG-INPE-BR}
		{SER SER-SPG-INPE-BR}
		}}
		{{Cursos Antigos} {
		{ANS ANS}
		{CB CB}
		{CEA CEA}
		{ECO ECO}
		{EMA EMA}
		{ETE ETE}
		{GES GES}
		{MAT MAT}
		{MO MO}
		{PLA PLA}
		{RAS RAS}
		{SDA SDA}
		{TEC TEC}
		{TED TED}
		}}
	}}
# tabela anterior a 2013-04-25	
	array set optionTable2 {{Thesis,%@project} {
		{}
		{{Cursos Atuais} {
		{AST AST-CEA-SPG-INPE-MCTI-GOV-BR}
		{CAP CAP-COMP-SPG-INPE-MCTI-GOV-BR}
		{CMC CMC-ETES-SPG-INPE-MCTI-GOV-BR}
		{CMS CMS-ETES-SPG-INPE-MCTI-GOV-BR}
		{CSE CSE-ETES-SPG-INPE-MCTI-GOV-BR}
		{CST CST-CST-SPG-INPE-MCTI-GOV-BR}
		{GESAST GESAST-CEA-SPG-INPE-MCTI-GOV-BR}
		{GESATM GESATM-CEA-SPG-INPE-MCTI-GOV-BR}
		{MET MET-MET-SPG-INPE-MCTI-GOV-BR}
		{PCP PCP-ETES-SPG-INPE-MCTI-GOV-BR}
		{SER SER-SRE-SPG-INPE-MCTI-GOV-BR}
		}}
		{{Cursos Antigos} {
		{AG AG}
		{ANS ANS}
		{CB CB}
		{CEA CEA}
		{ECO ECO}
		{EMA EMA}
		{ETE ETE}
		{GES GES}
		{MAT MAT}
		{MO MO}
		{PLA PLA}
		{RAS RAS}
		{SDA SDA}
		{TEC TEC}
		{TED TED}
		}}
	}}
}

	set courseGroupFillout {{} {}}
	for {set i 1} {$i < [expr [llength $optionTable2(Thesis,%@project)] - 1]} {incr i} {
		foreach course [lindex $optionTable2(Thesis,%@project) $i 1] {
			lappend courseGroupFillout {} [lindex $course 1]
		}
	}
	foreach course [lindex $optionTable2(Thesis,%@project) end 1] {
		lappend courseGroupFillout {} SPG-INPE-BR	;# information is missing to include MCT
	}
	
	if $manualFilling {
#		array set fillOutFieldTable [list {Thesis,%@project,%@group} $courseGroupFillout]	;# commented by GJFB in 2013-07-19 in order to allow automatic filling when input type number is zero (conditional filling has priority over automatic filling)
		array set fillOutFieldTable [list {Thesis,%@project,%@group} $courseGroupFillout]	;# added by GJFB in 2013-10-14 because not all authors are known and group must be equal to course
	}
	array set defaultOptionTable {{Thesis,%@project} {}}

	array set displayTable {{Thesis,%@contenttype} {0\
{} {} {}}}								;# - contenttype

	if {[info exists update] && $update} {
# update
		if {[info exists advancedUser] && [lsearch $loginDosResponsaveisPelaAutorizacao $advancedUser] != -1} {
			array set displayTable {{Thesis,%D} {2.1\
{} {} {Ano de Publicao}}}				;# year - year
			array set displayTable {{Thesis,%@readpermission} {3\
{} {} {}}}								;# - readpermission
			array set displayTable {{Thesis,%@secondarydate} {2.1\
{[Help SecondaryDate]} {} {}}}			;# - secondarydate
		} else {
			array set displayTable {{Thesis,%D} {0\
{} {} {}}}								;# year - year
#			array set displayTable {{Thesis,%@readpermission} {0\
{} {150.163} {}}}						;# - readpermission
			array set displayTable {{Thesis,%@readpermission} {0\
{} {} {}}}								;# - readpermission
		}
	} else {
# submit
		array set displayTable {{Thesis,%D} {0\
{} {} {}}}								;# year - year
		array set displayTable {{Thesis,%@readpermission} {0\
{} {150.163} {}}}						;# - readpermission
	}

	if {[info exists update] && $update && \
	[info exists advancedUser] && [lsearch $loginDosResponsaveisPeloAbstract $advancedUser] != -1} {
		array set displayTable {{Thesis,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
	} else {
		array set displayTable {{Thesis,%X} {0\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
	}

	if {[info exists advancedUser] && [lsearch $loginDosResponsaveisPeloAbstract $advancedUser] != -1} {
# use the default which is {all}
	} else {
		array set updateOptionTable {{Thesis} {update {remove before update}}}
	}

#	array set displayTable {{Thesis,%@dissemination} {0\
{} {NTRSNASA; BNDEPOSITOLEGAL.} {}}}	;# - dissemination
# the command below was added by GJFB in 2011-06-10
	array set displayTable {{Thesis,%@dissemination} {0\
{} {BNDEPOSITOLEGAL.} {}}}	;# - dissemination

} else {
# publicao sem autorizao do INPE

#	array set displayTable {{Thesis,%8} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Date]} {} {Data da Defesa}}}	;# date

	array set displayTable {{Thesis,%9} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {Tipo de Tese ou Dissertao}}}		;# typeofwork - thesistype
	array set optionTable {{Thesis,%9} {{} {Dissertao de Mestrado} {Tese de Doutorado} {Masters Thesis} {PhD Thesis}}}

	array set displayTable {{Thesis,%I} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help University]} {} {}}}	;# publisher - university

	array set displayTable {{Thesis,%C} {2.1\
{} {} {}}}								;# placepublished - city
	array set displayTable {{Thesis,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)

	array set displayTable {{Thesis,%@isbn} {1.1\
{[Help ISBN]} {} {}}}					;# - isbn
#	array set displayTable {{Thesis,%@group} {0\
{} {} {}}}								;# - group

if $manualFilling {
	array set displayTable {{Thesis,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Thesis,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Thesis,%@affiliation} {2.1 \
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation

	array set fillOutFieldTable [list {Thesis,%@group,%@affiliation} $groupAffiliationFillout]
	array set optionTable2 [list {Thesis,%@group} $groupOption2]
}
	array set displayTable {{Thesis,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

	array set displayTable {{Thesis,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract

	array set displayTable {{Thesis,%@secondarytype} {0\
{} {TAE} {}}}							;# - secondarytype

	array set displayTable {{Thesis,%@readpermission} {3\
{} {} {}}}								;# - readpermission

	array set displayTable {{Thesis,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype

	array set displayTable {{Thesis,%@project} {2.1\
{} {} {Curso de Ps-Graduo}}}			;# project - course

	array set displayTable {{Thesis,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {Ano de Publicao}}}	;# year - year

	array set displayTable {{Thesis,%@dissemination} {0\
{} {} {}}}								;# - dissemination

}

# --------------------------------------------> Report

# array set maximumFileSizeTable {{Report} {81920000}}	;# 80000 KiB
array set maximumFileSizeTable {{Report} {153600000}}	;# 150000 KiB - por GJFB  pedido do Andr

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Report} {
	application/force-download
	application/iopexport_bib
	application/msword
	application/octet-stream
	application/postscript
	application/pdf
	application/vnd.ms-powerpoint
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-tex
	application/x-zip
	application/x-zip-compressed
	application/zip
	image/jpeg
	image/png
	text/html
	text/plain
	text/richtext
	text/x-tex
}}
}

array set requiredFieldFootnoteTable {{Report} {(*)}}
array set initialFootnoteNumberTable {{Report} {2}}
array set searchOptionTable {{Report} {no}}

# array set orderingFieldTable {{Report} {%D %A %T %B %K %X %@}}
# array set orderingFieldTable {{Report} {%@ %A %T %D %B %K %X}}
array set orderingFieldTable {{Report} {}}

array set displayTable {{Report,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
# array set displayTable {{Report,%D} {2.1\
{} {} {}}}								;# year - year
array set displayTable {{Report,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Report,%B} {0\
{} {} {}}}								;# secondarytitle
array set displayTable {{Report,%E} {0\
{} {} {}}}								;# secondaryauthor
# array set displayTable {{Report,%I} {0\
{} {Instituto Nacional de Pesquisas Espaciais} {}}}	;# publisher - institution
array set displayTable {{Report,%I} {2.1\
{} {} {}}}								;# publisher - institution	;# added by GJFB in 2023-12-12
# array set displayTable {{Report,%C} {0\
{} {So Jos dos Campos} {}}}			;# placepublished - city
array set displayTable {{Report,%C} {2.1\
{} {} {}}}								;# placepublished - city	;# added by GJFB in 2023-12-12
array set displayTable {{Report,%V} {0\
{} {} {}}}								;# volume
array set displayTable {{Report,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Report,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Report,%P} {2.1\
{} {} {}}}								;# pages - numberofpages
array set displayTable {{Report,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Report,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Report,%7} {2.1\
{} {} {}}}								;# edition
array set displayTable {{Report,%8} {0\
{} {} {}}}								;# date
array set displayTable {{Report,%9} {3\
{} {} {}}}								;# typeofwork - type
array set displayTable {{Report,%?} {1.1\
{[Help Name]} {} {}}}					;# subsidiaryauthor - translator
array set displayTable {{Report,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Report,%@} {0\
{} {} {}}}								;# isbn/issn - reportnumber
array set displayTable {{Report,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Report,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Report,%1} {0\
{} {} {}}}								;# custom1
array set displayTable {{Report,%3} {2.1\
{[Help TargetFile]} {} {}}}     		;# custom3 - targetfile
array set displayTable {{Report,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Report,%K} {1.2\
{<FONT COLOR=BROWN>(*)</FONT>[Help Keywords %K]} {} {Palavras-Chave Controladas<BR>(em Portugus e em Ingls)}}}	;# keywords - keywords
array set displayTable {{Report,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Report,%O} {0\
{} {} {}}}								;# notes - notes
array set displayTable {{Report,%U} {0\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Report,%(} {2.1\
{[Help PreviousEdition]} {} {}}}		;# previousedition - previousedition
array set displayTable {{Report,%)} {2.1\
{[Help NextEdition]} {} {}}}			;# nextedition - nextedition
array set displayTable {{Report,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Report,%@language} {2.2\
{} {} {}}}								;# - language
array set displayTable {{Report,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Report,%@e-mailaddress} {2.1\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Report,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
# array set displayTable {{Report,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
array set displayTable {{Report,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
# array set displayTable {{Report,%@dissemination} {2.2\
{} {} {}}}								;# - dissemination
array set displayTable {{Report,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Report,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}			;# - area
} else {
	array set displayTable {{Report,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
}
# array set displayTable {{Report,%@mark} {0\
{} {work-in-progress} {}}}				;# - mark
if {$manualFilling && [info exists publishingYear] && ![string equal {} $publishingYear]} {
#	array set displayTable {{Report,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Report,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Report,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Report,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Report,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Report,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Report,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}	;# - affiliation
}
array set displayTable {{Report,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Report,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Report,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Report,%@accessdate} {0\
{} {} {}}}								;# - accessdate
# array set displayTable {{Report,%@readpermission} {3\
{} {} {}}}								;# - readpermission
# array set displayTable {{Report,%@visibility} {3\
{} {} {Nvel de segurana}}}			;# - visibility
array set displayTable {{Report,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}	;# - documentstage
array set displayTable {{Report,%@doi} {2.1\
{} {} {}}}								;# - doi	;# added by GJFB in 2023-12-12
array set displayTable {{Report,%@usergroup} {0\
{} {} {}}}								;# - usergroup
array set displayTable {{Report,foldername} {1\
{[Help FolderName]} {} {}}}				;# - foldername (0 means to don't display foldername (if cgi(attachment) doesn't exist))
array set displayTable {{Report,filename} {1\
{[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
array set displayTable {{Report,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Report,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}	;# - (x means not used)
array set displayTable {{Report,password2} {x\
{[Help Password2]} {} {x}}}				;# - (x means not used)

array set depositOptionTable {{Report} {enablecopytosource 1}}

array set optionTable2 [list {Report,%@area} $areaOption2]

array set optionTable2 {{Report,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Report,%@copyholder} {}}

array set optionTable2 [list {Report,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable [list {Report,%@readpermission} intranet]

if {![info exists update] || !$update} {
#	array set fillOutFieldTable [list {Report,%@group,%@affiliation} $groupAffiliationFillout]
#	array set actionTable [list {Report,%@area} $areaBasedAction]
}
if $manualFilling {
	array set fillOutFieldTable [list {Report,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Report,%@group} $groupOption]
array set optionTable2 [list {Report,%@group} $groupOption2]

array set defaultOptionTable {{Report,%@area} {}}

# array set boxTable {{Report,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set boxTable {{Report,%@language} {{{pt} 0} {{es} 0} {{fr} 0} {{en} 0}}}

if [info exists userGroup] {
	array set defaultOptionTable {{Report,%@documentstage} {not transferred}}
}

if {([info exists cgi(reviewprocess)] && \
[string equal {yes} $cgi(reviewprocess)]) || \
([info exists update] && $update && \
(![info exists secondaryType] || ![regexp {TAE} $secondaryType]))} {
# publicao com autorizao do INPE

	if {[info exists update] && $update && \
	[info exists advancedUser] && [lsearch $loginDosResponsaveisPelaAutorizacao $advancedUser] != -1} {
		array set displayTable {{Report,%D} {2.1\
{} {} {}}}								;# year - year
		array set displayTable {{Report,%@readpermission} {3\
{} {} {}}}								;# - readpermission
		array set displayTable {{Report,%@secondarydate} {2.1\
{[Help SecondaryDate]} {} {}}}			;# - secondarydate
		array set displayTable {{Report,%@visibility} {3\
{} {} {Nvel de segurana}}}			;# - visibility
		array set optionTable2 {{Report,%@visibility} {{{} {shown}} {{busca restrita} {hidden}}}}
		array set defaultOptionTable {{Report,%@visibility} {shown}}
	} else {
		array set displayTable {{Report,%D} {0\
{} {} {}}}								;# year - year
		array set displayTable {{Report,%@readpermission} {0\
{} {150.163} {}}}							;# - readpermission
		array set displayTable {{Report,%@visibility} {0\
{} {} {Nvel de segurana}}}			;# - visibility
	}
	array set displayTable {{Report,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
	array set displayTable {{Report,%@dissemination} {2.2\
{} {} {}}}								;# - dissemination

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Report,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Report,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Report,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Report,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

#	array set displayTable {{Report,%@contenttype} {0\
{} {} {}}}								;# - contenttype
	array set displayTable {{Report,%@contenttype} {2.2\
{[Help ContentType]} {} {}}}			;# - contenttype	;# added by GJFB in 2023-12-12
#	array set displayTable {{Report,%@copyright} {0\
{} {} {}}}								;# - copyright

	array set optionTable2 {{Report,%9} {{{} {}} {{PRP (Projeto e Convnio)} {PRP}} {{RPQ (Relatrio de Pesquisa)} {RPQ}} {{RDP (Relatrio de Dados de Pesquisa)} {RDP}}}}
	array set defaultOptionTable {{Report,%9} {}}
	
#	array set optionTable2 {{Report,%@secondarytype} {{{} {}} {{Trabalho Vinculado  Tese/Dissertao} {IPV}}}}
	
#	array set boxTable {{Report,%@dissemination} {{{NTRSNASA} 1} {{BNDEPOSITOLEGAL} 0} {{MGA} 0}}}
	array set boxTable {{Report,%@dissemination} {{{NTRSNASA} 0} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}	;# added by GJFB in 2011-06-10
	array set boxTable {{Report,%@contenttype} {{{External Contribution} 1}}}	;# added by GJFB in 2023-12-12
	

} else {
# publicao sem autorizao do INPE (TAE)

	array set displayTable {{Report,%D} {2.1\
{} {} {}}}								;# year - year
	array set displayTable {{Report,%I} {2.1\
{} {} {}}}								;# publisher - institution
	array set displayTable {{Report,%C} {2.1\
{} {} {}}}								;# placepublished - city
	array set displayTable {{Report,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
	array set displayTable {{Report,%@secondarytype} {0\
{} {TAE} {}}}							;# - secondarytype
	array set displayTable {{Report,%@dissemination} {0\
{} {} {}}}								;# - dissemination
	array set displayTable {{Report,%@readpermission} {3\
{} {} {}}}								;# - readpermission
	array set displayTable {{Report,%@visibility} {0\
{} {} {Nvel de segurana}}}			;# - visibility
	array set displayTable {{Report,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype
	array set displayTable {{Report,%@copyright} {3\
{} {} {}}}								;# - copyright

	array set optionTable {{Report,%9} {{} {Manual} {Nota Tcnica} {Relatrio} {Relatrio Tcnico}}}
	array set defaultOptionTable {{Report,%9} {}}
	
	array set boxTable {{Report,%@dissemination} {{{NTRSNASA} 0} {{MGA} 0}}}

	array set defaultOptionTable [list {Report,%@readpermission} {}]
	
#	if [info exists copyrightRepository] {
#		array set optionTable2 [list {Report,%@copyright} [CreateOptionListForCopyright $copyrightRepository]]	;# time consuming
#	}
}

# array set optionTable2 {{Report,%@mark} {{{em andamento} {work-in-progress}} {{concluido} {published}}}}

# --------------------------------------------> Image

array set displayTable {{Image,%I} {2.1\
{} {Instituto Nacional de Pesquisas Espaciais} {}}}	;# publisher - credit
array set displayTable {{Image,%V} {3\
{} {} {}}}								;# volume - collection
array set displayTable {{Image,%@accessdate} {0\
{} {} {}}}								;# - accessdate

array set optionTable2 {{Image,%V} {{{} {}} {{Antenas} {Antenas}} {{Barreira do Inferno} {Barreira do Inferno}} {{Comemoraes} {Comemoraes}} {{Diretores} {Diretores}} {{Entrevistas} {Entrevistas}} {{Eventos} {Eventos}} {{Funcionrios} {Funcionrios}} {{Instalaes} {Instalaes}} {{Instrumentos Cientficos} {Instrumentos Cientficos}} {{Projetos} {Projetos}} {{Satlites} {Satlites}} {{Visitas} {Visitas}} {{Para identificar} {Para identificar}}}}

array set boxTable {{Image,%@contenttype} {{{External Contribution} 0}}}

# --------------------------------------------> Audiovisual Material

# array set maximumFileSizeTable {{Audiovisual Material} {102400000}}	;# 100000 KiB - commented by GJFB in 2020-10-27
array set maximumFileSizeTable {{Audiovisual Material} {512000000}}	;# 500000 KiB - commented by GJFB in 2020-10-27

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {
	{Audiovisual Material} {
		application/force-download
		application/msword
		application/octet-stream
		application/pdf
		application/postscript
		application/powerpoint
		application/rar
		application/vnd.ms-powerpoint
		application/vnd.ms-pps
		application/vnd.oasis.opendocument.text
		application/vnd.openxmlformats-officedocument.presentationml.presentation
		application/vnd.openxmlformats-officedocument.presentationml.slideshow
		application/vnd.openxmlformats-officedocument.wordprocessingml.document
		application/x-rar
		application/x-rar-compressed
		application/x-tex
		application/x-zip
		application/x-zip-compressed
		application/zip
		text/html
		text/xml
		text/plain
		text/richtext
		video/mp4
	}
}
}

array set requiredFieldFootnoteTable {{Audiovisual Material} {(*)}}
array set requiredFieldAtCloseFootnoteTable {{Audiovisual Material} {(+)}}
array set searchOptionTable {{Audiovisual Material} {yes}}

# array set orderingFieldTable {{Audiovisual Material} {%D %A %T %B %C %8 %K %X}}
# array set orderingFieldTable {{Audiovisual Material} {%A %T %D %B %C %8 %K %X}}
array set orderingFieldTable {{Audiovisual Material} {}}

array set displayTable {{Audiovisual Material,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
array set displayTable {{Audiovisual Material,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# year - year
array set displayTable {{Audiovisual Material,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Audiovisual Material,%B} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# secondarytitle - conferencename
array set displayTable {{Audiovisual Material,%E} {0\
{} {} {}}}								;# secondaryauthor
array set displayTable {{Audiovisual Material,%I} {0\
{} {Instituto Nacional de Pesquisas Espaciais} {}}}	;# publisher - publisher
array set displayTable {{Audiovisual Material,%C} {2.1\
{} {} {Conference Location}}}			;# placepublished - conferencelocation
array set displayTable {{Audiovisual Material,%V} {2.1\
{} {} {}}}								;# volume - volume
array set displayTable {{Audiovisual Material,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Audiovisual Material,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Audiovisual Material,%P} {2.1\
{} {} {}}}								;# pages - numberofslides
array set displayTable {{Audiovisual Material,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Audiovisual Material,%S} {3\
{} {} {}}}								;# tertiarytitle - booktitle
array set displayTable {{Audiovisual Material,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Audiovisual Material,%8} {2.1\
{[Help Date]} {} {Data (AAAA-MM-DD)}}}	;# date
array set displayTable {{Audiovisual Material,%9} {0\
{} {} {}}}								;# typeofwork - type
array set displayTable {{Audiovisual Material,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Audiovisual Material,%J} {0\
{} {So Jos dos Campos} {}}}			;# alternatetitle - publisheraddress
array set displayTable {{Audiovisual Material,%@} {0\
{} {} {ISSN}}}							;# isbn/issn
array set displayTable {{Audiovisual Material,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Audiovisual Material,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Audiovisual Material,%1} {0\
{} {} {}}}								;# custom1 - lineage
array set displayTable {{Audiovisual Material,%3} {2.1\
{} {} {}}}								;# custom3 - targetfile
array set displayTable {{Audiovisual Material,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Audiovisual Material,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Audiovisual Material,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Audiovisual Material,%O} {1.2\
{} {} {}}}								;# notes - notes
array set displayTable {{Audiovisual Material,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Audiovisual Material,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Audiovisual Material,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Audiovisual Material,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Audiovisual Material,%@language} {3\
{} {} {}}}								;# - language
array set displayTable {{Audiovisual Material,%@contenttype} {0\
{} {} {}}}								;# - contenttype
array set displayTable {{Audiovisual Material,%@copyholder} {0\
{} {} {}}}								;# - copyholder
array set displayTable {{Audiovisual Material,%@e-mailaddress} {2.1\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Audiovisual Material,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Audiovisual Material,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
array set displayTable {{Audiovisual Material,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Audiovisual Material,%@dissemination} {0\
{} {} {}}}								;# - dissemination
array set displayTable {{Audiovisual Material,%@format} {0\
{} {On-line} {}}}						;# - format
array set displayTable {{Audiovisual Material,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Audiovisual Material,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}			;# - area
#	array set displayTable {{Audiovisual Material,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Audiovisual Material,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Audiovisual Material,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Audiovisual Material,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Audiovisual Material,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
	array set displayTable {{Audiovisual Material,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Audiovisual Material,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Audiovisual Material,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}	;# - affiliation
}
array set displayTable {{Audiovisual Material,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Audiovisual Material,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Audiovisual Material,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Audiovisual Material,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Audiovisual Material,%@readpermission} {3\
{} {} {}}}								;# - readpermission
array set displayTable {{Audiovisual Material,%@visibility} {3\
{} {} {Nvel de segurana}}}			;# - visibility
array set displayTable {{Audiovisual Material,%@documentstage} {0\
{} {} {Transfer update<BR>permission to:}}}		;# - documentstage
array set displayTable {{Audiovisual Material,%@usergroup} {0\
{} {} {}}}								;# - usergroup
array set displayTable {{Audiovisual Material,filename} {1\
{[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
#array set displayTable {{Audiovisual Material,filename} {x\
{<FONT COLOR=BROWN>(*)</FONT>(\[incr footnoteNumber\])[Help FileName]} {} {x}}}			;# - filename (x means not used)
array set displayTable {{Audiovisual Material,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Audiovisual Material,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}	;# - (x means not used)
array set displayTable {{Audiovisual Material,password2} {x\
{[Help Password2]} {} {x}}}				;# - (x means not used)

array set optionTable {{Audiovisual Material,%S} {{} {Anais} {Anales} {Actas} {Actes} {Proceedings} {Memria Final} {Memrias} {Resumos Extendidos} {Extended Abstracts} {Resumos} {Resumenes} {Abstracts} {Psteres} {Posters} {Resumos/Psteres} {Abstract/Posters} {Vdeos} {Videos}}}
array set updateOptionTable {{Audiovisual Material} {all}}	;# esta linha  facultativa j que a opo all  o default
array set depositOptionTable {{Audiovisual Material} {enablecopytosource 1}}

if {![info exists update] || !$update} {
#	array set fillOutFieldTable [list {Audiovisual Material,%@group,%@affiliation} $groupAffiliationFillout]
}
if $manualFilling {
	array set fillOutFieldTable [list {Audiovisual Material,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Audiovisual Material,%@group} $groupOption]
array set optionTable2 [list {Audiovisual Material,%@group} $groupOption2]

# array set boxTable {{Audiovisual Material,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Audiovisual Material,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

# array set optionTable {{Audiovisual Material,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Audiovisual Material,%@area} $areaOption2]

array set optionTable2 [list {Audiovisual Material,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable {{Audiovisual Material,%@readpermission} {allow from all}}

array set optionTable2 {{Audiovisual Material,%@visibility} {{{} {shown}} {{busca restrita} {hidden}}}}
array set defaultOptionTable {{Audiovisual Material,%@visibility} {shown}}

# --------------------------------------------> Film or Broadcast

# array set maximumFileSizeTable {{Film or Broadcast} {409600000}}	;# 400000 KiB
array set maximumFileSizeTable {{Film or Broadcast} {512000000}}	;# 500000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {
	{Film or Broadcast} {
		application/force-download
		application/msword
		application/octet-stream
		application/pdf
		application/postscript
		application/rar
		application/vnd.oasis.opendocument.text
		application/vnd.openxmlformats-officedocument.wordprocessingml.document
		application/x-rar
		application/x-rar-compressed
		application/x-tex
		application/x-zip
		application/x-zip-compressed
		application/zip
		text/html
		text/plain
		text/richtext
		text/xml
		video/mp4
	}
}
}

array set requiredFieldFootnoteTable {{Film or Broadcast} {(*)}}
array set requiredFieldAtCloseFootnoteTable {{Film or Broadcast} {(+)}}
array set searchOptionTable {{Film or Broadcast} {yes}}

# array set orderingFieldTable {{Film or Broadcast} {%D %A %T %B %C %8 %K %X}}
# array set orderingFieldTable {{Film or Broadcast} {%A %T %J %D %B %8 %K %X %Y %? %1 %I %C %@format}}
array set orderingFieldTable {{Film or Broadcast} {}}

array set displayTable {{Film or Broadcast,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - director
array set displayTable {{Film or Broadcast,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}				;# year - yearreleased
array set displayTable {{Film or Broadcast,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Film or Broadcast,%B} {2.1\
{} {} {}}}								;# secondarytitle - seriestitle
array set displayTable {{Film or Broadcast,%E} {1.1\
{[Help Name %E]} {} {}}}				;# secondaryauthor - seriesdirector
array set displayTable {{Film or Broadcast,%I} {2.1\
{} {} {}}}								;# publisher - distributor
array set displayTable {{Film or Broadcast,%C} {2.1\
{} {} {}}}								;# placepublished - city
array set displayTable {{Film or Broadcast,%V} {0\
{} {} {}}}								;# volume
array set displayTable {{Film or Broadcast,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Film or Broadcast,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Film or Broadcast,%P} {2.1\
{} {} {}}}								;# pages - runningtime
array set displayTable {{Film or Broadcast,%Y} {1.1\
{[Help Name %Y]} {} {}}}				;# tertiaryauthor - producer
array set displayTable {{Film or Broadcast,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Film or Broadcast,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Film or Broadcast,%8} {2.1\
{[Help Date]} {} {}}}					;# date - datereleased
array set displayTable {{Film or Broadcast,%9} {0\
{} {} {}}}								;# typeofwork - medium
array set displayTable {{Film or Broadcast,%@subject} {1.2\
{} {} {}}}								;# subject - subject
array set displayTable {{Film or Broadcast,%@session} {0\
{} {} {}}}								;# session - session
array set displayTable {{Film or Broadcast,%?} {1.1\
{[Help Name %?]} {} {}}}								;# subsidiaryauthor - photographer
array set displayTable {{Film or Broadcast,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Film or Broadcast,%@} {0\
{} {} {}}}								;# isbn/issn
array set displayTable {{Film or Broadcast,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Film or Broadcast,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Film or Broadcast,%1} {1.1\
{[Help Name %1]} {} {}}}								;# custom1 - cast
array set displayTable {{Film or Broadcast,%3} {2.1\
{} {} {}}}								;# custom3 - targetfile
array set displayTable {{Film or Broadcast,%F} {0\
{} {} {}}}								;# label
array set displayTable {{Film or Broadcast,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Film or Broadcast,%X} {1.2\
{[Help Abstract]} {} {}}}				;# abstract - synopsis
array set displayTable {{Film or Broadcast,%O} {1.2\
{} {} {}}}								;# notes - notes
array set displayTable {{Film or Broadcast,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Film or Broadcast,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Film or Broadcast,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Film or Broadcast,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Film or Broadcast,%@language} {2.2\
{} {} {}}}								;# - language
array set displayTable {{Film or Broadcast,%@contenttype} {2.2\
{[Help ContentType]} {} {}}}			;# - contenttype
array set displayTable {{Film or Broadcast,%@copyholder} {0\
{} {} {}}}								;# - copyholder
array set displayTable {{Film or Broadcast,%@e-mailaddress} {2.1\
{} {} {}}}								;# - e-mailaddress
array set displayTable {{Film or Broadcast,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Film or Broadcast,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
array set displayTable {{Film or Broadcast,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Film or Broadcast,%@format} {2.2\
{} {} {}}}				;# - format
array set displayTable {{Film or Broadcast,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Film or Broadcast,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}			;# - area
	array set displayTable {{Film or Broadcast,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Film or Broadcast,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Film or Broadcast,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Film or Broadcast,%@area} {0\
	{} {} {}}}								;# - area
	array set displayTable {{Film or Broadcast,%@resumeid} {0\
	{[Help ResumeID]} {} {}}}				;# - resumeid
	array set displayTable {{Film or Broadcast,%@group} {0\
	{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Film or Broadcast,%@affiliation} {0\
	{[Help Affiliation]} {} {Instituio}}}			;# - affiliation
}
array set displayTable {{Film or Broadcast,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Film or Broadcast,%@electronicmailaddress} {2.1\
{} {} {}}}							;# - electronicmailaddress
array set displayTable {{Film or Broadcast,%@project} {2.1\
{} {} {}}}								;# - project
array set displayTable {{Film or Broadcast,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Film or Broadcast,%@readpermission} {3\
{} {} {}}}								;# - readpermission
array set displayTable {{Film or Broadcast,%@visibility} {3\
{} {} {}}}								;# - visibility
array set displayTable {{Film or Broadcast,%@documentstage} {3\
{} {} {Transfer update<BR>permission to:}}}								;# - documentstage
if [info exists update] {
	if $update {
# update
		if [info exists userGroup] {
			array set optionTable2 [list {Film or Broadcast,%@documentstage} [concat [DeleteItem2 [lsort [lsort -unique -index 1 [concat [ReplicateTwice2 $userGroup] {{{another advanced user => } {another advanced user}}}]]] $userName] {{{} {not transferred}}}]]
		} else {
			array set optionTable2 [list {Film or Broadcast,%@documentstage} {{{another advanced user => } {another advanced user}} {{} {not transferred}}}]
		}
	} else {
# submit
		array set optionTable2 [list {Film or Broadcast,%@documentstage} {{{another advanced user => } {another advanced user}} {{} {not transferred}}}]
	}
	array set defaultOptionTable {{Film or Broadcast,%@documentstage} {not transferred}}
}
array set displayTable {{Film or Broadcast,%@progress} {0\
{} {} {}}}								;# - progress
array set displayTable {{Film or Broadcast,%@sponsor} {0\
{} {} {}}}								;# - sponsor
array set displayTable {{Film or Broadcast,%@usergroup} {0\
{} {} {}}}								;# - usergroup
array set displayTable {{Film or Broadcast,%@mirrorrepository} {0\
{} {} {}}}								;# - mirrorrepository
array set displayTable {{Film or Broadcast,filename} {1\
{[Help FileName]} {} {}}}					;# - filename (0 means to don't display filename (if cgi(attachment) doesn't exist))
array set displayTable {{Film or Broadcast,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Film or Broadcast,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Film or Broadcast,password2} {x\
{[Help Password2]} {} {x}}}					;# - (x means not used)

array set depositOptionTable {{Film or Broadcast} {enablecopytosource 1}}

if {![info exists update] || !$update} {
#	array set fillOutFieldTable [list {Film or Broadcast,%@group,%@affiliation} $groupAffiliationFillout]
}
if $manualFilling {
	array set fillOutFieldTable [list {Film or Broadcast,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Film or Broadcast,%@group} $groupOption]
array set optionTable2 [list {Film or Broadcast,%@group} $groupOption2]

# array set boxTable {{Film or Broadcast,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
# array set optionTable2 {{Film or Broadcast,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}
array set boxTable {{Film or Broadcast,%@language} {{{pt} 0} {{es} 0} {{fr} 0} {{en} 0}}}
array set boxTable {{Film or Broadcast,%@contenttype} {{{External Contribution} 0}}}
array set boxTable {{Film or Broadcast,%@format} {{{CD-ROM} 0} {{DVD} 0} {{On-line} 0} {{Pen-drive} 0}}}

# array set optionTable {{Film or Broadcast,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Film or Broadcast,%@area} $areaOption2]

array set optionTable2 [list {Film or Broadcast,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable {{Film or Broadcast,%@readpermission} {allow from all}}

array set optionTable2 {{Film or Broadcast,%@visibility} {{{} {shown}} {{busca restrita} {hidden}}}}
array set defaultOptionTable {{Film or Broadcast,%@visibility} {shown}}

# --------------------------------------------> Computer Program

array set maximumFileSizeTable {{Computer Program} {112640000}}	;# 110000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Computer Program} {
	application/force-download
	application/iopexport_bib
	application/msword
	application/octet-stream
	application/pdf
	application/postscript
	application/rar
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-rar
	application/x-rar-compressed
	application/x-tcl
	application/x-tex
	application/x-zip
	application/x-zip-compressed
	application/zip
	text/css
	text/html
	text/xml
	text/plain
	text/richtext
}}
}

array set requiredFieldFootnoteTable {{Computer Program} {(*)}}
array set initialFootnoteNumberTable {{Computer Program} {2}}
array set searchOptionTable {{Computer Program} {no}}

# array set orderingFieldTable {{Computer Program} {%D %A %T %C %K %X %@secondarykey}}
# array set orderingFieldTable {{Computer Program} {%A %T %D %C %K %X %@secondarykey}}
array set orderingFieldTable {{Computer Program} {}}

array set displayTable {{Computer Program,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - programmer
array set displayTable {{Computer Program,%D} {2.1\
{} {} {}}}								;# year - year
array set displayTable {{Computer Program,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Computer Program,%B} {0\
{} {} {}}}								;# secondarytitle
array set displayTable {{Computer Program,%E} {0\
{} {} {}}}								;# secondaryauthor
array set displayTable {{Computer Program,%I} {1.1\
{} {Deposited in the URLib collection.} {}}}		;# publisher - publisher
array set displayTable {{Computer Program,%C} {2.1\
{} {} {}}}								;# placepublished - city
array set displayTable {{Computer Program,%V} {0\
{} {} {}}}								;# volume
array set displayTable {{Computer Program,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Computer Program,%N} {0\
{} {} {}}}								;# number
array set displayTable {{Computer Program,%P} {0\
{} {} {}}}								;# pages
array set displayTable {{Computer Program,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Computer Program,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Computer Program,%7} {2.1\
{} {} {}}}								;# edition - version
array set displayTable {{Computer Program,%8} {0\
{} {} {}}}								;# date
array set displayTable {{Computer Program,%9} {0\
{} {} {}}}								;# typeofwork - type
array set displayTable {{Computer Program,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Computer Program,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Computer Program,%@} {0\
{} {} {}}}								;# isbn/issn
array set displayTable {{Computer Program,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Computer Program,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Computer Program,%1} {2.1\
{} {} {}}}								;# custom1 - computer
array set displayTable {{Computer Program,%3} {2.1\
{[Help TargetFile]} {} {}}}					;# custom3 - targetfile
array set displayTable {{Computer Program,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Computer Program,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Computer Program,%X} {1.2\
{} {} {}}}								;# abstract - abstract
array set displayTable {{Computer Program,%O} {1.2\
{} {} {}}}								;# notes - notes
array set displayTable {{Computer Program,%U} {2.1\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
array set displayTable {{Computer Program,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Computer Program,%@language} {2.2\
{} {} {}}}								;# - language
array set displayTable {{Computer Program,%@e-mailaddress} {2.1\
{} {} {e-Mail para contato}}}					;# - e-mailaddress
array set displayTable {{Computer Program,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Computer Program,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
array set displayTable {{Computer Program,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Computer Program,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Computer Program,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}			;# - area
#	array set displayTable {{Computer Program,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Computer Program,%@resumeid} {4\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Computer Program,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Computer Program,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Computer Program,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}			;# - area
	array set displayTable {{Computer Program,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Computer Program,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Computer Program,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}			;# - affiliation
}
array set displayTable {{Computer Program,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Computer Program,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Computer Program,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Computer Program,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Computer Program,%@readergroup} {1.1\
{} {} {}}}								;# - readergroup
array set displayTable {{Computer Program,%@readpermission} {3\
{} {} {}}}								;# - readpermission
array set displayTable {{Computer Program,%@documentstage} {3\
{} {} {Transfer update<BR>permission to:}}}					;# - documentstage
array set displayTable {{Computer Program,%@usergroup} {0\
{} {} {}}}								;# - usergroup

if {[info exists update] && $update} {
	array set displayTable {{Computer Program,filename} {1\
{[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
} else {
	array set displayTable {{Computer Program,filename} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help FileName]} {} {File Name<BR>(attach here your file)}}}	;# - filename
}

array set displayTable {{Computer Program,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Computer Program,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Computer Program,password2} {x\
{[Help Password2]} {} {x}}}					;# - (x means not used)

array set updateOptionTable {{Computer Program} {all}}	;# esta linha  facultativa j que a opo all  o default
array set depositOptionTable {{Computer Program} {enablecopytosource 1}}

# array set boxTable {{Computer Program,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}

# array set optionTable {{Computer Program,%@language} {{English} {French} {Portuguese} {Spanish}}}
# array set defaultOptionTable {{Computer Program,%@language} {Portugus}}
array set boxTable {{Computer Program,%@language} {{{pt} 0} {{es} 0} {{fr} 0} {{en} 0}}}

if [info exists userGroup] {
	array set defaultOptionTable {{Computer Program,%@documentstage} {not transferred}}
}

array set optionTable2 [list {Computer Program,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable {{Computer Program,%@readpermission} {allow from all}}

# array set optionTable {{Computer Program,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Computer Program,%@area} $areaOption2]

if {![info exists update] || !$update} {
#	array set fillOutFieldTable [list {Computer Program,%@group,%@affiliation} $groupAffiliationFillout]
#	array set actionTable [list {Computer Program,%@area} $areaBasedAction]
}
if $manualFilling {
	array set fillOutFieldTable [list {Computer Program,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Computer Program,%@group} $groupOption]
array set optionTable2 [list {Computer Program,%@group} $groupOption2]

array set defaultOptionTable {{Computer Program,%@area} {}}

# --------------------------------------------> Patent

array set maximumFileSizeTable {{Patent} {81920000}}	;# 80000 KiB

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Patent} {
	application/force-download
	application/msword
	application/octet-stream
	application/postscript
	application/pdf
	application/vnd.oasis.opendocument.text
	application/vnd.openxmlformats-officedocument.wordprocessingml.document
	application/x-zip
	application/x-zip-compressed
	application/zip
	text/html
	text/plain
	text/richtext
}}
}

array set requiredFieldFootnoteTable {{Patent} {(*)}}
array set initialFootnoteNumberTable {{Patent} {2}}
array set searchOptionTable {{Patent} {yes}}

# array set orderingFieldTable {{Patent} {%D %A %T %C %K %X %@secondarykey}}
# array set orderingFieldTable {{Patent} {%A %T %D %C %K %X %@secondarykey}}
array set orderingFieldTable {{Patent} {}}

array set displayTable {{Patent,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
array set displayTable {{Patent,%D} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}			;# year - year
array set displayTable {{Patent,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Patent,%B} {2.1\
{} {} {}}}								;# secondarytitle - pubsource
array set displayTable {{Patent,%E} {0\
{} {} {}}}								;# secondaryauthor
array set displayTable {{Patent,%I} {2.1\
{} {} {}}}								;# publisher - assignee
array set displayTable {{Patent,%C} {2.1\
{} {Brasil} {}}}						;# placepublished - country
array set displayTable {{Patent,%V} {2.1\
{} {} {}}}								;# volume
array set displayTable {{Patent,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Patent,%N} {2.1\
{} {} {}}}								;# number - issue
array set displayTable {{Patent,%P} {2.1\
{} {} {}}}								;# pages
array set displayTable {{Patent,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Patent,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Patent,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Patent,%8} {2.1\
{[Help Date]} {} {Data (AAAA-MM-DD)}}}	;# date
array set displayTable {{Patent,%9} {0\
{} {} {}}}								;# typeofwork
array set displayTable {{Patent,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Patent,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Patent,%@} {2.1\
{} {} {}}}								;# isbn/issn - patentnumber
array set displayTable {{Patent,%L} {0\
{} {} {}}}								;# callnumber - callnumber
array set displayTable {{Patent,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Patent,%1} {0\
{} {} {}}}								;# custom1 - organization
array set displayTable {{Patent,%3} {2.1\
{[Help TargetFile]} {} {}}}     		;# custom3 - targetfile
array set displayTable {{Patent,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Patent,%K} {1.2\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
array set displayTable {{Patent,%X} {1.2\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Patent,%O} {1.2\
{} {} {}}}								;# notes - notes
array set displayTable {{Patent,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Patent,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Patent,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Patent,%@language} {2.2\
{} {} {}}}								;# - language
array set displayTable {{Patent,%@contenttype} {0\
{} {} {}}}								;# - contenttype
array set displayTable {{Patent,%@copyholder} {0\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
array set displayTable {{Patent,%@e-mailaddress} {2.1\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Patent,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Patent,%@secondarytype} {0\
{} {INOVA} {}}}							;# - secondarytype
array set displayTable {{Patent,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Patent,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
array set displayTable {{Patent,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - area
array set displayTable [list {Patent,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
array set displayTable {{Patent,%@affiliation} {2.1\
{[Help Affiliation]} {} {Instituio}}}	;# - affiliation
array set displayTable {{Patent,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Patent,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Patent,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Patent,%@readpermission} {3\
{} {} {}}}								;# - readpermission
array set displayTable {{Patent,%@documentstage} {0\
{} {} {Transfer update<BR>permission to:}}}	;# - documentstage
array set displayTable {{Patent,%@usergroup} {0\
{} {} {}}}								;# - usergroup
# array set displayTable {{Patent,filename} {x\
{<FONT COLOR=BROWN>(*)</FONT>[Help FileName]} {} {x}}}	;# - (x means not used)
array set displayTable {{Patent,filename} {1\
{[Help FileName]} {} {}}}				;# - filename
array set displayTable {{Patent,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Patent,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}	;# - (x means not used)
array set displayTable {{Patent,password2} {x\
{[Help Password2]} {} {x}}}				;# - (x means not used)

array set optionTable2 [list {Patent,%@area} $areaOption2]

if {![info exists update] || !$update} {
#	array set fillOutFieldTable [list {Patent,%@group,%@affiliation} $groupAffiliationFillout]
#	array set actionTable [list {Patent,%@area} $areaBasedAction]
}
if $manualFilling {
	array set fillOutFieldTable [list {Patent,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Patent,%@group} $groupOption]
array set optionTable2 [list {Patent,%@group} $groupOption2]

array set defaultOptionTable {{Patent,%@area} {}}

# array set boxTable {{Patent,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set boxTable {{Patent,%@language} {{{pt} 0} {{es} 0} {{fr} 0} {{en} 0}}}

array set optionTable2 {{Patent,%@copyholder} {{{no} {}} {{sim} {SID/SCD}}}}
array set defaultOptionTable {{Patent,%@copyholder} {}}

array set optionTable2 [list {Patent,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]
array set defaultOptionTable {{Patent,%@readpermission} {allow from all}}

# --------------------------------------------> Electronic Source

array set maximumFileSizeTable {{Electronic Source} {51200000}}	;# 50000 KiB

# array set headerTable {{Electronic Source} {624\\1(INPE ePrint: $repName $version  $versionDate)\\2}}	;# 624 is the place of the header first character in order to have this header almost centralized
# array set headerTable {{Electronic Source} {INPE ePrint: $repName $version  $versionDate}}
array set headerTable {{Electronic Source} {%5Chref%7Bhttp://urlib.net/$repName%7D%7BINPE ePrint: $repName $version  $versionDate%7D}}

# array set orderingFieldTable {{Electronic Source} {%A %T %D %K %X %@language %B %@secondarytype %1 %)}}
array set orderingFieldTable {{Electronic Source} {}}

if 0 {
# vale o padro em col/dpi.inpe.br/banon/2000/01.23.20.24/doc/displayControl.tcl
array set contentTypeTable {{Electronic Source} {
	application/download
	application/force-download
	application/msword
	application/octet-stream
	application/pdf
}}
}

array set requiredFieldFootnoteTable {{Electronic Source} {(*)}}
# array set initialFootnoteNumberTable {{Electronic Source} {2}}
array set searchOptionTable {{Electronic Source} {yes}}

array set displayTable {{Electronic Source,%A} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Name]} {} {}}}	;# author - author
array set displayTable {{Electronic Source,%D} {0\
{} {} {}}}								;# year - year
array set displayTable {{Electronic Source,%T} {2.1\
{<FONT COLOR=BROWN>(*)</FONT>[Help Title]} {} {}}}	;# title - title
array set displayTable {{Electronic Source,%B} {2.1\
{} {} {Publicao Alternativa (Revista/Evento/Livro)}}}	;# secondarytitle - alternatepublication
array set displayTable {{Electronic Source,%E} {0\
{} {} {}}}								;# secondaryauthor
array set displayTable {{Electronic Source,%I} {0\
{} {Instituto Nacional de Pesquisas Espaciais} {}}}	;# publisher - producer
array set displayTable {{Electronic Source,%C} {0\
{} {So Jos dos Campos} {}}}			;# placepublished - city
array set displayTable {{Electronic Source,%V} {0\
{} {} {}}}								;# volume - accessyear
array set displayTable {{Electronic Source,%6} {0\
{} {} {}}}								;# numberofvolumes
array set displayTable {{Electronic Source,%N} {0\
{} {} {}}}								;# number - accessdate
array set displayTable {{Electronic Source,%P} {0\
{} {} {}}}								;# pages
array set displayTable {{Electronic Source,%Y} {0\
{} {} {}}}								;# tertiaryauthor
array set displayTable {{Electronic Source,%S} {0\
{} {} {}}}								;# tertiarytitle
array set displayTable {{Electronic Source,%7} {0\
{} {} {}}}								;# edition
array set displayTable {{Electronic Source,%8} {0\
{} {} {}}}								;# date - lastupdatedate
array set displayTable {{Electronic Source,%9} {0\
{} {On-line} {}}}						;# typeofwork - typeofmedium
array set displayTable {{Electronic Source,%?} {0\
{} {} {}}}								;# subsidiaryauthor
array set displayTable {{Electronic Source,%J} {0\
{} {} {}}}								;# alternatetitle
array set displayTable {{Electronic Source,%@} {0\
{} {} {}}}								;# isbn/issn
array set displayTable {{Electronic Source,%L} {0\
{} {} {}}}								;# callnumber
array set displayTable {{Electronic Source,%M} {0\
{} {} {}}}								;# accessionnumber
array set displayTable {{Electronic Source,%1} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# custom1 - stageofalternatepublication
array set displayTable {{Electronic Source,%3} {0\
{} {} {}}}								;# custom3 - targetfile (if headerTable exists then this field must be invisible)
array set displayTable {{Electronic Source,%F} {0\
{} {} {}}}								;# label - label
array set displayTable {{Electronic Source,%K} {1.2\
{<FONT COLOR=BROWN>(*)</FONT>[Help Keywords %K]} {} {}}}				;# keywords - keywords
array set displayTable {{Electronic Source,%X} {1.2\
{<FONT COLOR=BROWN>(*)</FONT>[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
array set displayTable {{Electronic Source,%O} {0\
{} {} {}}}								;# notes - notes
array set displayTable {{Electronic Source,%(} {0\
{} {} {}}}								;# previousedition - previousedition
array set displayTable {{Electronic Source,%)} {0\
{} {} {}}}								;# nextedition - nextedition
array set displayTable {{Electronic Source,%@parentrepositories} {0\
{} {} {}}}								;# - parentrepositories
array set displayTable {{Electronic Source,%@language} {3\
{} {} {}}}								;# - language
array set displayTable {{Electronic Source,%@copyholder} {0\
{} {} {}}}								;# - copyholder
array set displayTable {{Electronic Source,%@e-mailaddress} {0\
{} {} {e-Mail para contato}}}			;# - e-mailaddress
array set displayTable {{Electronic Source,%@secondarykey} {0\
{} {} {}}}								;# - secondarykey
array set displayTable {{Electronic Source,%@secondarytype} {3\
{} {} {Tipo da Publicao Alternativa}}}	;# - secondarytype
array set displayTable {{Electronic Source,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
array set displayTable {{Electronic Source,%@secondarydate} {0\
{} {} {}}}								;# - secondarydate
if $manualFilling {
	array set displayTable {{Electronic Source,%@area} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {<FONT class='automaticFillingField'>Area do Conhecimento</FONT>}}}			;# - area
#	array set displayTable {{Electronic Source,%@resumeid} {2.1\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable {{Electronic Source,%@resumeid} {5\
{} {} {<FONT class='automaticFillingField'>Identificador de Curriculo</FONT>}}}	;# - resumeid
	array set displayTable [list {Electronic Source,%@group} [list $inputTypeNumber \
{[Help INPEGroup]} {} {<FONT class='automaticFillingField'>Grupo</FONT> (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}]]	;# - group
	array set displayTable {{Electronic Source,%@affiliation} {2.1\
{[Help Affiliation]} {} {<FONT class='automaticFillingField'>Instituio</FONT>}}}	;# - affiliation
} else {
	array set displayTable {{Electronic Source,%@area} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}			;# - area
	array set displayTable {{Electronic Source,%@resumeid} {0\
{} {} {Identificador de Curriculo}}}	;# - resumeid
	array set displayTable {{Electronic Source,%@group} {0\
{[Help INPEGroup]} {} {Grupo (se o \[CreateOrdinalNumber \$language \$i\] \$translatedCustomizedFieldName for do INPE)}}}	;# - group
	array set displayTable {{Electronic Source,%@affiliation} {0\
{[Help Affiliation]} {} {Instituio}}}			;# - affiliation
}
array set displayTable {{Electronic Source,%@orcid} {2.1\
{[Help ORCID]} {} {}}}					;# - orcid

array set displayTable {{Electronic Source,%@electronicmailaddress} {2.1\
{} {} {e-Mail}}}						;# - electronicmailaddress
array set displayTable {{Electronic Source,%@project} {2.1\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
array set displayTable {{Electronic Source,%@accessdate} {0\
{} {} {}}}								;# - accessdate
array set displayTable {{Electronic Source,%@readpermission} {3\
{} {} {}}}								;# - readpermission

if {[info exists publishingYear] && $publishingYear >= 2014} {
	set {displayTable(Electronic Source,%@tertiarymark)} [list $inputTypeNumberForTertiaryMark\
{} {} {Vinculao  T&D}]								;# - tertiarymark
	set {optionTable2(Electronic Source,%@tertiarymark)} $thesisList
} else {
	array set displayTable {{Electronic Source,%@tertiarymark} {2.2\
{} {} {}}}								;# - tertiarymark
	array set boxTable {{Electronic Source,%@tertiarymark} {{{Trabalho Vinculado  Tese/Dissertao} 0}}}
}

if $manualFilling {
	array set fillOutFieldTable [list {Electronic Source,%@group,%@affiliation} $groupAffiliationFillout]
}
#array set optionTable [list {Electronic Source,%@group} $groupOption]
array set optionTable2 [list {Electronic Source,%@group} $groupOption2]

if {[info exists update] && $update} {
	if {[info exists publishingYear] && ![string equal {} $publishingYear]} {
		array set displayTable {{Electronic Source,%@documentstage} {3\
{[Help DocumentStage]} {} {Transfer update<BR>permission to:}}}		;# - documentstage
		if [info exists userGroup] {
			array set defaultOptionTable {{Electronic Source,%@documentstage} {not transferred}}
		} else {
			if [info exists advancedUser] {set {defaultOptionTable(Electronic Source,%@documentstage)} $advancedUser}
		}

	}
}

array set displayTable {{Electronic Source,%@usergroup} {0\
{} {} {}}}								;# - usergroup

if 0 {
# use default
if {[info exists update] && $update} {
# update
	if {![info exists publishingYear] || [string equal {} $publishingYear]} {
		array set displayTable {{Electronic Source,filename} {1\
{[Help FileName]} {} {}}}				;# - filename (0 means to don't display filename (if cgi(attachment) doesn't exist))
	} else {
# published
		array set displayTable {{Electronic Source,filename} {4\
{->} {} {Documento}}}					;# - filename (0 means to don't display filename (if cgi(attachment) doesn't exist))
	}
} else {
# submit
		array set displayTable {{Electronic Source,filename} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help FileName]} {} {}}}	;# - filename (0 means to don't display filename (if cgi(attachment) doesn't exist))
}
}

array set displayTable {{Electronic Source,username} {1\
{<FONT COLOR=BROWN>(*)</FONT>[Help UserName]} {} {x}}}	;# - (1 means display username - 0 means do not display) (x means not used)
array set displayTable {{Electronic Source,password1} {x\
{<FONT COLOR=BROWN>(*)</FONT>} {} {x}}}			;# - (x means not used)
array set displayTable {{Electronic Source,password2} {x\
{[Help Password2]} {} {x}}}					;# - (x means not used)

# if {[info exists update] && $update && [info exists advancedUser] && [regexp $equipeDoSID $advancedUser]} #
if {[info exists update] && $update && [info exists advancedUser] && [lsearch $equipeDoSID $advancedUser] != -1} {
	array set displayTable {{Electronic Source,%D} {2.1\
{} {} {}}}								;# year - year
	array set displayTable {{Electronic Source,%)} {2.1\
{} {} {}}}								;# nextedition - nextedition
	array set optionTable2 {{Electronic Source,%1} {{{} {}} {{no submetido} {not submitted}} {{submetido} {submitted}} {{aceito} {accepted}} {{publicado} {published}}}}
} else {
	array set updateOptionTable {{Electronic Source} {update}}
	array set optionTable2 {{Electronic Source,%1} {{{} {}} {{no submetido} {not submitted}} {{submetido} {submitted}} {{aceito} {accepted}}}}
}

array set defaultOptionTable {{Electronic Source,%1} {}}
# array set defaultOptionTable {{Electronic Source,%9} {}}
# array set optionTable {{Electronic Source,%@area} {{} {CEA} {COMB} {COMP} {ETES} {FISMAT} {FISPLASMA} {INFO} {MET} {SRE}}}
array set optionTable2 [list {Electronic Source,%@area} $areaOption2]

# array set optionTable2 {{Electronic Source,%@secondarytype} {{{} {}} {{Revista Internacional} {PRE PI}} {{Revista Internacional - Trabalho Vinculado  Tese/Dissertao} {PRE PI IPV}} {{Revista Internacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE PI SPG~IPV}} {{Revista Nacional} {PRE PN}} {{Revista Nacional - Trabalho Vinculado  Tese/Dissertao} {PRE PN IPV}} {{Revista Nacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE PN SPG~IPV}} {{Evento Internacional} {PRE CI}} {{Evento Internacional - Trabalho Vinculado  Tese/Dissertao} {PRE CI IPV}} {{Evento Internacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE CI SPG~IPV}} {{Evento Nacional} {PRE CN}} {{Evento Nacional - Trabalho Vinculado  Tese/Dissertao} {PRE CN IPV}} {{Evento Nacional - Trab. de Aluno No Relacionado  Tese/Dis.} {PRE CN SPG~IPV}} {{Captulo em Livro Internacional} {PRE LI}} {{Captulo em Livro Inter. - Trabalho Vinculado  Tese/Dissertao} {PRE LI IPV}} {{Captulo em Livro Inter. - Trab. de Aluno No Relacionado a T/D} {PRE LI SPG~IPV}} {{Captulo em Livro Nacional} {PRE LN}} {{Captulo em Livro Nac. - Trababalho Vinculado  Tese/Dissertao} {PRE LN IPV}} {{Captulo em Livro Nac. - Trab. de Aluno No Relacionado a T/D} {PRE LN SPG~IPV}}}}
array set optionTable2 {{Electronic Source,%@secondarytype} {{{} {}} {{Revista Internacional} {PRE PI}} {{Revista Nacional} {PRE PN}} {{Evento Internacional} {PRE CI}} {{Evento Nacional} {PRE CN}} {{Captulo em Livro Internacional} {PRE LI}} {{Captulo em Livro Nacional} {PRE LN}}}}

array set defaultOptionTable {{Electronic Source,%@area} {}}

# array set boxTable {{Electronic Source,%@language} {{{Portuguese} 0} {{Spanish} 0} {{French} 0} {{English} 0}}}
array set optionTable2 {{Electronic Source,%@language} {{{} {}} {{Portugus} {pt}} {{Espanhol} {es}} {{Francs} {fr}} {{Ingls} {en}}}}

array set optionTable2 [list {Electronic Source,%@readpermission} [list {{acesso livre} {allow from all}} [list {restrita ao INPE} intranet] {{restrita ao login} {deny from all}}]]

# array set optionTable {{Electronic Source,%@language} {{English} {French} {Portuguese} {Spanish}}}
# array set defaultOptionTable {{Electronic Source,%@language} {Portugus}}

# --------------------------------------------> Misc

array set displayTable {{Misc,%9} {3\
{} {} {}}}								;# typeofwork - type
# array set optionTable {{Misc,%9} {{} {Data Paper} {Atas} {Comunicao Interna} {Ordem Interna} {Resoluo Interna} {Resoluo Executiva} {Designao} {Memorando} {Minuta} {Ofcio} {Texto} {Texto de Divulgao}}}
# array set optionTable {{Misc,%9} {{} {Atas} {Comunicao Interna} {Ordem Interna} {Resoluo Interna} {Resoluo Executiva} {Designao} {Memorando} {Minuta} {Ofcio} {Texto} {Texto de Divulgao}}}
array set optionTable {{Misc,%9} {{} {Atas} {Calendrio} {Comunicao Interna} {Designao} {Memorando} {Minuta} {Ofcio} {Ordem Interna} {Postagem} {Resoluo Executiva} {Resoluo Interna} {Texto} {Texto de Divulgao}}}

# --------------------------------------------> Restricted options

# set amandinha_ctaComputerList {150.163.34.41}
# set supervisorComputerList {150.163.34.115}
# set supervisorComputerList {150.163.34.26}	;# yolanda.souza@mcti.gov.br computer ip
# set supervisorComputerList {150.163.34.14}	;#  computer ip
set supervisorComputerList {150.163.34.102}	;# pubtc@inpe.br computer ip (ver REMOTE_ADDR)
# set supervisorComputerList {192.168.1.100}
# set supervisorComputerList {127.0.0.1}

# set supervisorLogin yolanda.souza@mcti.gov.br
# set supervisorLogin amandinha_cta@hotmail.com
set supervisorLogin pubtc@inpe.br

if [AllowedRemoteAddress $supervisorComputerList] {
	array set displayTable {{Thesis,%O} {1.2\
{} {} {}}}												;# notes - notes
}

if {[info exists update] && $update && \
[info exists advancedUser] && \
![string equal $supervisorLogin $advancedUser]} {
	if [AllowedRemoteAddress $supervisorComputerList] {
		array set updatePolicyTable {{Thesis} 1}		;# update by the supervisor
		array set alternateUserTable {{Thesis} supervisor}
# update only the notes field content
		array set excludedFieldListTable {{Thesis} 0}	;# keep
	} else {
# update every fields except the notes field content
		array set excludedFieldListTable {{Thesis} 1}	;# exclude
	}
	array set fieldListForSelectiveUpdateTable {{Thesis} {%O}}
	set testOutOfDateForm(Thesis) 0
}

# ingest actors
if {([info exists cgi(ingestactor)] && [string equal {librarian} $cgi(ingestactor)]) || \
([info exists update] && $update && [info exists advancedUser] && [lsearch $equipeDoSID $advancedUser] != -1)} {
# librarian or advanced user is from SID at update
	array set searchOptionTable {{Journal Article} {yes}}
	array set searchOptionTable {{Book} {yes}}
	array set searchOptionTable {{Book Section} {yes}}
#	array set searchOptionTable {{Edited Book} {yes}}
	array set searchOptionTable {{Conference Proceedings} {yes}}
	array set searchOptionTable {{Thesis} {yes}}
	array set searchOptionTable {{Report} {yes}}

#	array set displayTable {{Edited Book,%D} {2.1\
{} {} {}}}								;# year - year
#	array set displayTable {{Book Section,%D} {2.1\
{} {} {}}}								;# year - year
#	array set displayTable {{Book,%D} {2.1\
{} {} {}}}								;# year - year
#	array set displayTable {{Report,%D} {2.1\
{} {} {}}}								;# year - year
	array set displayTable {{Audiovisual Material,%D} {2.1\
{} {} {}}}								;# year - year

	array set displayTable {{Audiovisual Material,%B} {2.1\
{} {} {}}}								;# year - year

#	array set displayTable {{Thesis,%8} {2.1\
{[Help Date]} {} {Data da Defesa}}}				;# date

#	array set displayTable {{Thesis,%3} {2.1\
{[Help TargetFile]} {} {}}}					;# custom3 - targetfile

	array set displayTable {{Journal Article,%O} {1.2\
{} {} {}}}								;# notes - notes
#	array set displayTable {{Book,%O} {1.2\
{} {} {}}}								;# notes - notes
	array set displayTable {{Book Section,%O} {1.2\
{} {} {}}}								;# notes - notes
	array set displayTable {{Edited Book,%O} {1.2\
{} {} {}}}								;# notes - notes
	array set displayTable {{Conference Proceedings,%O} {1.2\
{} {} {}}}								;# notes - notes
#	array set displayTable {{Thesis,%O} {1.2\
{} {} {}}}								;# notes - notes
	array set displayTable {{Report,%O} {1.2\
{} {} {}}}								;# notes - notes

	array set displayTable {{Journal Article,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
	array set displayTable {{Book,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
	array set displayTable {{Book Section,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
	if [lindex ${displayTable(Edited Book,%U)} 0] {
		array set displayTable {{Edited Book,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)
	}
	array set displayTable {{Conference Proceedings,%U} {2.1d\
{} {} {}}}								;# url - url (the suffix d means to display the download checkbox)

	if {[info exists secondaryType] && [regexp {TDI} $secondaryType]} {
# publicao com autorizao do INPE
		array set displayTable {{Thesis,%@dissemination} {2.2\
{} {} {}}}								;# - dissemination
#		array set boxTable {{Thesis,%@dissemination} {{{NTRSNASA} 1} {{BNDEPOSITOLEGAL} 1} {{MGA} 0}}}
		array set boxTable {{Thesis,%@dissemination} {{{NTRSNASA} 0} {{BNDEPOSITOLEGAL} 0} {{MGA} 0} {{BINAGRI} 0}}}	;# added by GJFB in 2011-06-10 - updated in 2012-04-03
	}
	
	if {[info exists update] && $update} {
## update - deixar na atualizao o campo secondarykey vazio quando no preenchido
#		array set displayTable {{Journal Article,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Book,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Book Section,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Edited Book,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Conference Proceedings,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Thesis,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey - TDI TAE
		array set displayTable {{Audiovisual Material,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Computer Program,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Patent,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Misc,%@secondarykey} {2.1\
{} {} {}}}							;# - secondarykey
		array set displayTable {{Report,%@} {2.1\
{} {} {}}}							;# isbn/issn - reportnumber
	} else {
# submit
#		array set displayTable {{Journal Article,%@secondarykey} {2.1\
{} {INPE--PRE/} {}}}						;# - secondarykey
		array set displayTable {{Book,%@secondarykey} {2.1\
{} {INPE--/} {}}}							;# - secondarykey
		array set displayTable {{Book Section,%@secondarykey} {2.1\
{} {INPE--/} {}}}							;# - secondarykey
		array set displayTable {{Edited Book,%@secondarykey} {2.1\
{} {INPE--/} {}}}							;# - secondarykey
		array set displayTable {{Conference Proceedings,%@secondarykey} {2.1\
{} {INPE--PRE/} {}}}						;# - secondarykey
		array set displayTable {{Thesis,%@secondarykey} {2.1\
{} {INPE--T/} {}}}							;# - secondarykey - TDI TAE
		array set displayTable {{Audiovisual Material,%@secondarykey} {2.1\
{} {INPE--MAO/} {}}}						;# - secondarykey
		array set displayTable {{Computer Program,%@secondarykey} {2.1\
{} {INPE--/} {}}}							;# - secondarykey
		array set displayTable {{Patent,%@secondarykey} {2.1\
{} {INPE--/} {}}}							;# - secondarykey
		array set displayTable {{Misc,%@secondarykey} {2.1\
{} {INPE--/} {}}}							;# - secondarykey
		array set displayTable {{Report,%@} {2.1\
{} {INPE--/} {}}}							;# isbn/issn - reportnumber
	}

#	array set displayTable {{Journal Article,%@issn} {1.1\
{[Help ISSN]} {} {}}}						;# - issn
#	array set displayTable {{Book Section,%@isbn} {1.1\
{[Help ISBN]} {} {}}}						;# - isbn
#	array set displayTable {{Conference Proceedings,%@isbn} {1.1\
{[Help ISBN]} {} {}}}						;# - isbn
#	array set displayTable {{Conference Proceedings,%@issn} {1.1\
{[Help ISSN]} {} {}}}						;# - issn

	array set displayTable {{Journal Article,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Book,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Book Section,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Edited Book,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Conference Proceedings,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Thesis,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Report,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Patent,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder
	array set displayTable {{Misc,%@copyholder} {3\
{} {} {O SID Possui uma Cpia Impressa?}}}	;# - copyholder

#	array set displayTable {{Journal Article,%@secondarytype} {3\
{<FONT COLOR=BROWN>(*)</FONT>} {} {Circulao}}}	;# - secondarytype

} else {
# simplifying the form for the author
	array set displayTable {{Journal Article,%8} {0\
{} {} {}}}								;# date - month
	array set displayTable {{Journal Article,%K} {0\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
	array set displayTable {{Journal Article,%X} {0\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
#	array set displayTable {{Journal Article,%@language} {0\
{} {} {}}}								;# - language
	array set displayTable {{Journal Article,%U} {0\
{} {} {Endereo Web do Documento}}}		;# url - url (the suffix d means to display the download checkbox)
	array set displayTable {{Journal Article,%@project} {0\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
#	array set displayTable {{Journal Article,%@secondarytype} {3\
{} {} {}}}	;# - secondarytype
	array set displayTable {{Journal Article,%3} {0\
{} {} {}}}								;# custom3 - targetfile
	array set displayTable {{Journal Article,%@readergroup} {0\
{} {} {}}}								;# - readergroup
	array set displayTable {{Journal Article,%@copyright} {0\
{} {} {}}}								;# - copyright
	array set displayTable {{Journal Article,%@electronicmailaddress} {0\
{} {} {e-Mail}}}						;# - electronicmailaddress
	array set displayTable {{Journal Article,%F} {0\
{} {self-archiving-INPE-MCTIC-GOV-BR} {}}}								;# label - label
	array set updateOptionTable {{Journal Article} {update}}	
	
	array set targetFileCheckBoxFlagTable {{Journal Article} 0}

	set displayTable(Book,%@shorttitle) {0 {} {} {}}
	set displayTable(Book,%@rightsholder) {0 {} {} {}}	
	array set displayTable {{Book,%V} {0\
{} {} {}}}								;# volume - volume
	array set displayTable {{Book,%6} {0\
{} {} {}}}								;# numberofvolumes - numberofvolumes
	array set displayTable {{Book,%P} {0\
{} {} {}}}								;# pages - numberofpages
	array set displayTable {{Book,%7} {0\
{} {} {}}}								;# edition - edition
	array set displayTable {{Book,%?} {0\
{} {} {}}}								;# subsidiaryauthor - translator
#	array set displayTable {{Book,%3} {0\
{[Help TargetFile]} {} {}}}				;# custom3 - targetfile
	array set displayTable {{Book,%K} {0\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
	array set displayTable {{Book,%X} {0\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
	array set displayTable {{Book,%O} {0\
{} {} {}}}								;# notes - notes
	array set displayTable {{Book,%B} {0\
{} {} {}}}								;# secondarytitle - seriestitle
	array set displayTable {{Book,%E} {0\
{[Help Name %E]} {} {}}}				;# secondaryauthor - editor
	array set displayTable {{Book,%Y} {0\
{[Help Name %Y]} {} {}}}				;# secondaryauthor - serieseditor
	array set displayTable {{Book,%@contenttype} {0\
{} {} {}}}								;# - contenttype
	array set displayTable {{Book,%@doi} {0\
{} {} {}}}								;# - doi
	array set displayTable {{Book,%(} {0\
{[Help PreviousEdition]} {} {}}}		;# previousedition - previousedition
	array set displayTable {{Book,%)} {0\
{[Help NextEdition]} {} {}}}			;# nextedition - nextedition
#	array set displayTable {{Book,%@language} {0\
{} {} {}}}								;# - language
#	array set displayTable {{Book,%@secondarytype} {0\
{} {} {}}}								;# - secondarytype
	array set displayTable {{Book,%@dissemination} {0\
{} {} {}}}								;# - dissemination
	array set displayTable {{Book,%U} {0\
{} {} {Endereo Web do Documento}}}		;# url - url (the suffix d means to display the download checkbox)
	array set displayTable {{Book,%@project} {0\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
	array set displayTable {{Book,%@readergroup} {0\
{} {} {}}}								;# - readergroup
	array set displayTable {{Book,%@copyright} {0\
{} {} {}}}								;# - copyright
#	array set displayTable {{Book,%@readpermission} {0\
{} {} {}}}								;# - readpermission - commented by GJFB in 2018-10-22
	array set displayTable {{Book,%@readpermission} {0\
{} {150.163} {}}}								;# - readpermission - added by GJFB in 2018-10-22 - com o default "150.163" a permisso de leitura se torna por segurana "deny from all" quando o campo "year" no  preenchido (ver SetAccessPermission)
	array set displayTable {{Book,%@electronicmailaddress} {0\
{} {} {e-Mail}}}						;# - electronicmailaddress
	array set displayTable {{Book,%F} {0\
{} {self-archiving-INPE-MCTIC-GOV-BR} {}}}								;# label - label
	array set updateOptionTable {{Book} {update}}
	
	array set targetFileCheckBoxFlagTable {{Book} 0}

	set {displayTable(Book Section,%@shorttitle)} {0 {} {} {}}
	set {displayTable(Book Section,%@rightsholder)} {0 {} {} {}}	
	array set displayTable {{Book Section,%E} {0\
{[Help Name %E]} {} {}}}				;# secondaryauthor - editor
	array set displayTable {{Book Section,%B} {2.1\
{} {} {}}}	;# secondarytitle - booktitle
	array set displayTable {{Book Section,%P} {2.1\
{} {} {}}}	;# pages - pages
	array set displayTable {{Book Section,%@isbn} {0\
{} {} {}}}								;# - isbn
	array set displayTable {{Book Section,%V} {0\
{} {} {}}}								;# volume - volume
	array set displayTable {{Book Section,%7} {0\
{} {} {}}}								;# edition - edition
	array set displayTable {{Book Section,%3} {0\
{[Help TargetFile]} {} {}}}				;# custom3 - targetfile
	array set displayTable {{Book Section,%K} {0\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
	array set displayTable {{Book Section,%X} {0\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
	array set displayTable {{Book Section,%I} {0\
{} {} {}}}								;# publisher - publisher
	array set displayTable {{Book Section,%C} {0\
{} {} {}}}								;# placepublished - city
	array set displayTable {{Book Section,%Y} {0\
{} {} {}}}								;# tertiaryauthor - serieseditor
	array set displayTable {{Book Section,%S} {0\
{} {} {}}}								;# tertiarytitle - seriestitle
	array set displayTable {{Book Section,%@contenttype} {0\
{} {} {}}}								;# - contenttype
	array set displayTable {{Book Section,%@doi} {0\
{} {} {}}}								;# - doi
#	array set displayTable {{Book Section,%@language} {0\
{} {} {}}}								;# - language
#	array set displayTable {{Book Section,%@secondarytype} {0\
{} {} {}}}	;# - secondarytype
	array set displayTable {{Book Section,%@dissemination} {0\
{} {} {}}}								;# - dissemination
	array set displayTable {{Book Section,%U} {0\
{} {} {Endereo Web do Documento}}}		;# url - url (the suffix d means to display the download checkbox)
	array set displayTable {{Book Section,%@project} {0\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
	array set displayTable {{Book Section,%@readergroup} {0\
{} {} {}}}								;# - readergroup
	array set displayTable {{Book Section,%@copyright} {0\
{} {} {}}}								;# - copyright
#	array set displayTable {{Book Section,%@readpermission} {0\
{} {} {}}}								;# - readpermission
	array set displayTable {{Book Section,%@readpermission} {0\
{} {intranet} {}}}								;# - readpermission
	array set displayTable {{Book Section,%@electronicmailaddress} {0\
{} {} {e-Mail}}}						;# - electronicmailaddress
	array set displayTable {{Book Section,%F} {0\
{} {self-archiving-INPE-MCTIC-GOV-BR} {}}}								;# label - label
	array set updateOptionTable {{Book Section} {update}}
	
	array set targetFileCheckBoxFlagTable {{Book Section} 0}

	array set displayTable {{Conference Proceedings,%E} {0\
{[Help Name %E]} {} {}}}					;# secondaryauthor - editor
	array set displayTable {{Conference Proceedings,%I} {0\
{} {} {}}}								;# publisher - publisher
	array set displayTable {{Conference Proceedings,%J} {0\
{} {} {}}}								;# alternatetitle - publisheraddress
	array set displayTable {{Conference Proceedings,%@isbn} {0\
{} {} {}}}								;# - isbn
	array set displayTable {{Conference Proceedings,%@issn} {0\
{} {} {}}}								;# - issn
	array set displayTable {{Conference Proceedings,%K} {0\
{[Help Keywords %K]} {} {}}}			;# keywords - keywords
	array set displayTable {{Conference Proceedings,%X} {0\
{[Help Abstract]} {} {Resumo/Abstract}}}	;# abstract - abstract
#	array set displayTable {{Conference Proceedings,%@language} {0\
{} {} {}}}								;# - language
	array set displayTable {{Conference Proceedings,%U} {0\
{} {} {Endereo Web do Documento}}}		;# url - url (the suffix d means to display the download checkbox)
	array set displayTable {{Conference Proceedings,%@project} {0\
{} {} {Projeto ou Linha de Pesquisa}}}	;# - project
	array set displayTable {{Conference Proceedings,%1} {0\
{} {} {}}}								;# custom1 - organization
	array set displayTable {{Conference Proceedings,%3} {0\
{} {} {}}}								;# custom3 - targetfile
	array set displayTable {{Conference Proceedings,%@readergroup} {0\
{} {} {}}}								;# - readergroup
	array set displayTable {{Conference Proceedings,%@copyright} {0\
{} {} {}}}								;# - copyright
	array set displayTable {{Conference Proceedings,%@electronicmailaddress} {0\
{} {} {e-Mail}}}						;# - electronicmailaddress
#	array set displayTable {{Conference Proceedings,%C} {0\
{} {} {}}}								;# placepublished - conferencelocation
	array set displayTable {{Conference Proceedings,%V} {0\
{} {} {}}}								;# volume - volume
#	array set displayTable {{Conference Proceedings,%S} {0\
{} {} {}}}								;# tertiarytitle - booktitle
#	array set displayTable {{Conference Proceedings,%8} {0\
{} {} {Data do Evento}}}				;# date - date
#	array set displayTable {{Conference Proceedings,%@secondarytype} {0\
{<FONT COLOR=BROWN>(*)</FONT>} {} {}}}	;# - secondarytype
	array set displayTable {{Conference Proceedings,%@tertiarytype} {0\
{} {} {}}}								;# - tertiarytype
	array set displayTable {{Conference Proceedings,%@dissemination} {0\
{} {} {}}}								;# - dissemination
	array set displayTable {{Conference Proceedings,%@format} {0\
{} {} {}}}								;# - format
	array set displayTable {{Conference Proceedings,%@doi} {0\
{} {} {}}}								;# - doi
	array set displayTable {{Conference Proceedings,%@contenttype} {0\
{} {External Contribution} {}}}			;# - contenttype
	array set displayTable {{Conference Proceedings,%@readpermission} {0\
{[Help INPEReadPermission]} {} {}}}		;# - readpermission - might be hidden dependending on archivingPolicy
	array set displayTable {{Conference Proceedings,%F} {0\
{} {self-archiving-INPE-MCTIC-GOV-BR} {}}}								;# label - label
	array set updateOptionTable {{Conference Proceedings} {update}}

	array set targetFileCheckBoxFlagTable {{Conference Proceedings} 0}
	
	array set displayTable {{Report,%@} {2.1\
{} {} {}}}							;# isbn/issn - reportnumber

}


# </PRE>